# Programa en Python - Sistema Estadistico de Costos Industria Grafica- 


# MÓDULO I - CARGA DE VARIABLES MONETARIAS

import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import seaborn as sns


# Importar base de datos de series de tiempo con variables monetarias:

vm  =  pd.read_excel('Variables monetarias costos industria grafica.xlsx')


# Convertir columna mes en variable indexadora temporal:

vm.mes  =  pd.to_datetime(vm.mes)
vm.set_index('mes', inplace = True)       

# MÓDULO II - Definicion de Parametros - EDITORIAL REVISTA

ratio_formularios_tirada = 30000
ratio_tiradas_dia = 1
q_dias_trabajados_mes = 20
q_produccion_mensual_potencial = 600000
q_capacidad_utilizada = 100
q_produccion_mensual_efectiva = 600000

demasia_porcentaje = 5.00
papel_gramaje = 130
papel_ancho = 0.35
papel_largo = 0.450
matrices_marca_agua = 1
tinta_visible = 130000
tinta_invisible = 130000
holograma = 1
matriz_holograma = 250000
tinta_num_visible = 1000000
tinta_num_invisible = 1000000
matrices_offset = 1
cajas = 2000

q_jornada = 184
q_op_prensa = 1
q_op_guillotinista = 1
q_op_maquinista_offset = 1
q_op_ayudante_offset = 1
q_op_operador_stamping = 2
q_op_cuenta_pliego = 1
q_op_embaladora = 1
q_op_maquina_reposicion = 1
q_op_control_calidad = 4

q_disenadores = 1
q_personal_admin = 1
q_personal_comercial = 1
q_presupuetista = 1
q_personal_limpieza = 1
q_encargado_logistica = 1
q_jefe_produccion = 1
q_gerente_general = 1	

q_ctp = 1
q_guillotina = 1
q_impresora = 1
q_stamping = 2
q_cuenta_pliego = 1
q_embaladora = 1
q_maquina_reposicion = 1
q_maquina_numeradora = 6
q_utilitario = 1
q_comp_admin = 7
q_comp_diseno = 1
q_softw_diseno = 1
q_softw_diseno_mensual = 1
a_ctp = 5
a_guillotina = 20
a_impresora = 20
a_stamping = 20
a_cuenta_pliego = 20
a_embaladora = 20
a_maquina_reposicion = 10
a_maquina_numeradora = 5
a_utilitario = 5
a_comp_admin = 5
a_comp_diseno = 5
a_softw_diseno = 10
a_softw_diseno_mensual = 1
vr_ctp = 30
vr_guillotina = 40
vr_impresora = 20
vr_stamping = 15
vr_cuenta_pliego = 15
vr_embaladora = 10
vr_maquina_reposicion = 0
vr_maquina_numeradora = 0
vr_utilitario = 30
vr_comp_admin = 0
vr_comp_diseno = 0
vr_softw_diseno = 0
vr_softw_diseno_mensual = 0
costo_oportunidad = 4.0
q_energia_potencia = 90.00
q_energia_consumo = 12222
q_energia_potencia_punta = 5
q_energia_potencia_fuerapunta = 19
q_energia_pico = 5
q_energia_valle = 6
q_energia_resto = 13
q_galpon = 500
q_antiguedad = 10.00
q_antiguedad_coef = 1.00
q_prendas = 4.00
q_casco = 2.00
q_guantes = 2.00
q_sac = 8.33
q_vacaciones = 28.00
q_fondo_despido = 4.00
q_ausentismo = 3.00
q_puestos_oficina = 7
q_amortizacion_muebles = 10
plazo_pago_insumos = 30
plazo_cobro = 60
plazo_pago_salarios = 30
mark_up = 10.0
q_ventas_cba = 100.0
q_ventas_pba = 0.0
q_ventas_stafe = 0.0
q_ventas_cuyo = 0.0
q_ventas_mesopotamia = 0.0
q_ventas_noa = 0.0
q_ventas_nequen = 0.0
reinversion_utilidades = 50.0

#MÓDULO 3 - ESTIMACIONES DE COSTOS

# IMPRESOS SEGURIDAD

#Bloque I - Materia Prima

i01_papel = ( papel_ancho * papel_largo * papel_gramaje / 1000 * ( 1
            + demasia_porcentaje / 100 ) * vm['p_papel_marca_agua']
            * vm['dolar'] )

i02_matriz_marca_agua = ( matrices_marca_agua * ( 1 + demasia_porcentaje / 100 )
            * vm['p_matriz_marca_agua'] * vm['dolar']
            / q_produccion_mensual_efectiva )

i03_tinta_visible = ( vm['p_tinta_visible'] * vm['dolar'] * ( 1
            + demasia_porcentaje / 100 ) / tinta_visible )

i04_tinta_invisible = ( vm['p_tinta_invisible'] * vm['dolar'] * ( 1
            + demasia_porcentaje / 100 ) / tinta_invisible )

i05_holograma = ( holograma * ( 1 + demasia_porcentaje / 100 )
            * vm['p_holograma'] * vm['dolar'] )

i06_matriz_holograma = ( vm['p_matriz_holograma'] * vm['dolar'] * ( 1
            + demasia_porcentaje / 100 ) / matriz_holograma )

i07_tinta_num_visible = ( vm['p_tinta_num_visible'] * vm['dolar'] * ( 1
            + demasia_porcentaje / 100 ) / tinta_num_visible )

i08_tinta_num_invisble = ( vm['p_tinta_num_invisible'] * vm['dolar'] * ( 1
            + demasia_porcentaje / 100 ) / tinta_num_invisible )

i09_matrices_offset = ( vm['p_matrices_offset'] * vm['dolar'] * ( 1
            + demasia_porcentaje / 100 ) * matrices_offset
            / q_produccion_mensual_efectiva )

i10_cajas = ( vm['p_cajas_embalaje'] * ( 1 + demasia_porcentaje / 100 )
            / cajas )

i00_materia_prima = ( i01_papel + i02_matriz_marca_agua + i03_tinta_visible
            + i04_tinta_invisible + i05_holograma + i06_matriz_holograma
            + i07_tinta_num_visible + i08_tinta_num_invisble
            + i09_matrices_offset + i10_cajas )

#Bloque II - Costos de Mano de Obra Directa

ii01_remuneracion_operarios = (( q_op_prensa * vm['categoria_08']
            + q_op_guillotinista * vm['categoria_08'] + q_op_maquinista_offset
            * vm['categoria_10'] + q_op_ayudante_offset * vm['categoria_07']
            + q_op_operador_stamping * vm['categoria_08'] + q_op_cuenta_pliego
            * vm['categoria_06'] + q_op_embaladora * vm['categoria_05']
            + q_op_maquina_reposicion * vm['categoria_07']
            + q_op_control_calidad * vm['categoria_07'] )
            / q_produccion_mensual_efectiva )

ii02_remuneracion_operarios_norem = (0)

ii03_horas_extras = (0)

ii04_horas_extras2 = (0)

ii05_antiguedad = (( ii01_remuneracion_operarios + ii03_horas_extras
            + ii04_horas_extras2 ) * q_antiguedad_coef / 100
            * q_antiguedad )

ii06_sac = (( ii01_remuneracion_operarios + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antiguedad ) * q_sac / 100 )

ii07_vacaciones = (( ii01_remuneracion_operarios
            + ii02_remuneracion_operarios_norem + ii05_antiguedad ) / 30
            * q_vacaciones / 12 )

ii08_contrib_patronales = (( ii01_remuneracion_operarios + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antiguedad + ii06_sac + ii07_vacaciones
            - vm['t_cont_patronales_mni'] * ( q_op_prensa + q_op_guillotinista
            + q_op_maquinista_offset + q_op_ayudante_offset
            + q_op_operador_stamping + q_op_cuenta_pliego + q_op_embaladora
            + q_op_maquina_reposicion + q_op_control_calidad )
            / q_produccion_mensual_efectiva ) * vm['t_cont_patronales_total']
            / 100 )

ii09_contrib_patronales_cred_fiscal = (-( ii01_remuneracion_operarios
            + ii03_horas_extras + ii04_horas_extras2 + ii05_antiguedad
            + ii06_sac + ii07_vacaciones - vm['t_cont_patronales_mni']
            * ( q_op_prensa + q_op_guillotinista
            + q_op_maquinista_offset + q_op_ayudante_offset
            + q_op_operador_stamping + q_op_cuenta_pliego + q_op_embaladora
            + q_op_maquina_reposicion + q_op_control_calidad )
            / q_produccion_mensual_efectiva )
            * vm['t_cont_patronales_cred_fisc'] / 100 )

ii10_contrib_osocial = (( ii01_remuneracion_operarios + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antiguedad + ii06_sac + ii07_vacaciones)
            * vm['t_cont_osocial'] / 100 )

ii11_seguro_vida_obligatorio = (( ii01_remuneracion_operarios + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antiguedad + ii06_sac + ii07_vacaciones)
            * vm['p_seguro_vida_oblig_muebles'] / 100 )

ii12_art = (( ii01_remuneracion_operarios + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antiguedad + ii06_sac + ii07_vacaciones)
            * vm['p_art'] / 100 )

ii13_prev_despido = (( ii01_remuneracion_operarios
            + ii02_remuneracion_operarios_norem + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antiguedad + ii06_sac
            + ii07_vacaciones ) * q_fondo_despido / 100 )

ii14_ausentismo = (( ii01_remuneracion_operarios + ii05_antiguedad + ii06_sac
            + ii07_vacaciones + ii08_contrib_patronales
            + ii09_contrib_patronales_cred_fiscal + ii10_contrib_osocial
            + ii11_seguro_vida_obligatorio + ii12_art + ii13_prev_despido )
            * q_ausentismo / 100 )

ii15_aporte_UGA = (( ii01_remuneracion_operarios + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antiguedad + ii06_sac + ii07_vacaciones)
            * vm['aporte_uga'] / 100 )
ii16_aporte_AFATIDA = (( ii01_remuneracion_operarios + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antiguedad + ii06_sac + ii07_vacaciones)
            * vm['aporte_afatida'] / 100 )

ii00_mano_obra_directa = ( ii01_remuneracion_operarios
            + ii02_remuneracion_operarios_norem + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antiguedad + ii06_sac
            + ii07_vacaciones + ii08_contrib_patronales
            + ii09_contrib_patronales_cred_fiscal + ii10_contrib_osocial
            + ii11_seguro_vida_obligatorio + ii12_art + ii13_prev_despido
            + ii14_ausentismo + ii15_aporte_UGA + ii16_aporte_AFATIDA )

#Bloque III - Costos de Mano de Obra Indirecta

iii01_w_disenador = ( q_disenadores * vm['categoria_10']
            / q_produccion_mensual_efectiva )

iii02_w_personal_admin = ( vm['convenio_personal_admin'] * q_personal_admin
            / q_produccion_mensual_efectiva )

iii03_w_personal_comercial = ( vm['convenio_personal_comercial']
            * q_personal_comercial / q_produccion_mensual_efectiva )

iii04_w_presupuetista = ( vm['convenio_presupuetista'] * q_presupuetista
            / q_produccion_mensual_efectiva )

iii05_w_personal_limpieza = ( vm['convenio_personal_limpieza']
            * q_personal_limpieza / q_produccion_mensual_efectiva )

iii06_w_encargado_logistica = ( vm['convenio_encargado_logistica']
            * q_encargado_logistica / q_produccion_mensual_efectiva )

iii07_w_jefe_produccion = ( vm['convenio_jefe_produccion'] * q_jefe_produccion
            / q_produccion_mensual_efectiva )

iii08_w_gerente_general = ( vm['convenio_gerente_general'] * q_gerente_general
            / q_produccion_mensual_efectiva )

iii09_antiguedad = (( iii01_w_disenador + iii02_w_personal_admin
            + iii03_w_personal_comercial + iii04_w_presupuetista
            + iii05_w_personal_limpieza + iii06_w_encargado_logistica
            + iii07_w_jefe_produccion + iii08_w_gerente_general )
            * q_antiguedad_coef / 100 * q_antiguedad )

iii10_no_rem = (( q_disenadores + q_personal_admin + q_personal_comercial
            + q_presupuetista + q_personal_limpieza + q_encargado_logistica
            + q_jefe_produccion + q_gerente_general ) * vm['no_rem']
            / q_produccion_mensual_efectiva )

iii11_sac = (( iii01_w_disenador + iii02_w_personal_admin
            + iii03_w_personal_comercial + iii04_w_presupuetista
            + iii05_w_personal_limpieza + iii06_w_encargado_logistica
            + iii07_w_jefe_produccion + iii08_w_gerente_general
            + iii09_antiguedad ) * q_sac / 100 )

iii12_vacaciones = (( iii01_w_disenador + iii02_w_personal_admin
            + iii03_w_personal_comercial + iii04_w_presupuetista
            + iii05_w_personal_limpieza + iii06_w_encargado_logistica
            + iii07_w_jefe_produccion + iii08_w_gerente_general
            + iii09_antiguedad )/ 30 * q_vacaciones / 12 )

iii13_contrib_patronales = ((( iii01_w_disenador + iii02_w_personal_admin
            + iii03_w_personal_comercial + iii04_w_presupuetista
            + iii05_w_personal_limpieza + iii06_w_encargado_logistica
            + iii07_w_jefe_produccion + iii08_w_gerente_general
            + iii09_antiguedad + iii10_no_rem + iii11_sac + iii12_vacaciones )
            - vm['t_cont_patronales_mni'] * ( q_disenadores + q_personal_admin
            + q_personal_comercial + q_presupuetista + q_personal_limpieza
            + q_encargado_logistica + q_jefe_produccion + q_gerente_general )
            / q_produccion_mensual_efectiva ) * vm['t_cont_patronales_total']
            / 100 )
                            
iii14_contrib_patronales_cred_fiscal = (-(( iii01_w_disenador
            + iii02_w_personal_admin + iii03_w_personal_comercial
            + iii04_w_presupuetista + iii05_w_personal_limpieza
            + iii06_w_encargado_logistica + iii07_w_jefe_produccion
            + iii08_w_gerente_general + iii09_antiguedad + iii10_no_rem
            + iii11_sac + iii12_vacaciones ) - vm['t_cont_patronales_mni']
            * ( q_disenadores + q_personal_admin + q_personal_comercial
            + q_presupuetista + q_personal_limpieza + q_encargado_logistica
            + q_jefe_produccion + q_gerente_general )
            / q_produccion_mensual_efectiva ) * vm['t_cont_patronales_cred_fisc']
            / 100 )
                                        
iii15_contrib_osocial = (( iii01_w_disenador
            + iii02_w_personal_admin + iii03_w_personal_comercial
            + iii04_w_presupuetista + iii05_w_personal_limpieza
            + iii06_w_encargado_logistica + iii07_w_jefe_produccion
            + iii08_w_gerente_general + iii09_antiguedad + iii10_no_rem
            + iii11_sac + iii12_vacaciones ) * vm['t_cont_osocial'] / 100 )
                                        
iii16_seguro_vida_obligatorio = (( iii01_w_disenador
            + iii02_w_personal_admin + iii03_w_personal_comercial
            + iii04_w_presupuetista + iii05_w_personal_limpieza
            + iii06_w_encargado_logistica + iii07_w_jefe_produccion
            + iii08_w_gerente_general + iii09_antiguedad + iii10_no_rem
            + iii11_sac + iii12_vacaciones ) * vm['p_seguro_vida_oblig_muebles'] / 100 )
                                        
iii17_art = (( iii01_w_disenador
            + iii02_w_personal_admin + iii03_w_personal_comercial
            + iii04_w_presupuetista + iii05_w_personal_limpieza
            + iii06_w_encargado_logistica + iii07_w_jefe_produccion
            + iii08_w_gerente_general + iii09_antiguedad + iii10_no_rem
            + iii11_sac + iii12_vacaciones ) * vm['p_art'] / 100 )
                                        
iii18_prev_despido = (( iii01_w_disenador
            + iii02_w_personal_admin + iii03_w_personal_comercial
            + iii04_w_presupuetista + iii05_w_personal_limpieza
            + iii06_w_encargado_logistica + iii07_w_jefe_produccion
            + iii08_w_gerente_general + iii09_antiguedad + iii10_no_rem
            + iii11_sac + iii12_vacaciones ) * q_fondo_despido / 100 )
                      
iii19_aporte_uga = (( iii01_w_disenador
            + iii02_w_personal_admin + iii03_w_personal_comercial
            + iii04_w_presupuetista + iii05_w_personal_limpieza
            + iii06_w_encargado_logistica + iii07_w_jefe_produccion
            + iii08_w_gerente_general + iii09_antiguedad + iii10_no_rem
            + iii11_sac + iii12_vacaciones ) * vm['aporte_uga'] / 100 )
                                        
iii20_aporte_afatida = (( iii01_w_disenador
            + iii02_w_personal_admin + iii03_w_personal_comercial
            + iii04_w_presupuetista + iii05_w_personal_limpieza
            + iii06_w_encargado_logistica + iii07_w_jefe_produccion
            + iii08_w_gerente_general + iii09_antiguedad + iii10_no_rem
            + iii11_sac + iii12_vacaciones ) * vm['aporte_afatida'] / 100 )

iii00_mano_obra_indirecta = ( iii01_w_disenador
            + iii02_w_personal_admin + iii03_w_personal_comercial
            + iii04_w_presupuetista + iii05_w_personal_limpieza
            + iii06_w_encargado_logistica + iii07_w_jefe_produccion
            + iii08_w_gerente_general + iii09_antiguedad + iii10_no_rem
            + iii11_sac + iii12_vacaciones + iii13_contrib_patronales
            + iii14_contrib_patronales_cred_fiscal + iii15_contrib_osocial
            + iii16_seguro_vida_obligatorio + iii17_art + iii18_prev_despido
            + iii19_aporte_uga + iii20_aporte_afatida)

#Bloque IV - Costos de Maquinaria

iv01_energia = (( q_energia_potencia * q_energia_potencia_punta
            / ( q_energia_potencia_punta + q_energia_potencia_fuerapunta )
            * vm['p_energia_potencia_punta'] + q_energia_potencia
            * q_energia_potencia_fuerapunta / ( q_energia_potencia_punta
            + q_energia_potencia_fuerapunta )
            * vm['p_energia_potencia_fuerapunta'] + q_energia_consumo
            * q_energia_pico / ( q_energia_pico + q_energia_valle
            + q_energia_resto ) * vm['p_energia_pico'] + q_energia_consumo
            * q_energia_valle / ( q_energia_pico + q_energia_valle
            + q_energia_resto ) * vm['p_energia_valle'] + q_energia_consumo
            * q_energia_resto / ( q_energia_pico + q_energia_valle
            + q_energia_resto ) * vm['p_energia_resto'] )
            / q_produccion_mensual_efectiva )
                                        
iv02_impuestos_energia = ( iv01_energia * ( vm['t_energia_perc_dgi']
            + vm['t_energia_oim'] + vm['t_energia_dto2298']
            + vm['t_energia_ersep'] + vm['t_energia_ley9819'] ) / 100 )
                                        
iv03_ctp = ( q_ctp * vm['p_ctp_impseg'] * vm['dolar'] * ( 1 - vr_ctp / 100 )
            / a_ctp / 12 / q_produccion_mensual_efectiva )
                                        
iv04_guillotina = ( q_guillotina * vm['p_guillotina_impseg'] * vm['dolar']
            * ( 1 - vr_guillotina / 100 ) / a_guillotina / 12
            / q_produccion_mensual_efectiva )
                                        
iv05_impresora = ( q_impresora * vm['p_impresora_2cuerpos_impseg'] * vm['dolar']
            * ( 1 - vr_impresora / 100 ) / a_impresora / 12
            / q_produccion_mensual_efectiva )
                                        
iv06_stamping = ( q_stamping * vm['p_stamping_impseg'] * vm['dolar']
            * ( 1 - vr_stamping / 100 ) / a_stamping / 12
            / q_produccion_mensual_efectiva )
                                        
iv07_cuenta_pliego = ( q_cuenta_pliego * vm['p_cuenta_pliego_impseg']
            * vm['dolar'] * ( 1 - vr_cuenta_pliego / 100 ) / a_cuenta_pliego
            / 12 / q_produccion_mensual_efectiva )
                                        
iv08_embaladora = ( q_embaladora * vm['p_embaladora_impseg'] * vm['dolar']
            * ( 1 - vr_embaladora / 100 ) / a_embaladora / 12
            / q_produccion_mensual_efectiva )
                                        
iv09_maquina_reposicion = ( q_maquina_reposicion * vm['p_maq_reposicion_impseg']
            * vm['dolar'] * ( 1 - vr_maquina_reposicion / 100 )
            / a_maquina_reposicion / 12 / q_produccion_mensual_efectiva )
                                        
iv10_maquina_numeradora = ( q_maquina_numeradora * vm['p_maq_numeradora_impseg']
            * vm['dolar'] * ( 1 - vr_maquina_numeradora / 100 )
            / a_maquina_numeradora / 12 / q_produccion_mensual_efectiva )
                                        
iv11_utilitario = ( q_utilitario * vm['p_utilitario_impseg'] * vm['dolar']
            * ( 1 - vr_utilitario / 100 ) / a_utilitario / 12
            / q_produccion_mensual_efectiva )
                                        
iv12_comp_admin = ( q_comp_admin * vm['p_comp_admin_impseg'] * vm['dolar']
            * ( 1 - vr_comp_admin / 100 ) / a_comp_admin / 12
            / q_produccion_mensual_efectiva )
                                        
iv13_comp_disen = ( q_comp_diseno * vm['p_comp_diseño_impseg'] * vm['dolar']
            * ( 1 - vr_comp_diseno / 100 ) / a_comp_diseno / 12
            / q_produccion_mensual_efectiva )
                                        
iv14_softw_diseno = ( q_softw_diseno * vm['p_softw_diseño_impseg'] * vm['dolar']
            * ( 1 - vr_softw_diseno / 100 ) / a_softw_diseno / 12
            / q_produccion_mensual_efectiva )
                                        
iv15_softw_diseno_mensual = ( q_softw_diseno_mensual
            * vm['p_softw_diseño_mensual_impseg'] * vm['dolar']
            * ( 1 - vr_softw_diseno_mensual / 100 ) / a_softw_diseno_mensual
            / 12 / q_produccion_mensual_efectiva )
                                        
iv16_costo_oportunidad = (( q_ctp * vm['p_ctp_impseg'] * vm['dolar']
            * (( 1 - vr_ctp / 100 ) / 2 + vr_ctp / 100 ) + q_guillotina
            * vm['p_guillotina_impseg'] * vm['dolar'] * (( 1 - vr_guillotina
            / 100 ) / 2 + vr_guillotina / 100 ) + q_impresora
            * vm['p_impresora_2cuerpos_impseg'] * vm['dolar'] * (( 1
            - vr_impresora / 100 ) / 2 + vr_impresora / 100 ) + q_stamping
            * vm['p_stamping_impseg'] * vm['dolar'] * (( 1 - vr_stamping / 100 )
            / 2 + vr_stamping / 100 ) + q_cuenta_pliego
            * vm['p_cuenta_pliego_impseg'] * vm['dolar'] * (( 1
            - vr_cuenta_pliego / 100 ) / 2 + vr_cuenta_pliego / 100 )
            + q_embaladora * vm['p_embaladora_impseg'] * vm['dolar'] * (( 1
            - vr_embaladora / 100 ) / 2 + vr_embaladora / 100 )
            + q_maquina_reposicion * vm['p_maq_reposicion_impseg'] * vm['dolar']
            * (( 1 - vr_maquina_reposicion / 100 ) / 2 + vr_maquina_reposicion
            / 100 ) + q_maquina_numeradora * vm['p_maq_numeradora_impseg']
            * vm['dolar'] * (( 1 - vr_maquina_numeradora / 100 ) / 2
            + vr_maquina_numeradora / 100 ) + q_utilitario
            * vm['p_utilitario_impseg'] * vm['dolar'] * (( 1 - vr_utilitario
            / 100 ) / 2 + vr_utilitario / 100 ) + q_comp_admin
            * vm['p_comp_admin_impseg'] * vm['dolar'] * (( 1 - vr_comp_admin
            / 100 ) / 2 + vr_comp_admin / 100 ) + q_comp_diseno
            * vm['p_comp_diseño_impseg'] * vm['dolar'] * (( 1 - vr_comp_diseno
            / 100 ) / 2 + vr_comp_diseno / 100 )) * costo_oportunidad / 100 / 12 
            / q_produccion_mensual_efectiva )

iv00_maquinaria = ( iv01_energia + iv02_impuestos_energia + iv03_ctp
            + iv04_guillotina + iv05_impresora + iv06_stamping
            + iv07_cuenta_pliego + iv08_embaladora + iv09_maquina_reposicion
            + iv10_maquina_numeradora + iv11_utilitario + iv12_comp_admin
            + iv13_comp_disen + iv14_softw_diseno + iv15_softw_diseno_mensual
            + iv16_costo_oportunidad )

#Bloque V - Costos Fijos No Asociados a la Producción

v01_alquiler = ( q_galpon * vm['p_alquiler_fabricacion'] * vm['dolar']
            / q_produccion_mensual_efectiva )
                                        
v02_muebles = ( q_comp_admin * ( vm['p_silla'] + vm['p_escritorio'] )
            / q_amortizacion_muebles / 12 / q_produccion_mensual_potencial )
                                        
v03_costo_financiero = ( i00_materia_prima * ( pow( 1 + vm['p_tasa_interes_diaria']
            / 100,( plazo_cobro - plazo_pago_insumos ))) - i00_materia_prima
            + ( ii00_mano_obra_directa + iii00_mano_obra_indirecta)
            * ( pow( 1 + vm['p_tasa_interes_diaria'] / 100,( plazo_cobro
            - plazo_pago_salarios ))) - ( ii00_mano_obra_directa
            + iii00_mano_obra_indirecta))
                                        
v04_estudio_contable = ( vm['p_estudio_contable']
            / q_produccion_mensual_efectiva )
                                        
v05_beneficios = (( i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v01_alquiler
            + v02_muebles + v03_costo_financiero + v04_estudio_contable )
            * mark_up / 100 )

v00_costos_fijos = ( v01_alquiler + v02_muebles + v03_costo_financiero
            + v04_estudio_contable + v05_beneficios )

#Bloque VI - Costos Impositivos

vi01_impuesto_ingresos_brutos = (( i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v00_costos_fijos )
            * ( vm['t_ib_extjuris_pba'] * q_ventas_pba
            + vm['t_ib_extjuris_stafe'] * q_ventas_stafe
            + vm['t_ib_extjuris_mza'] * q_ventas_cuyo
            + vm['t_ib_extjuris_corrientes'] * q_ventas_mesopotamia
            + vm['t_ib_extjuris_salta'] * q_ventas_noa
            + vm['t_ib_extjuris_neuquen'] * q_ventas_nequen ) / 100 / 100 )
                                        
vi02_tasa_comercioeindustria = (( i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v00_costos_fijos )
            * vm['t_comercioeindustria'] / 100 )
                                        
vi03_impuesto_ganancias = ( v05_beneficios * vm['t_ganancias'] / 100
            + v05_beneficios * ( 1 - reinversion_utilidades / 100 )
            * vm['t_dividendos'] / 100 )
                                        
vi04_impuesto_cheque = (( i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v00_costos_fijos
            + vi01_impuesto_ingresos_brutos + vi02_tasa_comercioeindustria
            + vi03_impuesto_ganancias ) * 1.21 * ( vm['t_cheque']
            - vm['t_cheque_cred_fiscal'] ) / 100 )

vi00_impuestos = ( vi01_impuesto_ingresos_brutos
            + vi02_tasa_comercioeindustria + vi03_impuesto_ganancias
            + vi04_impuesto_cheque )                                   

# Bloque Indicadores de Costo

costo_ejemplar_pesos = ( i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v00_costos_fijos
            + vi00_impuestos )

costo_ejemplar_dolares = ( costo_ejemplar_pesos / vm['dolar'] )

#CONTROL

print (costo_ejemplar_dolares)                                        
                                        
