# Programa en Python  -  Sistema Estadistico de Costos Maquinaria Agrícola


# MÓDULO I  -  CARGA DE VARIABLES MONETARIAS

import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import seaborn as sns


# Importar base de datos de series de tiempo con variables monetarias:

vm  =  pd.read_excel('Variables Monetarias Costos Maquinaria Agrícola v02.xlsx')


# Convertir columna mes en variable indexadora temporal:

vm.mes  =  pd.to_datetime(vm.mes)
vm.set_index('mes', inplace = True)       

#COSTOS TOLVAS
# MÓDULO II  -  DEFINICION DE PARÁMETROS  -  COSTOS MAQUINARIA AGRÍCOLA

#Parametros Generales

ocupacion_capacidad = 100
prod_mens = 20

#Materias Primas

chapa_acero = 5
cano_estructural_liviano = 175
cano_estructural_pesado = 20
planchuelas = 170
perfilados = 50
cano_sinfines = 135
laminados = 354
llantas = 4
neumaticos = 4
esmalte = 20
fondo = 10
catalizador = 7.5
diluyente = 3.5
desengrasante = 1
fosfatizante = 3
pasivante = 1
balanzas = 1
cilindros_hidraulicos = 2
mangueras = 20
sinfines = 1
tornilleria = 1

#Operarios

q_op = 25
q_delegados_gremiales = 2
horas_mens_convenio = 192

#Mano de Obra Indirecta

q_supervisores = 2
q_jefe_calidad = 1
q_op_calidad = 2
q_jefe_ingenieria = 1
q_jefe_logistica = 1
q_op_logistica = 6
q_op_mantenim = 1
q_personal_compras = 1
q_personal_finanzas = 1
q_personal_admin = 3
q_vendedores = 4
q_vendedores_post_vta = 1
q_personal_servicio_tecnico = 2
q_gerenete_general = 1

#Maquinaria

q_corte_plasma = 1
q_plegadora_automatica = 1
q_maquina_soldar = 15
q_torno_CNC = 1
q_centro_mecanizado = 1
q_sierras = 1
q_perforados = 1
q_cabina_pintura = 1
q_puentes_grua = 3
q_autoelevadores = 2
q_racks = 50
q_herramientas_mano = 1
a_corte_plasma = 5
a_plegadora_automatica = 5
a_maquina_soldar = 5
a_torno__CNC = 5
a_centro_mecanizados = 5
a_sierras = 5
a_perforadoras = 5
a_cabina_pintura = 5
a_puentes_grua = 25
a_autoelevadores = 5
a_racks = 5
a_herramientas_mano = 5
vr_corte_plasma = 30
vr_plegadora_automatica = 30
vr_maquina_soldar = 30
vr_torno_CNC = 30
vr_centro_mecanizado = 30
vr_sierras = 30
vr_perforadoras  = 30
vr_cabina_pintura = 30
vr_puentes_grua = 0
vr_autoelevadores = 30
vr_racks = 0
vr_herramientas_mano = 0
q_camionetas = 7
a_camionetas = 5
vr_camionetas = 30
uso_camionetas_mens = 1000
consumos_gasoil = 0.1
mantenim_camioneta = 5.0
costo_oportunidad = 4.0
mantenim_general = 12
limpieza_hs_mes = 24

#Resto Parametros

potencia_contratada = 600.00
consumo_energia_electrica = 5000
horas_pico_pot = 5
horas_pico_nopot = 19
horas_pico_consumo = 5
horas_valle_consumo = 6
horas_resto_consumo = 13
galpon = 5000
antig = 10.00
antig_coef = 1.00
vestimenta_prendas = 4.00
vestimenta_casco = 2.00
vestimenta_guantes = 2.00
sac_coef = 8.33
vac = 28.00
fondo_prev_despido = 4.00
ausentismo = 7.50
q_comp = 27.00
a_comp = 5
a_muebles = 10
plazo_pago_insumos = 60
plazo_cobro = 90
plazo_pago_salarios = 30
tasa_benef = 5.0
vtas_cba = 40.0
vtas_bsas = 30.0
vtas_stafe = 30.0
reinversion_ganancias = 50.0

#Bloque I - Materaia Prima y Componentes

i01_chapa_acero = ( chapa_acero * vm['p_chapa_acero'] * 1000 * vm['dolar'])

i02_cano_estructural_liviano = ( cano_estructural_liviano * vm['p_cano_liviano']
            * vm['dolar'] )

i03_cano_estructural_pesado = ( cano_estructural_pesado * vm['p_cano_pesado']
            * vm['dolar'] )

i04_planchuelas = ( planchuelas * vm['p_planchuelas'] * vm['dolar'] )

i05_perfilados = ( perfilados * vm['p_perfilados'] * vm['dolar'] )

i06_cano_sinfines = ( cano_sinfines * vm['p_cano_sinfines'] * vm['dolar'] )

i07_laminados = ( laminados * vm['p_laminados'] * vm['dolar'] )

i08_llantas = ( llantas * vm['p_llantas'] * vm['dolar'] )

i09_neumaticos = ( neumaticos * vm['p_neumaticos'] * vm['dolar'] )

i10_pinturas_poliuretanicas = (( esmalte * vm['p_esmalte'] + fondo
            * vm['p_fondo'] + catalizador * vm['p_catalizador'] + diluyente
            * vm['p_diluyente'] ) * vm['dolar'] )

i11_pinturas_oxidos = (( desengrasante * vm['p_desengrasante'] + fosfatizante
            * vm['p_fosfatizante'] + pasivante * vm['p_pasivante'] )
            * vm['dolar'] )

i12_balanzas = ( balanzas * vm['p_balanzas'] * vm['dolar'] )

i13_cilindros_hidraulicos = ( cilindros_hidraulicos
            * vm['p_cilindros_hidraulicos'] * vm['dolar'] )

i14_mangueras = ( mangueras * vm['p_mangueras'] * vm['dolar'] )

i15_sinfines = ( sinfines * vm['p_sinfines_conj4'] * vm['dolar'] )

i16_tornilleria = ( tornilleria * vm['p_tornilleria'] * vm['dolar'] )

i00_materia_prima = ( i01_chapa_acero + i02_cano_estructural_liviano
            + i03_cano_estructural_pesado + i04_planchuelas + i05_perfilados
            + i06_cano_sinfines + i07_laminados + i08_llantas + i09_neumaticos
            + i10_pinturas_poliuretanicas + i11_pinturas_oxidos + i12_balanzas
            + i13_cilindros_hidraulicos + i14_mangueras + i15_sinfines
            + i16_tornilleria )

#Blque II - Costos de Mano de Obra Directa

ii01_w_basica_remun = (( q_op + q_delegados_gremiales )
            * vm['w_r17_oficial_mult'] * horas_mens_convenio / prod_mens )

ii02_w_basica_no_remun = ( 0 )

ii03_horas_extras = ( 0 )

ii04_horas_extras2 = ( 0 )

ii05_antig = (( ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2 )
            * antig_coef / 100 * antig )

ii06_sac = (( ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2
            + ii05_antig ) * sac_coef / 100 )

ii07_vac = (( ii01_w_basica_remun + ii02_w_basica_no_remun + ii05_antig )
            / 30 * vac / 12 )

ii08_cont_pat = (( ii01_w_basica_remun + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antig + ii06_sac + ii07_vac
            - vm['mni_contribuciones'] * ( q_op + q_delegados_gremiales )
            / prod_mens ) * vm['alic_contribuciones'] / 100 )

ii09_cont_pat_iva = -(( ii01_w_basica_remun + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antig + ii06_sac + ii07_vac
            - vm['mni_contribuciones'] * ( q_op + q_delegados_gremiales )
            / prod_mens ) * vm['cf_contribuciones'] / 100 )

ii10_cont_os = (( ii01_w_basica_remun + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antig + ii06_sac + ii07_vac )
            * vm['alic_contribuciones_osocial'] / 100 )

ii11_seg_vida = (( ii01_w_basica_remun + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antig + ii06_sac + ii07_vac )
            * vm['seg_vida_porcent'] / 100 )

ii12_art = (( ii01_w_basica_remun + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antig + ii06_sac + ii07_vac )
            * vm['art_alic'] / 100 )

ii13_prev_despido = (( ii01_w_basica_remun + ii02_w_basica_no_remun
            + ii03_horas_extras + ii04_horas_extras2 + ii05_antig + ii06_sac
            + ii07_vac ) * fondo_prev_despido / 100 )

ii14_ausentismo = (( ii01_w_basica_remun + ii05_antig + ii06_sac + ii07_vac
            + ii08_cont_pat + ii09_cont_pat_iva + ii10_cont_os + ii11_seg_vida
            + ii12_art + ii13_prev_despido ) * ausentismo / 100 )

ii00_mano_obra_directa = ( ii01_w_basica_remun + ii02_w_basica_no_remun
            + ii03_horas_extras + ii04_horas_extras2 + ii05_antig + ii06_sac
            + ii07_vac + ii08_cont_pat + ii09_cont_pat_iva + ii10_cont_os
            + ii11_seg_vida + ii12_art + ii13_prev_despido + ii14_ausentismo )

#Bloque III - Costos de Mano de Obra Indirecta

iii01_w_supervisores = ( q_supervisores * vm['w_asimra_cat3'] / prod_mens )

iii02_w_jefe_calidad = ( q_jefe_calidad * vm['w_asimra_cat3'] / prod_mens )

iii03_w_op_calidad = ( q_op_calidad * vm['w_r17_tecnico3'] / prod_mens )

iii04_w_jefe_ingenieria = ( q_jefe_ingenieria * vm['w_asimra_cat3']
            / prod_mens )

iii05_w_jefe_logistica = ( q_jefe_logistica * vm['w_asimra_cat3'] / prod_mens )

iii06_w_op_logistica = ( q_op_logistica * vm['w_r17_tecnico3'] / prod_mens )

iii07_w_op_mantenim = ( q_op_mantenim * vm['w_r17_tecnico3'] / prod_mens )

iii08_w_personal_compras = ( q_personal_compras * vm['w_r17_adm3'] / prod_mens )

iii09_w_personal_finanzas = ( q_personal_finanzas * vm['w_r17_adm3']
            / prod_mens )

iii10_w_personal_admin = ( q_personal_admin * vm['w_r17_adm3'] / prod_mens )

iii11_w_vendedores = ( q_vendedores * vm['w_asimra_cat3'] / prod_mens )

iii12_w_vendedores_post_vta = ( q_vendedores_post_vta * vm['w_asimra_cat3']
            / prod_mens )

iii13_w_personal_servicio_tecnico = ( q_personal_servicio_tecnico
            * vm['w_asimra_cat3'] / prod_mens )

iii14_w_gerente_general = ( iii13_w_personal_servicio_tecnico * 2 )

iii15_antig = (( iii01_w_supervisores + iii02_w_jefe_calidad
            + iii03_w_op_calidad + iii04_w_jefe_ingenieria
            + iii05_w_jefe_logistica + iii06_w_op_logistica
            + iii07_w_op_mantenim + iii08_w_personal_compras
            + iii09_w_personal_finanzas + iii10_w_personal_admin
            + iii11_w_vendedores + iii12_w_vendedores_post_vta
            + iii13_w_personal_servicio_tecnico + iii14_w_gerente_general )
            * antig_coef / 100 * antig )

iii16_sac = (( iii01_w_supervisores + iii02_w_jefe_calidad
            + iii03_w_op_calidad + iii04_w_jefe_ingenieria
            + iii05_w_jefe_logistica + iii06_w_op_logistica
            + iii07_w_op_mantenim + iii08_w_personal_compras
            + iii09_w_personal_finanzas + iii10_w_personal_admin
            + iii11_w_vendedores + iii12_w_vendedores_post_vta
            + iii13_w_personal_servicio_tecnico + iii14_w_gerente_general
            + iii15_antig) * sac_coef / 100 )

iii17_vac = (( iii01_w_supervisores + iii02_w_jefe_calidad
            + iii03_w_op_calidad + iii04_w_jefe_ingenieria
            + iii05_w_jefe_logistica + iii06_w_op_logistica
            + iii07_w_op_mantenim + iii08_w_personal_compras
            + iii09_w_personal_finanzas + iii10_w_personal_admin
            + iii11_w_vendedores + iii12_w_vendedores_post_vta
            + iii13_w_personal_servicio_tecnico + iii14_w_gerente_general
            + iii15_antig) / 30 * vac / 12 )

iii18_cont_pat = (( iii01_w_supervisores + iii02_w_jefe_calidad
            + iii03_w_op_calidad + iii04_w_jefe_ingenieria
            + iii05_w_jefe_logistica + iii06_w_op_logistica
            + iii07_w_op_mantenim + iii08_w_personal_compras
            + iii09_w_personal_finanzas + iii10_w_personal_admin
            + iii11_w_vendedores + iii12_w_vendedores_post_vta
            + iii13_w_personal_servicio_tecnico + iii14_w_gerente_general
            + iii15_antig + iii16_sac + iii17_vac - vm['mni_contribuciones']
            * ( q_supervisores + q_jefe_calidad + q_op_calidad
            + q_jefe_ingenieria + q_jefe_logistica + q_op_logistica
            + q_op_mantenim + q_personal_compras + q_personal_finanzas
            + q_personal_admin + q_vendedores + q_vendedores_post_vta
            + q_personal_servicio_tecnico + q_gerenete_general ) / prod_mens )
            * vm['alic_contribuciones'] / 100 )

iii19_cont_pat_iva = -(( iii01_w_supervisores + iii02_w_jefe_calidad
            + iii03_w_op_calidad + iii04_w_jefe_ingenieria
            + iii05_w_jefe_logistica + iii06_w_op_logistica
            + iii07_w_op_mantenim + iii08_w_personal_compras
            + iii09_w_personal_finanzas + iii10_w_personal_admin
            + iii11_w_vendedores + iii12_w_vendedores_post_vta
            + iii13_w_personal_servicio_tecnico + iii14_w_gerente_general
            + iii15_antig + iii16_sac + iii17_vac - vm['mni_contribuciones']
            * ( q_supervisores + q_jefe_calidad + q_op_calidad
            + q_jefe_ingenieria + q_jefe_logistica + q_op_logistica
            + q_op_mantenim + q_personal_compras + q_personal_finanzas
            + q_personal_admin + q_vendedores + q_vendedores_post_vta
            + q_personal_servicio_tecnico + q_gerenete_general ) / prod_mens )
            * vm['cf_contribuciones'] / 100 )

iii20_cont_os = (( iii01_w_supervisores + iii02_w_jefe_calidad
            + iii03_w_op_calidad + iii04_w_jefe_ingenieria
            + iii05_w_jefe_logistica + iii06_w_op_logistica
            + iii07_w_op_mantenim + iii08_w_personal_compras
            + iii09_w_personal_finanzas + iii10_w_personal_admin
            + iii11_w_vendedores + iii12_w_vendedores_post_vta
            + iii13_w_personal_servicio_tecnico + iii14_w_gerente_general
            + iii15_antig + iii16_sac + iii17_vac )
            * vm['alic_contribuciones_osocial'] / 100 )

iii21_seg_vida = (( iii01_w_supervisores + iii02_w_jefe_calidad
            + iii03_w_op_calidad + iii04_w_jefe_ingenieria
            + iii05_w_jefe_logistica + iii06_w_op_logistica
            + iii07_w_op_mantenim + iii08_w_personal_compras
            + iii09_w_personal_finanzas + iii10_w_personal_admin
            + iii11_w_vendedores + iii12_w_vendedores_post_vta
            + iii13_w_personal_servicio_tecnico + iii14_w_gerente_general
            + iii15_antig + iii16_sac + iii17_vac )
            * vm['seg_vida_porcent'] / 100 )

iii22_art = (( iii01_w_supervisores + iii02_w_jefe_calidad
            + iii03_w_op_calidad + iii04_w_jefe_ingenieria
            + iii05_w_jefe_logistica + iii06_w_op_logistica
            + iii07_w_op_mantenim + iii08_w_personal_compras
            + iii09_w_personal_finanzas + iii10_w_personal_admin
            + iii11_w_vendedores + iii12_w_vendedores_post_vta
            + iii13_w_personal_servicio_tecnico + iii14_w_gerente_general
            + iii15_antig + iii16_sac + iii17_vac )
            * vm['art_alic'] / 100 )

iii23_prev_despido = (( iii01_w_supervisores + iii02_w_jefe_calidad
            + iii03_w_op_calidad + iii04_w_jefe_ingenieria
            + iii05_w_jefe_logistica + iii06_w_op_logistica
            + iii07_w_op_mantenim + iii08_w_personal_compras
            + iii09_w_personal_finanzas + iii10_w_personal_admin
            + iii11_w_vendedores + iii12_w_vendedores_post_vta
            + iii13_w_personal_servicio_tecnico + iii14_w_gerente_general
            + iii15_antig + iii16_sac + iii17_vac )
            * fondo_prev_despido / 100 )

iii00_mano_obra_indirecta = ( iii01_w_supervisores + iii02_w_jefe_calidad
            + iii03_w_op_calidad + iii04_w_jefe_ingenieria
            + iii05_w_jefe_logistica + iii06_w_op_logistica
            + iii07_w_op_mantenim + iii08_w_personal_compras
            + iii09_w_personal_finanzas + iii10_w_personal_admin
            + iii11_w_vendedores + iii12_w_vendedores_post_vta
            + iii13_w_personal_servicio_tecnico + iii14_w_gerente_general
            + iii15_antig + iii16_sac + iii17_vac + iii18_cont_pat
            + iii19_cont_pat_iva + iii20_cont_os + iii21_seg_vida + iii22_art
            + iii23_prev_despido )

#Bloque IV - Costos de Maquinaria

iv01_energia_electrica = (( potencia_contratada * vm['energia_pot_punta']
            + consumo_energia_electrica * vm['energia_pico'] ) * 12 / prod_mens )

iv02_alic_energia_electrica = ( iv01_energia_electrica * ( vm['energia_oim']
            + vm['energia_dto2298'] + vm['energia_ersep']
            + vm['energia_ley9819'] ) / 100 )

iv03_rep_corte_plasma = ( q_corte_plasma * vm['p_corte_plasma'] * vm['dolar']
            * ( 1 - vr_corte_plasma / 100 ) / a_corte_plasma / 12 / prod_mens )

iv04_rep_plegadora_automatica = ( q_plegadora_automatica
            * vm['p_pegadora_automatica'] * vm['dolar']
            * ( 1 - vr_plegadora_automatica / 100 )
            / a_plegadora_automatica / 12 / prod_mens )

iv05_rep_maquina_soldar = ( q_maquina_soldar * vm['p_maquina_soldar']
            * vm['dolar'] * ( 1 - vr_maquina_soldar / 100 ) / a_maquina_soldar
            / 12 / prod_mens )

iv06_rep_torno_CNC = ( q_torno_CNC * vm['p_torno_CNC'] * vm['dolar']
            * ( 1 - vr_torno_CNC / 100 ) / a_torno__CNC / 12 / prod_mens )

iv07_rep_centro_mecanizado = ( q_centro_mecanizado * vm['p_centro_mecanizado']
            * vm['dolar'] * ( 1 - vr_centro_mecanizado / 100 )
            / a_centro_mecanizados / 12 / prod_mens )

iv08_rep_sierras = ( q_sierras * vm['p_sierras'] * vm['dolar']
            * ( 1 - vr_sierras / 100 ) / a_sierras / 12 / prod_mens )

iv09_rep_perforadoras = ( q_perforados * vm['p_perforadoras'] * vm['dolar']
            * ( 1 - vr_perforadoras / 100 ) / a_perforadoras / 12 / prod_mens )

iv10_rep_cabina_pintura = ( q_cabina_pintura * vm['p_cabina_pintura']
            * vm['dolar'] * ( 1 - vr_cabina_pintura / 100 ) / a_cabina_pintura
            / 12 / prod_mens )

iv11_rep_puentes_grua = ( q_puentes_grua * vm['p_puente_grua'] * vm['dolar']
            * ( 1 - vr_puentes_grua / 100 ) / a_puentes_grua / 12 / prod_mens )

iv12_rep_autoelevadores = ( q_autoelevadores * vm['p_autoelevadores']
            * vm['dolar'] * ( 1 - vr_autoelevadores / 100 ) / a_autoelevadores
            / 12 / prod_mens )

iv13_rep_racks = ( q_racks * vm['p_racks'] * vm['dolar']
            * ( 1 - vr_racks / 100 ) / a_racks / 12 / prod_mens )

iv14_rep_herramientas_mano = ( q_herramientas_mano * vm['p_herramientas_mano']
            * vm['dolar'] * ( 1 - vr_herramientas_mano / 100 )
            / a_herramientas_mano / 12 / prod_mens )

iv15_costo_oportunidad = (( q_corte_plasma * vm['p_corte_plasma'] * vm['dolar']
            * (( 1 - vr_corte_plasma / 100 ) / 2 + vr_corte_plasma / 100 )
            + q_plegadora_automatica * vm['p_pegadora_automatica']
            * vm['dolar'] * (( 1 - vr_plegadora_automatica / 100 ) / 2
            + vr_plegadora_automatica / 100 ) + q_maquina_soldar
            * vm['p_maquina_soldar'] * vm['dolar'] * (( 1 - vr_maquina_soldar
            / 100 ) / 2 + vr_maquina_soldar / 100 ) + q_torno_CNC
            * vm['p_torno_CNC'] * vm['dolar'] * (( 1 - vr_torno_CNC / 100 )
            / 2 + vr_torno_CNC / 100 ) +  q_centro_mecanizado
            * vm['p_centro_mecanizado'] * vm['dolar'] * (( 1
            - vr_centro_mecanizado / 100 ) / 2 + vr_centro_mecanizado / 100 )
            +  q_sierras * vm['p_sierras'] * vm['dolar'] * (( 1 - vr_sierras
            / 100 ) / 2 + vr_sierras / 100 ) + q_perforados
            * vm['p_perforadoras'] * vm['dolar'] * (( 1 - vr_perforadoras
            / 100 ) / 2 + vr_perforadoras / 100 ) + q_cabina_pintura
            * vm['p_cabina_pintura'] * vm['dolar'] * (( 1 - vr_cabina_pintura
            / 100 ) / 2 + vr_cabina_pintura / 100 ) + q_puentes_grua
            * vm['p_puente_grua'] * vm['dolar'] * (( 1 - vr_puentes_grua
            / 100 ) / 2 + vr_puentes_grua / 100 ) + q_autoelevadores
            * vm['p_autoelevadores'] * vm['dolar'] * (( 1 - vr_autoelevadores
            / 100 ) / 2 + vr_autoelevadores / 100 ) + q_racks * vm['p_racks']
            * vm['dolar'] * (( 1 - vr_racks / 100 ) / 2 + vr_racks / 100 )
            + q_herramientas_mano * vm['p_herramientas_mano'] * vm['dolar']
            * (( 1 - vr_herramientas_mano / 100 ) / 2 + vr_herramientas_mano
            / 100 )) * costo_oportunidad / 100 / 12 / prod_mens )

iv00_maquinaria = ( iv01_energia_electrica + iv02_alic_energia_electrica
            + iv03_rep_corte_plasma + iv04_rep_plegadora_automatica
            + iv05_rep_maquina_soldar + iv06_rep_torno_CNC
            + iv07_rep_centro_mecanizado + iv08_rep_sierras
            + iv09_rep_perforadoras + iv10_rep_cabina_pintura
            + iv11_rep_puentes_grua + iv12_rep_autoelevadores + iv13_rep_racks
            + iv14_rep_herramientas_mano + iv15_costo_oportunidad )

#Bloque V - Costos Fijos No Asociados a la Producción

v01_alquiler_galpon = ( vm['palquiler'] * vm['dolar'] * galpon / prod_mens )

v02_muebles_utiles = (( vm['pcomputadora'] / a_comp + vm['pescritorio']
            / a_muebles + vm['psilla'] / a_muebles ) * q_comp / 12 / prod_mens )

v03_mantenim = ( mantenim_general * vm['w_r17_op_calif'] * 2 / prod_mens )

v04_limpieza = ( limpieza_hs_mes * vm['w_r17_op_calif'] * 2 / prod_mens )

v05_rep_camionetas = ( q_camionetas * vm['pmaq_camioneta'] * vm['dolar']
            * ( 1 - vr_camionetas / 100 ) / a_camionetas / 12 / prod_mens )

v06_camionetas_combustible = ( uso_camionetas_mens * consumos_gasoil
            * q_camionetas * vm['pgasoil'] / prod_mens )

v07_camionetas_mantenim = ( vm['pmaq_camioneta'] * vm['dolar']
            * mantenim_camioneta / 100 / 12 / prod_mens )

v08_seg = ( vm['pseguro_incendio'] / 12 / prod_mens )

v09_costos_financieros = (( i00_materia_prima * 1.21 * pow ( 1
            + vm['tasa_interes_mens'] / 100,( plazo_cobro
            - plazo_pago_insumos ) / 30 ) + ( ii00_mano_obra_directa
            + iii00_mano_obra_indirecta ) * pow ( 1 + vm['tasa_interes_mens']
            / 100,( plazo_cobro - plazo_pago_salarios ) / 30 )
            - i00_materia_prima * 1.21 - ( ii00_mano_obra_directa
            + iii00_mano_obra_indirecta )))
                          
v10_estudio_contable = ( vm['pestudio_cont'] / prod_mens )
                          
v11_beneficios = (( i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v01_alquiler_galpon
            + v02_muebles_utiles + v03_mantenim + v04_limpieza
            + v05_rep_camionetas + v06_camionetas_combustible
            + v07_camionetas_mantenim + v08_seg + v09_costos_financieros
            + v10_estudio_contable ) * tasa_benef / 100 )

v00_costos_fijos = ( v01_alquiler_galpon
            + v02_muebles_utiles + v03_mantenim + v04_limpieza
            + v05_rep_camionetas + v06_camionetas_combustible
            + v07_camionetas_mantenim + v08_seg + v09_costos_financieros
            + v10_estudio_contable + v11_beneficios )

#Bloque VI - Costos Impositivos

vi01_imp_ingresos_brutos = (( i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v00_costos_fijos )
            * ( ( vm['ib_cordoba_alic'] * vtas_cba / 100
            + vm['ib_buenosaires_extjuris_alic'] * vtas_bsas / 100
            + vm['ib_santfe_extjuris_alic'] * vtas_stafe / 100 ) / 100 ))

                          
vi02_alic_imp_comer_ind = (( i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v00_costos_fijos )
            * vm['alic_comeind'] / 100 )
                          
vi03_alic_imp_ganancias = (( v11_beneficios + iv15_costo_oportunidad )
            * vm['alic_imp_ganancias'] / 100 + ( v11_beneficios
            + iv15_costo_oportunidad ) * ( 100 - reinversion_ganancias )
            / 100 * vm['alic_imp_ganancias_dist'] / 100 )
                          
vi04_alic_imp_cheque = (( i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v00_costos_fijos )
            * 1.21 * ( vm['alic_imp_cheque'] + vm['cf_imp_cheque'] ) / 100 )
                          
vi00_impuestos = ( vi01_imp_ingresos_brutos + vi02_alic_imp_comer_ind
            + vi03_alic_imp_ganancias + vi04_alic_imp_cheque )

# Bloque Indicadores de Costos

costo_par_pesos = ( i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v00_costos_fijos
            + vi00_impuestos )

costo_par_dolares = ( costo_par_pesos / vm['dolar'] )

#CONTROL

print (costo_par_dolares)
