# Programa en Python - Sistema Estadistico de Costos industria Minera


# MÓDULO I - CARGA DE VARIABLES MONETARIAS

import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import seaborn as sns

# importar base de datos de series de tiempo con variables monetarias:

vm = pd.read_excel('variables monetarias costos minería v01.xlsx')


# Convertir columna mes en variable indexadora temporal:

vm.mes = pd.to_datetime(vm.mes)
vm.set_index('mes', inplace=True)       


# MÓDULO II - DEFINICION DE PARÁMETROS

prod_mensual = 120000
capacidad = 100
prod_mensual2 = 120000
#Consumibles perforacion	
martillo_punta = 200000.00
brocas_t38 = 604.00
barras_t38 = 561.00
culpas_t38 = 288.00
iniciador_t38 = 1320.00
brocas_t45 = 600.00
barras_t45 = 900.00
iniciador_t45 = 5000.00
rendimiento_t38 = 0.056
rendimiento_t45x76 = 0.065
rendimiento_t45x89 = 0.040
elementos_trituracion = 1.00
#Amortizacion maquinaria	
q_retroexcavadora = 2
q_martillo_krupp = 1
q_compresor_d900 = 1
q_compresor_d250 = 1
q_perforadora_hidrualica = 1
q_vagon_perforador = 1
q_excavadora = 1
q_tractor_fahrd86f = 1
q_tractor_deere_4350 = 1
q_topadora = 1
q_martillo_soosan = 1
q_cargador_frontal = 1
q_minicargador = 1
q_camion = 2
q_horas_amort = 10000
repuestos = 50.0
#combustible	
hp_retroexcavadora = 350.0
hp_martillo_krupp = 1.9
hp_compresor_d900 = 265.0
hp_compresor_d250 = 80.0
hp_perforadora_hidrualica = 174.0
hp_vagon_perforador = 1.9
hp_excavadora	 = 383.0
hp_tractor_fahrd86f = 100.0
hp_tractor_deere_4350 = 100.0
hp_topadora = 325.0
hp_martillo_soosan = 1.9
hp_cargador_frontal = 280.0
hp_minicargador = 46.0
hp_camion = 100.0
conversor_hp_lt = 0.20
#Amortizacion maquinaria trituracion primaria	
q_pretolva_csaky = 1
q_alimentador_vibratorio_peghson = 1
q_primaria_pegson = 1
q_cinta_pegson1 = 1
q_cinta_cantesur2 = 1
q_cinta_cantesur3 = 1
q_cinta_cantesur16 = 1
q_cinta_cantesur17 = 1
q_zaranda_chalmers = 1
q_puentegrua_aparejo = 1
#Amortizacion maquinaria trituracion secundaria y terciaria	
q_alimentador_vibratorio_fournier = 1
q_detector_metales = 1
q_balanza_metal = 1
q_cinta_csaky4 = 1
q_cinta_csaky5 = 1
q_secundaria_telsmith = 1
q_terciara_telsmith = 1
q_cinta_telsmith6 = 1
q_cinta_cantesur7 = 1
q_cinta_cantesur8 = 1
q_zaranda_gringo = 1
q_cinta_cantesur15 = 1
q_zaranda_pegson = 1
q_cinta_cskay9 = 1
q_cinta_csaky10 = 1
q_cinta_csaky11 = 1
q_cinta_csaky12 = 1
q_cinta_csaky13 = 1
q_cinta_csaky14 = 1
q_tolva_csaky = 1
#Amortizacion maquinaria trituración cuaternaria	
q_alimentador = 1
q_cinta_camarasa18 = 1
q_cinta_camarasa19 = 1
q_zaranda_chalmers_15x36 = 1
q_triturador_telsmith36 = 1
q_cinta_camarasa20 = 1
q_cinta_camarasa21 = 1
q_cinta_camarasa22 = 1
q_cinta_camarasa23 = 1
q_cinta_camarasa24 = 1
q_zaranda_gringo_15x24 = 1
#Amortización de instalaciones	
tn_taller_mecanico = 5000000
tn_instalacion_electrica = 5000000
tn_obra_civil_planta = 5000000
tn_obra_civil_oficina = 5000000
tn_obra_civil_bascula = 5000000
tn_terreno_cantera = 15000000
#Parámetros Voladura	
tn_voladura = 85000
tn_neta_voladura = 81000
#Consumibles voladura	
gelamon_vf65x60 = 0.00
gelamon_vf65x70 = 0.00
gelamita_inkael = 0.00
senatel_magnafrac = 11050
icatron = 0
amex = 1725
centra_gold = 5030
detonadores_no_electricos = 0
detonadores_miliseg = 3
det_electronicos_ut500 = 618
det_electronicos_ikon = 0
cordon_detonante = 0
booester = 618
#Equipos voladura	
hs_retroexcavadora = 131
hs_martillo_soosan = 131
hs_tractor_deere = 30
hs_elementos_perforacion = 85000
#Mano de obra voladura	
q_op_voladura = 8
#Parámetros carga	
tn_carga = 81000
#Equipos carga	
hs_excavadora = 538
hs_cargador_frontal = 0
hs_fleteros = 4601
#Mano de obra carga	
q_op_carga = 5
#Parámetros trituración	
tn_trituracion = 81000
#Equipos trituración	
hs_amort_primaria = 390
hs_amort_secund_terciaria = 382
hs_amort_cuaternaria = 409
hs_cargador_frontal_trit = 200
hs_planta_zarandeo_lavado = 150
hs_camion = 100
hs_minicargador = 100
#Energía eléctrica trituración	
potencia_contratada = 0	
consumo_mensual = 0
#Mano de obra trituración	
q_op_trituracion = 14
#Parámetros taller	
tn_taller = 81000
#Movilidades taller	
movilidades = 1
#Mano de obra taller	
q_op_taller = 6
#Parámetros carga camión-ferrocarril	
tn_carga_camión_ferro = 81000
#Maquinaria carga camión-ferrocarril	
tn_cargador_frontal = 250
#Mano de obra carga camión-ferrocarril	
q_op_carga_camion_ferro = 5
#Mano de obra indirecta	
q_admin = 5
q_gerente = 2
q_gerente_general = 1
costo_oportunidad = 4.0
potencia_contratada = 900.00
consumo_energia = 180000
horas_pico_pot = 5
horas_no_pico_pot = 19
horas_pico_consumo = 5
horas_valle_consumo = 6
horas_resto_consumo = 13
antig = 10.00
antig_coef = 1.00
sac_coef = 8.33
vac = 28.00
fondo_prev = 4.00
ausentismo = 5.00
plazo_pago = 60
plazo_cobro = 90
plazo_pago_salarios = 30
mark_up = 10.0
vtas_cba = 100.0
vtas_bsas = 0.0
vtas_stafe = 0.0
reinversion_ganancias = 50.0

#MÓDULO 3 - ESTIMACIONES DE COSTOS

#Bloque I - Consumibles

i01_cons_perforacion = (( vm['p_martillo_puntas'] / martillo_punta
            + vm['p_brocas_t38'] / brocas_t38 * rendimiento_t38
            + vm['p_barras_t38'] / barras_t38 * rendimiento_t38
            + vm['p_cuplas_t38'] / culpas_t38 * rendimiento_t38
            + vm['p_iniciador_t38'] / iniciador_t38 * rendimiento_t38
            + vm['p_brocas_t45'] / brocas_t45 * rendimiento_t45x76
            + vm['p_barras_t45'] / barras_t45 * rendimiento_t45x76
            + vm['p_iniciador_t45'] / iniciador_t45 * rendimiento_t45x76 )
            * vm['dolar'] * hs_elementos_perforacion / tn_neta_voladura )

i02_cons_voladura = (( senatel_magnafrac * vm['p_senatel_magnafrac']
            + amex * vm['p_amex'] + centra_gold * vm['p_centra_gold']
            + detonadores_miliseg * vm['p_detonadores_miliseg']
            + det_electronicos_ut500 * vm['p_det_elect_ut500']
            + booester * vm['p_booester'] ) * vm['dolar'] / tn_neta_voladura )

i03_energia = (( potencia_contratada * horas_pico_pot / ( horas_pico_pot
            + horas_no_pico_pot ) * vm['penergia_potencia_punta']
            + potencia_contratada * horas_no_pico_pot / ( horas_pico_pot
            + horas_no_pico_pot ) * vm['penergia_potencia_fuerapunta']
            + consumo_energia * horas_pico_consumo / ( horas_pico_consumo
            + horas_valle_consumo + horas_resto_consumo )
            * vm['penergia_pico'] + consumo_energia * horas_valle_consumo
            / ( horas_pico_consumo + horas_valle_consumo + horas_resto_consumo )
            * vm['penergia_valle'] + consumo_energia * horas_resto_consumo
            / ( horas_pico_consumo + horas_valle_consumo + horas_resto_consumo )
            * vm['penergia_resto'] ) / tn_trituracion )

i04_imp_tasa_energia = ( i03_energia * ( vm['penergia_oim']
            + vm['penergia_dto2298'] + vm['penergia_ersep']
            + vm['penergia_ley9819'] ) / 100 )

#i05_repuestos, se ubica luego de iv55, por falta de información

i06_servicios_taller = ( movilidades * vm['p_movilidades'] / tn_taller )

i07_combustibles = (( hs_retroexcavadora * hp_retroexcavadora + hs_martillo_soosan
            * hp_martillo_soosan + hs_tractor_deere * hp_tractor_deere_4350
            + hs_excavadora * hp_excavadora ) * conversor_hp_lt
            * vm['gasoil_grado2'] / tn_neta_voladura )

i00_consumibles = ( i01_cons_perforacion + i02_cons_voladura + i03_energia
            + i04_imp_tasa_energia + i06_servicios_taller
            + i07_combustibles ) 

#Bloque II - Costos de Mano de Obra Directa}

ii01_rem_op_voladura = ( q_op_voladura * vm['cat_4'] * 30 / tn_neta_voladura )

ii02_rem_op_carga = ( q_op_carga * vm['cat_4'] * 30 / tn_neta_voladura )

ii03_rem_op_trituracion = ( q_op_trituracion * vm['cat_4'] * 30 / tn_neta_voladura )

ii04_rem_op_taller = ( q_op_taller * vm['cat_4'] * 30 / tn_neta_voladura )

ii05_rem_op_carga_camion = ( q_op_carga_camion_ferro * vm['cat_4'] * 30
            / tn_neta_voladura )

ii06_rem_op_norem = (0)

ii07_horas_extra15 = (0)

ii08_horas_extra2 = (0)

ii09_antig = (( ii01_rem_op_voladura + ii02_rem_op_carga
            + ii03_rem_op_trituracion + ii04_rem_op_taller
            + ii05_rem_op_carga_camion + ii07_horas_extra15 + ii08_horas_extra2)
            * antig_coef / 100 * antig )

ii10_sac = (( ii01_rem_op_voladura + ii02_rem_op_carga
            + ii03_rem_op_trituracion + ii04_rem_op_taller
            + ii05_rem_op_carga_camion + ii07_horas_extra15
            + ii08_horas_extra2 + ii09_antig )
            * sac_coef / 100 )
            
ii11_vac = (( ii01_rem_op_voladura + ii02_rem_op_carga
            + ii03_rem_op_trituracion + ii04_rem_op_taller
            + ii05_rem_op_carga_camion + ii06_rem_op_norem + ii09_antig )
            / 30 * vac / 12 )

ii12_cont_pat = (( ii01_rem_op_voladura + ii02_rem_op_carga
            + ii03_rem_op_trituracion + ii04_rem_op_taller
            + ii05_rem_op_carga_camion + ii07_horas_extra15
            + ii08_horas_extra2 + ii09_antig + ii10_sac + ii11_vac
            - vm['contribuciones_mni'] * ( q_op_voladura + q_op_carga
            + q_op_trituracion + q_op_taller + q_op_carga_camion_ferro )
            / tn_neta_voladura ) * vm['contribuciones_alic'] / 100 )

ii13_conta_pat_iva = (-( ii01_rem_op_voladura + ii02_rem_op_carga
            + ii03_rem_op_trituracion + ii04_rem_op_taller
            + ii05_rem_op_carga_camion + ii07_horas_extra15
            + ii08_horas_extra2 + ii09_antig + ii10_sac + ii11_vac
            - vm['contribuciones_mni'] * ( q_op_voladura + q_op_carga
            + q_op_trituracion + q_op_taller + q_op_carga_camion_ferro )
            / tn_neta_voladura ) * vm['contribuciones_ctaiva_alic'] / 100 )

ii14_cont_os = (( ii01_rem_op_voladura + ii02_rem_op_carga
            + ii03_rem_op_trituracion + ii04_rem_op_taller
            + ii05_rem_op_carga_camion + ii07_horas_extra15
            + ii08_horas_extra2 + ii09_antig + ii10_sac + ii11_vac )
            * vm['contrib_obrasocial_alic'] / 100 )

ii15_seg_vida = (( ii01_rem_op_voladura + ii02_rem_op_carga
            + ii03_rem_op_trituracion + ii04_rem_op_taller
            + ii05_rem_op_carga_camion + ii07_horas_extra15
            + ii08_horas_extra2 + ii09_antig + ii10_sac + ii11_vac )
            * vm['seguro_vida_obligat_alic'] / 100 )

ii16_art = (( ii01_rem_op_voladura + ii02_rem_op_carga
            + ii03_rem_op_trituracion + ii04_rem_op_taller
            + ii05_rem_op_carga_camion + ii07_horas_extra15
            + ii08_horas_extra2 + ii09_antig + ii10_sac + ii11_vac )
            * vm['art_alic'] / 100 )

ii17_prev_despido = (( ii01_rem_op_voladura + ii02_rem_op_carga
            + ii03_rem_op_trituracion + ii04_rem_op_taller
            + ii05_rem_op_carga_camion + ii06_rem_op_norem
            + ii07_horas_extra15 + ii08_horas_extra2 + ii09_antig + ii10_sac
            + ii11_vac ) * fondo_prev / 100 )

ii18_ausentismo = (( ii01_rem_op_voladura + ii02_rem_op_carga
            + ii03_rem_op_trituracion + ii04_rem_op_taller
            + ii05_rem_op_carga_camion + ii09_antig + ii10_sac
            + ii11_vac + ii12_cont_pat + ii13_conta_pat_iva + ii14_cont_os
            + ii15_seg_vida + ii16_art + ii17_prev_despido )
            * ausentismo / 100 )

ii00_mano_obra_directa = ( ii01_rem_op_voladura + ii02_rem_op_carga
            + ii03_rem_op_trituracion + ii04_rem_op_taller
            + ii05_rem_op_carga_camion + ii06_rem_op_norem
            + ii07_horas_extra15 + ii08_horas_extra2 + ii09_antig + ii10_sac
            + ii11_vac + ii12_cont_pat + ii13_conta_pat_iva + ii14_cont_os
            + ii15_seg_vida + ii16_art + ii17_prev_despido + ii18_ausentismo )

#Bloque III - Costos Mano de Obra Indirecta

iii01_rem_admin = ( q_admin * vm['rem_admin'] / prod_mensual2 )

iii02_rem_gerentes = ( q_gerente * vm['rem_gerente'] / prod_mensual2 )

iii03_rem_gerente_general = ( q_gerente_general * vm['rem_gerente_general']
            / prod_mensual2 )

iii04_antig = (( iii01_rem_admin + iii02_rem_gerentes
            + iii03_rem_gerente_general ) * antig_coef / 100 * antig )

iii05_sac = (( iii01_rem_admin + iii02_rem_gerentes
            + iii03_rem_gerente_general + iii04_antig ) * sac_coef / 100 )

iii06_vac = (( iii01_rem_admin + iii02_rem_gerentes
            + iii03_rem_gerente_general + iii04_antig ) / 30 * vac / 12 )

iii07_cont_pat = (( iii01_rem_admin + iii02_rem_gerentes
            + iii03_rem_gerente_general + iii04_antig + iii05_sac + iii06_vac
            - vm['contribuciones_mni'] * ( q_admin + q_gerente
            + q_gerente_general )/ tn_neta_voladura )
            * vm['contribuciones_alic'] / 100 )

iii08_cont_pat_iva = (-( iii01_rem_admin + iii02_rem_gerentes
            + iii03_rem_gerente_general + iii04_antig + iii05_sac + iii06_vac
            - vm['contribuciones_mni'] * ( q_admin + q_gerente
            + q_gerente_general )/ tn_neta_voladura )
            * vm['contribuciones_ctaiva_alic'] / 100 )

iii09_cont_os = (( iii01_rem_admin + iii02_rem_gerentes
            + iii03_rem_gerente_general + iii04_antig + iii05_sac + iii06_vac )
            * vm['contrib_obrasocial_alic'] / 100 )

iii10_seg_vida = (( iii01_rem_admin + iii02_rem_gerentes
            + iii03_rem_gerente_general + iii04_antig + iii05_sac + iii06_vac )
            * vm['seguro_vida_obligat_alic'] / 100 )

iii11_art = (( iii01_rem_admin + iii02_rem_gerentes
            + iii03_rem_gerente_general + iii04_antig + iii05_sac + iii06_vac )
            * vm['art_alic'] / 100 )

iii12_prev_despido = (( iii01_rem_admin + iii02_rem_gerentes
            + iii03_rem_gerente_general + iii04_antig + iii05_sac + iii06_vac )
            * fondo_prev / 100 )

iii00_mano_obra_indirecta = ( iii01_rem_admin + iii02_rem_gerentes
            + iii03_rem_gerente_general + iii04_antig + iii05_sac + iii06_vac
            + iii07_cont_pat + iii08_cont_pat_iva + iii09_cont_os
            + iii10_seg_vida + iii11_art + iii12_prev_despido )

#Bloque IV - Maquinaria

iv01_retroexcavadora = ( q_retroexcavadora * vm['p_retroexcavadora']
            * vm['dolar'] / q_horas_amort * hs_retroexcavadora
            / tn_neta_voladura )

iv02_martillo_krupp = ( q_martillo_krupp * vm['p_martillo_krupp']
            * vm['dolar'] / q_horas_amort * hs_martillo_soosan
            / tn_neta_voladura )

iv03_compresor_d900 = ( q_compresor_d900 * vm['p_compresor_d900']
            * vm['dolar'] / q_horas_amort * 0 )

iv04_compresor_d250 = ( q_compresor_d250 * vm['p_compresor_d250']
            * vm['dolar'] / q_horas_amort * 0 )

iv05_perforadora_hidrualica = ( q_perforadora_hidrualica
            * vm['p_perforadora_hidraulica'] * vm['dolar'] / q_horas_amort * 0 )

iv06_vagon_perforador = ( q_vagon_perforador * vm['p_vagon_perforador']
            * vm['dolar'] / q_horas_amort * 0 )

iv07_excavadora = ( q_excavadora * vm['p_excavadora']
            * vm['dolar'] / q_horas_amort * hs_excavadora / tn_carga )

iv08_tractor_fahr_d86f = ( q_tractor_fahrd86f * vm['p_tractor_fahr']
            * vm['dolar'] / q_horas_amort * 0 )

iv09_tractor_john_deeere_4350 = ( q_tractor_deere_4350 * vm['p_tractor_deere']
            * vm['dolar'] / q_horas_amort * hs_tractor_deere
            / tn_neta_voladura )

iv10_topadora = ( q_topadora * vm['p_topadora']
            * vm['dolar'] / q_horas_amort * 0 )

iv11_martillo_soosan_sb151 = ( q_martillo_soosan * vm['p_martillo_soosan']
            * vm['dolar'] / q_horas_amort * 0 )

iv12_cargador_frontal = ( q_cargador_frontal * vm['p_cargador_frontal']
            * vm['dolar'] / q_horas_amort * ( hs_cargador_frontal_trit
            + q_op_trituracion ) / tn_trituracion )
                          
iv13_minicargador = ( q_minicargador * vm['p_minicargador']
            * vm['dolar'] / q_horas_amort * hs_minicargador / tn_trituracion )

iv14_camion = ( q_camion * vm['p_camion'] * vm['dolar']
            / q_horas_amort * hs_camion / tn_trituracion )

iv15_pretolva_csaky = ( q_pretolva_csaky * vm['p_pretolva_csaky']
            * vm['dolar'] / q_horas_amort * hs_amort_primaria / tn_carga )

iv16_alimentador_vibratorio_peghson = ( q_alimentador_vibratorio_peghson
            * vm['p_alimento_vibratorio'] * vm['dolar']
            / q_horas_amort * hs_amort_primaria / tn_carga )

iv17_primaria_pegson = ( q_primaria_pegson * vm['p_primaria_pegson']
            * vm['dolar'] / q_horas_amort * hs_amort_primaria / tn_carga )

iv18_cinta_pegson_1 = ( q_cinta_pegson1 * vm['p_cinta_pegson']
            * vm['dolar'] / q_horas_amort * hs_amort_primaria / tn_carga )

iv19_cinta_cantesur_2 = ( q_cinta_cantesur2 * vm['p_cinta_cantesur_2']
            * vm['dolar'] / q_horas_amort * hs_amort_primaria / tn_carga )

iv20_cinta_csaky_3 = ( q_cinta_cantesur3 * vm['p_cinta_csaky_3']
            * vm['dolar'] / q_horas_amort * hs_amort_primaria / tn_carga )

iv21_cinta_cantesur_16 = ( q_cinta_cantesur16 * vm['p_cinta_cantesur_16']
            * vm['dolar'] / q_horas_amort * hs_amort_primaria / tn_carga )

iv22_cinta_cantesur_17 = ( q_cinta_cantesur17 * vm['p_cinta_cantesur_17']
            * vm['dolar'] / q_horas_amort * hs_amort_primaria / tn_carga )

iv23_zaranda_allis_chalmers = ( q_zaranda_chalmers * vm['p_zaranda_allis']
            * vm['dolar'] / q_horas_amort * hs_amort_primaria / tn_carga )

iv24_puentegrua_aparejo = ( q_puentegrua_aparejo * vm['p_puentegrua']
            * vm['dolar'] / q_horas_amort * hs_amort_primaria / tn_carga )

iv25_alimentar_vibratorio_fournier = ( q_alimentador_vibratorio_fournier
            * vm['p_alimentadores_vibratorios'] * vm['dolar']
            / q_horas_amort * hs_amort_secund_terciaria / tn_trituracion )

iv26_detector_metales = ( q_detector_metales * vm['p_detector_metales']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv27_balanza_metal = ( q_balanza_metal * vm['p_balanza_metales']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv28_cinta_csaky4 = ( q_cinta_csaky4 * vm['p_cinta_csaky_4']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv29_cinta_cskay5 = ( q_cinta_csaky5 * vm['p_cinta_csaky_5']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv30_secundaria_telsmith = ( q_secundaria_telsmith * vm['p_secundaria_telsmith']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv31_terciaria_telsmith = ( q_terciara_telsmith * vm['p_terciaria_telsmith']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv32_cinta_telsmith_6 = ( q_cinta_telsmith6 * vm['p_cinta_telsmith_6']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv33_cinta_cantesur_7 = ( q_cinta_cantesur7 * vm['p_cinta_cantesur_7']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv34_cinta_cantesur_8 = ( q_cinta_cantesur8 * vm['p_cinta_cantesur_8']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv35_zaranda_gringo_15x24 = ( q_zaranda_gringo * vm['p_zaranda_gringo']
            * vm['dolar'] / q_horas_amort * ( hs_amort_secund_terciaria
            + hs_planta_zarandeo_lavado ) / tn_trituracion )

iv36_cinta_cantesur_15 = ( q_cinta_cantesur15 * vm['p_cinta_cantesur_15']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv37_zaranda_pegson = ( q_zaranda_pegson * vm['p_zaranda_pegson']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv38_cinta_csaky9 = ( q_cinta_cskay9 * vm['p_cinta_csaky_9']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv39_cinta_csaky10 = ( q_cinta_csaky10 * vm['p_cinta_csaky_10']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv40_cinta_csaky11 = ( q_cinta_csaky11 * vm['p_cinta_csaky_11']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv41_cinta_csaky12 = ( q_cinta_csaky12 * vm['p_cinta_csaky_12']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv42_cinta_csaky13 = ( q_cinta_csaky13 * vm['p_cinta_csaky_13']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv43_cinta_csaky14 = ( q_cinta_csaky14 * vm['p_cinta_csaky_14']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv44_tolvas_chapa_csaky = ( q_tolva_csaky * vm['p_tolcas_chapa_csaky']
            * vm['dolar'] / q_horas_amort * hs_amort_secund_terciaria
            / tn_trituracion )

iv45_alimentador = ( q_alimentador * vm['p_alimentador']
            * vm['dolar'] / q_horas_amort * hs_amort_cuaternaria
            / tn_trituracion )

iv46_cinta_camarasa18 = ( q_cinta_camarasa18 * vm['p_cinta_camarasa_18']
            * vm['dolar'] / q_horas_amort * hs_amort_cuaternaria
            / tn_trituracion )

iv47_cinta_camarasa19 = ( q_cinta_camarasa19 * vm['p_cinta_camarasa_19']
            * vm['dolar'] / q_horas_amort * hs_amort_cuaternaria
            / tn_trituracion )

iv48_zaranda_chalmers_15x36 = ( q_zaranda_chalmers_15x36 * vm['p_zaranda_allis_chalmers']
            * vm['dolar'] / q_horas_amort * hs_amort_cuaternaria
            / tn_trituracion )

iv49_trituradora_telsmith = ( q_triturador_telsmith36 * vm['p_trituradora_telsmith']
            * vm['dolar'] / q_horas_amort * hs_amort_cuaternaria
            / tn_trituracion )

iv50_cinta_camarasa20 = ( q_cinta_camarasa20 * vm['p_cinta_camarasa_20']
            * vm['dolar'] / q_horas_amort * hs_amort_cuaternaria
            / tn_trituracion )

iv51_cinta_camarasa21 = ( q_cinta_camarasa21 * vm['p_cinta_camarasa_21']
            * vm['dolar'] / q_horas_amort * hs_amort_cuaternaria
            / tn_trituracion )

iv52_cinta_camarasa22 = ( q_cinta_camarasa22 * vm['p_cinta_camarasa_22']
            * vm['dolar'] / q_horas_amort * hs_amort_cuaternaria
            / tn_trituracion )

iv53_cinta_camarasa23 = ( q_cinta_camarasa23 * vm['p_cinta_camarasa_23']
            * vm['dolar'] / q_horas_amort * hs_amort_cuaternaria
            / tn_trituracion )

iv54_cinta_camarasa24 = ( q_cinta_camarasa24 * vm['p_cinta_camarasa_24']
            * vm['dolar'] / q_horas_amort * hs_amort_cuaternaria
            / tn_trituracion )

iv55_zaranda_gringo_15x24 = ( q_zaranda_gringo_15x24 * vm['p_zaranda_gringo_1.5x2.4']
            * vm['dolar'] / q_horas_amort * hs_amort_cuaternaria
            / tn_trituracion )

iv56_costo_oportunidad = ((( vm['p_retroexcavadora'] + vm['p_martillo_krupp']
            + vm['p_compresor_d900']+ vm['p_compresor_d250']
            + vm['p_perforadora_hidraulica'] + vm['p_vagon_perforador']
            + vm['p_excavadora'] + vm['p_tractor_fahr']
            + vm['p_tractor_deere'] + vm['p_topadora']
            + vm['p_martillo_soosan'] + vm['p_cargador_frontal']
            + vm['p_minicargador'] + vm['p_camion'] ) + ( vm['p_pretolva_csaky']
            + vm['p_alimento_vibratorio'] + vm['p_primaria_pegson']
            + vm['p_cinta_pegson'] + vm['p_cinta_cantesur_2']
            + vm['p_cinta_csaky_3'] + vm['p_cinta_cantesur_16']
            + vm['p_cinta_cantesur_17'] + vm['p_zaranda_allis']
            + vm['p_puentegrua'] ) + ( vm['p_alimentadores_vibratorios']
            + vm['p_detector_metales'] + vm['p_balanza_metales']
            + vm['p_cinta_csaky_4'] + vm['p_cinta_csaky_5']
            + vm['p_secundaria_telsmith'] + vm['p_terciaria_telsmith']
            + vm['p_cinta_telsmith_6'] + vm['p_cinta_cantesur_7']
            + vm['p_cinta_cantesur_8'] + vm['p_zaranda_gringo']
            + vm['p_cinta_cantesur_15'] + vm['p_zaranda_pegson']
            + vm['p_cinta_csaky_9'] + vm['p_cinta_csaky_10']
            + vm['p_cinta_csaky_11'] + vm['p_cinta_csaky_12']
            + vm['p_cinta_csaky_13'] + vm['p_cinta_csaky_14']
            + vm['p_tolcas_chapa_csaky'] ) + ( vm['p_alimentador']
            + vm['p_cinta_camarasa_18'] + vm['p_cinta_camarasa_19']
            + vm['p_zaranda_allis_chalmers'] + vm['p_trituradora_telsmith']
            + vm['p_cinta_camarasa_20'] + vm['p_cinta_camarasa_21']
            + vm['p_cinta_camarasa_22'] + vm['p_cinta_camarasa_23']
            + vm['p_cinta_camarasa_24'] + vm['p_zaranda_gringo_1.5x2.4'] )
            + ( vm['p_taller_mecanico'] + vm['p_instalacion_electrica']
            + vm['p_obra_civil_planta'] + vm['p_obra_civil_oficina']
            + vm['p_obra_civil_bascula'] + vm['p_terreno_cantera'] )) / 2
            * vm['dolar'] * costo_oportunidad / 100 / 12 / prod_mensual2 )

i05_repuestos = (( iv01_retroexcavadora + iv02_martillo_krupp
            + iv03_compresor_d900 + iv04_compresor_d250
            + iv05_perforadora_hidrualica + iv06_vagon_perforador
            + iv07_excavadora + iv08_tractor_fahr_d86f
            + iv09_tractor_john_deeere_4350 + iv10_topadora
            + iv11_martillo_soosan_sb151 + iv12_cargador_frontal
            + iv13_minicargador + iv14_camion + iv15_pretolva_csaky
            + iv16_alimentador_vibratorio_peghson + iv17_primaria_pegson
            + iv18_cinta_pegson_1 + iv19_cinta_cantesur_2 + iv20_cinta_csaky_3
            + iv21_cinta_cantesur_16 + iv22_cinta_cantesur_17
            + iv23_zaranda_allis_chalmers + iv24_puentegrua_aparejo
            + iv25_alimentar_vibratorio_fournier + iv26_detector_metales
            + iv27_balanza_metal + iv28_cinta_csaky4 + iv29_cinta_cskay5
            + iv30_secundaria_telsmith + iv31_terciaria_telsmith
            + iv32_cinta_telsmith_6 + iv33_cinta_cantesur_7
            + iv34_cinta_cantesur_8 + iv35_zaranda_gringo_15x24
            + iv36_cinta_cantesur_15 + iv37_zaranda_pegson
            + iv38_cinta_csaky9 + iv39_cinta_csaky10 + iv40_cinta_csaky11
            + iv41_cinta_csaky12 + iv42_cinta_csaky13 + iv43_cinta_csaky14
            + iv44_tolvas_chapa_csaky + iv45_alimentador
            + iv46_cinta_camarasa18 + iv47_cinta_camarasa19
            + iv48_zaranda_chalmers_15x36 + iv49_trituradora_telsmith
            + iv50_cinta_camarasa20 + iv51_cinta_camarasa21
            + iv52_cinta_camarasa22 + iv53_cinta_camarasa23
            + iv54_cinta_camarasa24 + iv55_zaranda_gringo_15x24 )
            * repuestos / 100 )

iv00_maquinaria = ( iv01_retroexcavadora + iv02_martillo_krupp
            + iv03_compresor_d900 + iv04_compresor_d250
            + iv05_perforadora_hidrualica + iv06_vagon_perforador
            + iv07_excavadora + iv08_tractor_fahr_d86f
            + iv09_tractor_john_deeere_4350 + iv10_topadora
            + iv11_martillo_soosan_sb151 + iv12_cargador_frontal
            + iv13_minicargador + iv14_camion + iv15_pretolva_csaky
            + iv16_alimentador_vibratorio_peghson + iv17_primaria_pegson
            + iv18_cinta_pegson_1 + iv19_cinta_cantesur_2 + iv20_cinta_csaky_3
            + iv21_cinta_cantesur_16 + iv22_cinta_cantesur_17
            + iv23_zaranda_allis_chalmers + iv24_puentegrua_aparejo
            + iv25_alimentar_vibratorio_fournier + iv26_detector_metales
            + iv27_balanza_metal + iv28_cinta_csaky4 + iv29_cinta_cskay5
            + iv30_secundaria_telsmith + iv31_terciaria_telsmith
            + iv32_cinta_telsmith_6 + iv33_cinta_cantesur_7
            + iv34_cinta_cantesur_8 + iv35_zaranda_gringo_15x24
            + iv36_cinta_cantesur_15 + iv37_zaranda_pegson
            + iv38_cinta_csaky9 + iv39_cinta_csaky10 + iv40_cinta_csaky11
            + iv41_cinta_csaky12 + iv42_cinta_csaky13 + iv43_cinta_csaky14
            + iv44_tolvas_chapa_csaky + iv45_alimentador
            + iv46_cinta_camarasa18 + iv47_cinta_camarasa19
            + iv48_zaranda_chalmers_15x36 + iv49_trituradora_telsmith
            + iv50_cinta_camarasa20 + iv51_cinta_camarasa21
            + iv52_cinta_camarasa22 + iv53_cinta_camarasa23
            + iv54_cinta_camarasa24 + iv55_zaranda_gringo_15x24
            + iv56_costo_oportunidad + i05_repuestos )

#Bloque V - Costos Fijos No Asociados a la Producción

v01_amortizacion = (( vm['p_taller_mecanico'] / tn_taller_mecanico
            + vm['p_instalacion_electrica'] / tn_instalacion_electrica
            + vm['p_obra_civil_planta'] / tn_obra_civil_planta
            + vm['p_obra_civil_oficina'] / tn_obra_civil_oficina
            + vm['p_obra_civil_bascula'] / tn_obra_civil_bascula
            + vm['p_terreno_cantera'] / tn_terreno_cantera )
            * vm['dolar'] )
            
v02_estudio_impositivo = ( vm['pestudio_contable'] / prod_mensual2 )

v03_seg_higiene = ( vm['seg_higiene'] / prod_mensual2 )

v04_asesoramiento_geologico = ( vm['asesoramiento_geologico'] / prod_mensual2 )

v05_asesoramiento_legal = ( vm['asesoramiento_legal'] / prod_mensual2 )

v06_asesoramiento_medico = ( vm['asesoramiento_medico'] / prod_mensual2 )

v07_vigilancia = ( vm['p_vigilancia'] / prod_mensual2 )

v08_impacto_ambiental = ( vm['impacto_ambiental'] / prod_mensual2 )

v09_guia_minera = ( vm['guia_minera'] / prod_mensual2 )

v10_emerco = ( vm['emerco'] / prod_mensual2 )

v11_informatica = ( vm['informatica'] / prod_mensual2 )

v12_verificacion_bascula = ( vm['verificacion_bascula'] / prod_mensual2 )

v13_anmac_usuario = ( vm['anmac_usuario'] / prod_mensual2 )

v14_anmac_polvorines = ( vm['anmac_polvorines'] / prod_mensual2 )

v15_limpieza_desmalezamiento = ( vm['limpieza_desmalezamiento'] / prod_mensual2 )

v16_costos_financieros = ( i00_consumibles * 1.21 * ( pow ( 1 + vm['tasa_interes_mensual']
            / 100,( plazo_cobro - plazo_pago )/ 30 ))
            + ( ii00_mano_obra_directa + iii00_mano_obra_indirecta )
            * ( pow ( 1 + vm['tasa_interes_mensual'] / 100,( plazo_cobro
            - plazo_pago_salarios )/ 30 )) - i00_consumibles * 1.21
            - ( ii00_mano_obra_directa + iii00_mano_obra_indirecta ))

v17_beneficios = (( i00_consumibles + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v01_amortizacion
            + v02_estudio_impositivo
            + v03_seg_higiene + v04_asesoramiento_geologico
            + v05_asesoramiento_legal + v06_asesoramiento_medico
            + v07_vigilancia + v08_impacto_ambiental + v09_guia_minera
            + v10_emerco + v11_informatica + v12_verificacion_bascula
            + v13_anmac_usuario + v14_anmac_polvorines
            + v15_limpieza_desmalezamiento + v16_costos_financieros )
            * mark_up / 100 )

v00_costos_no_asociados_prod = ( v01_amortizacion + v02_estudio_impositivo
            + v03_seg_higiene + v04_asesoramiento_geologico
            + v05_asesoramiento_legal + v06_asesoramiento_medico
            + v07_vigilancia + v08_impacto_ambiental + v09_guia_minera
            + v10_emerco + v11_informatica + v12_verificacion_bascula
            + v13_anmac_usuario + v14_anmac_polvorines
            + v15_limpieza_desmalezamiento + v16_costos_financieros
            + v17_beneficios )

#Bloque VI - Costos Impositivos

vi01_impuesto_ingresos_brutos = (( i00_consumibles + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v00_costos_no_asociados_prod )
            * (( vm['ib_cordoba_alic'] * vtas_cba
            / 100 + vm['ib_buenosaires_extjuris_alic'] * vtas_bsas / 100
            + vm['ib_santfe_extjuris_alic'] * vtas_stafe / 100 )) / 100 )

vi02_tasa_comercioeindustria = (( i00_consumibles + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v00_costos_no_asociados_prod )
            * vm['tasa_comeind_alic'] / 100 )

vi03_impuesto_ganancias = (( v17_beneficios + iv56_costo_oportunidad )
            * vm['impgcias_benef_alic'] / 100 + ( v17_beneficios
            + iv56_costo_oportunidad ) * ( 100 - reinversion_ganancias ) / 100
            * vm['impgcias_benef_dist_alic'] / 100 )

vi04_impuesto_cheque = (( i00_consumibles + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v00_costos_no_asociados_prod
            + vi01_impuesto_ingresos_brutos + vi02_tasa_comercioeindustria
            + vi03_impuesto_ganancias ) * 1.21 * ( vm['impcheque_alic']
            + vm['impcheque_ctagcias_alic'] ) / 100 )

vi00_impositivos = ( vi01_impuesto_ingresos_brutos + vi02_tasa_comercioeindustria
            + vi03_impuesto_ganancias + vi04_impuesto_cheque )

#Bloque Indicadores de Costo

costo_tn_pesos = ( i00_consumibles + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria + v00_costos_no_asociados_prod
            + vi00_impositivos )

costo_tn_dolares = ( costo_tn_pesos / vm['dolar'] )

#CONTROL
print (iv13_minicargador)
