# Programa en Python   -   Sistema Estadistico de Costos Metalurgicos


# MÓDULO I   -   CARGA DE VARIABLES MONETARIAS

import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import seaborn as sns


# Importar base de datos de series de tiempo con variables monetarias:

vm  =  pd.read_excel('Variables Monetarias Costos Industria Metalurgica.xlsx')


# Convertir columna mes en variable indexadora temporal:

vm.mes  =  pd.to_datetime(vm.mes)
vm.set_index('mes', inplace = True) 

#COSTOS ESCAPES
# MÓDULO II  -  DEFINICION DE PARÁMETROS  -  COSTOS ESCAPES

uci = 100
kits_mes = 13333
blanks_kit = 1
q_laminas_chapa = 7.2
dias_mes = 22.0
horas_turno = 8.0
turnos = 3
q_celdas_curvado = 3
q_celdas_ensamble = 4
q_operarios_encurvado = 1
q_operarios_silenciadores = 3
q_operarios_ensamble = 1
q_operarios_lineadecolector = 4
q_personal_mantenimiento = 3
q_personal_logistica = 3
q_personal_tecnologia = 2
q_personal_calidad = 3
q_personal_abastecedores = 2
q_supervisor_prod = 1
q_gerente_admin = 1
q_gerente_rrhh = 1
q_gerente_calidad = 1
q_gerente_logistia = 1
q_gerente_produccion = 1
q_gerente_tecnologia = 1
q_gerente_comerial = 1
q_gerente_it = 1
q_gerente_compras = 1
q_gerente_seguridad = 1
ratio_gerentes_personaltecnico = 5
q_staff_gerencias = 10
q_horas_extras = 0.0
q_horas_extras2 = 0.0
a_antiguedad = 12.00
coef_antiguedad = 1.00
q_vestimenta = 4.00
q_casco = 2.00
q_guantes = 2.00
alic_art = 17.00
coef_sac = 8.33
q_vacaciones = 28.00
fondo_prevision_despido = 4.00
coef_ausentismo = 10.00
q_celdas_curvado = 3.0
q_lineas_silenciadores = 1.0
q_celdas_ensamble = 4.0
q_linea_colectores = 1.0
q_compresores = 2.0
q_generador_energia = 1.0
q_scanner_calidad = 1.0
q_autos_servicios = 3.0
q_computadoras = 34.0
q_escritorios = 34.0
a_celdas_curvado = 15.0
a_lineas_silenciadores = 15.0
a_celdas_ensamble = 15.0
a_linea_colectores = 15.0
a_compresores = 15.0
a_generador_energia = 15.0
a_scanner_calidad = 15.0
a_autos_servicios = 2.0
a_computadoras = 3.0
a_escritorios = 10.0
vr_celdas_curvado = 0.0
vr_lineas_silenciadores = 0.0
vr_celdas_ensamble = 0.0
vr_linevr_colectores = 0.0
vr_compresores = 0.0
vr_generador_energia = 0.0
vr_scanner_calidad = 0.0
vr_autos_servicios = 40.0
vr_computadoras = 0.0
vr_escritorios = 0.0
costo_oportunidad = 4.0
seguro_maquinas = 0.80
mantenimiento_maquinas = 1.00
potencia_contratada = 160.00
energia_consumo = 60000
q_energia_potencia_pico = 5
q_energia_potencia_nopico = 19
q_energia_consumo_pico = 5
q_energia_consumo_valle = 6
q_energia_consumo_resto = 13
coef_energia_consumo_pico = 21
coef_energia_consumo_valle = 25
coef_energia_consumo_resto = 54
galpon = 4400
stockeo_mp = 40.0
plazo_pago_mp = 21.0
plazo_cobro = 45.0
mark_up = 10.0
ventas_cordoba = 100.0
ventas_pba = 0.0
reinversion_ganancias = 50.0

# Bloque I  -  Costos de Materia Prima

i01_blanks = (blanks_kit * vm['p_blank'] * vm['dolar'])

i02_laminas_chapa = (q_laminas_chapa * vm['p_laminas_chapa'] * vm['dolar'])

i03_transformacion_tercerizada = (vm['p_transf_terceriz'])

i04_flexibles_ganchos = (vm['p_flexibles_ganchos_usd'] * vm['dolar']
            + vm['p_flexibles_ganchos_pesos'])

i00_materia_prima = (i01_blanks + i02_laminas_chapa
            + i03_transformacion_tercerizada + i04_flexibles_ganchos)

# Bloque II  -  Costos de Mano de Obra Directa

ii01_w_basica_remun = ((q_operarios_encurvado * q_celdas_curvado * turnos
            + q_operarios_silenciadores * turnos + q_operarios_ensamble
            * q_celdas_ensamble * turnos + q_operarios_lineadecolector
            * turnos) * horas_turno * dias_mes
            * vm['w_r4l29_op_especializado_mult'] / kits_mes)

ii02_w_basica_no_remun = (0)

ii03_horas_extras = (0)

ii04_horas_extras2 = (0)

ii05_antig = ((ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2)
            * coef_antiguedad / 100 * a_antiguedad)

ii06_sac = ((ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2
            + ii05_antig) * coef_sac / 100)

ii07_vac = ((ii01_w_basica_remun + ii02_w_basica_no_remun + ii05_antig) / 30
            * q_vacaciones / 12)

ii08_cont_pat = ((ii01_w_basica_remun + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antig + ii06_sac + ii07_vac
            - vm['mni_contribuciones'] * (q_operarios_encurvado
            * q_celdas_curvado * turnos + q_operarios_silenciadores * turnos
            + q_operarios_ensamble * q_celdas_ensamble * turnos
            + q_operarios_lineadecolector * turnos) / kits_mes)
            * vm['alic_contribuciones'] / 100)

ii09_cont_pat_iva = ( - ( ii01_w_basica_remun + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antig + ii06_sac + ii07_vac
            - vm['mni_contribuciones'] * (q_operarios_encurvado
            * q_celdas_curvado * turnos + q_operarios_silenciadores * turnos
            + q_operarios_ensamble * q_celdas_ensamble * turnos
            + q_operarios_lineadecolector * turnos) / kits_mes)
            * vm['cf_contribuciones'] / 100)

ii10_cont_os = ((ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2
            + ii05_antig + ii06_sac + ii07_vac)
            * vm['alic_contribuciones_osocial'] / 100)

ii11_seg_vida = ((ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2
            + ii05_antig + ii06_sac + ii07_vac) * vm['seguro_vida_obligat_coef']
            / 100)

ii12_art = ((ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2
            + ii05_antig + ii06_sac + ii07_vac) * alic_art / 100)

ii13_prev_despido = ((ii01_w_basica_remun + ii02_w_basica_no_remun
            + ii03_horas_extras + ii04_horas_extras2 + ii05_antig + ii06_sac
            + ii07_vac) * fondo_prevision_despido / 100)

ii14_cont_admira = ((ii01_w_basica_remun + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antig + ii06_sac + ii07_vac)
            * vm['contribucion_adimra'] / 100)

ii15_ausent = ((ii01_w_basica_remun + ii05_antig + ii06_sac + ii07_vac
            + ii08_cont_pat + ii09_cont_pat_iva + ii10_cont_os + ii11_seg_vida
            + ii12_art + ii13_prev_despido + ii14_cont_admira)
            * coef_ausentismo / 100)

ii00_mano_obra_directa = (ii01_w_basica_remun + ii02_w_basica_no_remun
            + ii03_horas_extras + ii04_horas_extras2 + ii05_antig + ii06_sac
            + ii07_vac + ii08_cont_pat + ii09_cont_pat_iva + ii10_cont_os
            + ii11_seg_vida + ii12_art + ii13_prev_despido + ii14_cont_admira
            + ii15_ausent)

# Blqoue III  -  Costos de Mano de Obra Directa

iii01_w_remun_indirectos_convenidos = ((q_personal_mantenimiento
            + q_personal_logistica + q_personal_tecnologia
            + q_personal_calidad + q_personal_abastecedores
            + q_supervisor_prod) * vm['w_r4l29_tecnico5'] / kits_mes)

iii02_w_ger = ((q_gerente_admin + q_gerente_rrhh + q_gerente_calidad
            + q_gerente_logistia + q_gerente_produccion + q_gerente_tecnologia
            + q_gerente_comerial + q_gerente_it + q_gerente_compras
            + q_gerente_seguridad) * vm['w_r4l29_tecnico5']
            * ratio_gerentes_personaltecnico / kits_mes)

iii03_w_staff_ger = (q_staff_gerencias * vm['w_r4l29_adm4'] / kits_mes)

iii04_antig = ((iii01_w_remun_indirectos_convenidos + iii02_w_ger
            + iii03_w_staff_ger) * coef_antiguedad / 100 * a_antiguedad)

iii05_sac = ((iii01_w_remun_indirectos_convenidos + iii02_w_ger
            + iii03_w_staff_ger + iii04_antig) * coef_sac / 100)

iii06_vac = ((iii01_w_remun_indirectos_convenidos + iii02_w_ger
            + iii03_w_staff_ger + iii04_antig) / 30 * q_vacaciones / 12)

iii07_cont_pat = (((iii01_w_remun_indirectos_convenidos + iii02_w_ger
            + iii03_w_staff_ger + iii04_antig + iii05_sac + iii06_vac)
            - vm['mni_contribuciones'] * ((q_personal_mantenimiento
            + q_personal_logistica + q_personal_tecnologia
            + q_personal_calidad + q_personal_abastecedores
            + q_supervisor_prod + q_gerente_admin + q_gerente_rrhh
            + q_gerente_calidad + q_gerente_logistia + q_gerente_produccion
            + q_gerente_tecnologia + q_gerente_comerial + q_gerente_it
            + q_gerente_compras + q_gerente_seguridad) + q_staff_gerencias )
            / kits_mes) * vm['alic_contribuciones'] / 100)

iii08_cont_pat_iva = ( - ((iii01_w_remun_indirectos_convenidos + iii02_w_ger
            + iii03_w_staff_ger + iii04_antig + iii05_sac + iii06_vac)
            - vm['mni_contribuciones'] * (( q_personal_mantenimiento
            + q_personal_logistica + q_personal_tecnologia
            + q_personal_calidad + q_personal_abastecedores
            + q_supervisor_prod + q_gerente_admin + q_gerente_rrhh
            + q_gerente_calidad + q_gerente_logistia + q_gerente_produccion
            + q_gerente_tecnologia + q_gerente_comerial + q_gerente_it
            + q_gerente_compras + q_gerente_seguridad) + q_staff_gerencias)
            / kits_mes) * vm['cf_contribuciones'] / 100)

iii09_cont_os = ((iii01_w_remun_indirectos_convenidos + iii02_w_ger
            + iii03_w_staff_ger + iii04_antig + iii05_sac + iii06_vac)
            * vm['alic_contribuciones_osocial'] / 100)

iii10_seg_vida = ((iii01_w_remun_indirectos_convenidos + iii02_w_ger
            + iii03_w_staff_ger + iii04_antig + iii05_sac + iii06_vac)
            * vm['seguro_vida_obligat_coef'] / 100)

iii11_art = ((iii01_w_remun_indirectos_convenidos + iii02_w_ger
            + iii03_w_staff_ger + iii04_antig + iii05_sac + iii06_vac)
            * alic_art / 100)

iii12_prev_despido = ((iii01_w_remun_indirectos_convenidos + iii02_w_ger
            + iii03_w_staff_ger + iii04_antig + iii05_sac + iii06_vac)
            * fondo_prevision_despido / 100)

iii13_cont_admira = ((iii01_w_remun_indirectos_convenidos + iii02_w_ger
            + iii03_w_staff_ger + iii04_antig + iii05_sac + iii06_vac)
            * vm['contribucion_adimra'] / 100)

iii00_mano_obra_indirecta = (iii01_w_remun_indirectos_convenidos
            + iii02_w_ger + iii03_w_staff_ger + iii04_antig + iii05_sac
            + iii06_vac + iii07_cont_pat + iii08_cont_pat_iva + iii09_cont_os
            + iii10_seg_vida + iii11_art + iii12_prev_despido
            + iii13_cont_admira)

# Bloque IV  -  Costos Maquinaria

iv01_energia_electrica = ((potencia_contratada * vm['energia_pot_punta']
            + potencia_contratada * vm['energia_pot_nopunta']
            + energia_consumo * (vm['energia_pico']
            * coef_energia_consumo_pico / 100 + vm['energia_ valle']
            * coef_energia_consumo_valle / 100 + vm['energia_resto']
            * coef_energia_consumo_resto / 100)) / kits_mes)

iv02_alic_energia_electrica = ((iv01_energia_electrica * (vm['energia_oim']
            + vm['energia_dto2298'] + vm['energia_ersep']
            + vm['energia_ley9819']) / 100 + energia_consumo
            * (vm['energia_pico'] * coef_energia_consumo_pico / 100
            + vm['energia_ valle'] * coef_energia_consumo_valle / 100
            + vm['energia_resto'] * coef_energia_consumo_resto / 100))
            / kits_mes)

iv03_consumibles = ((vm['p_consumibles_gas_inerte']
            + vm['p_consumibles_alambre'] + vm['p_consumibles_resto_escapes'])
            * vm['dolar'] / kits_mes)

iv04_mantenim = ((q_celdas_curvado * vm['p_celda_curvado'] * vm['dolar']
            * (1 - vr_celdas_curvado / 100) + q_lineas_silenciadores
            * vm['p_linea_silenciadores'] * vm['dolar']
            * (1 - vr_lineas_silenciadores / 100) + q_celdas_ensamble
            * vm['p_celda_ensamble'] * vm['dolar'] * (1 - vr_celdas_ensamble
            / 100) + q_linea_colectores * vm['p_linea_colectores']
            * vm['dolar'] * (1 - vr_linevr_colectores) + q_compresores
            * vm['p_compresor_escapes'] * vm['dolar'] * (1 - vr_compresores
            / 100) + q_generador_energia * vm['p_generador_energia']
            * vm['dolar'] * (1 - vr_generador_energia / 100)
            + q_scanner_calidad * vm['p_scanner_calidad'] * vm['dolar']
            * (1 - vr_scanner_calidad / 100) + q_autos_servicios
            * vm['p_autos_servicio'] * vm['dolar'] * (1 - vr_autos_servicios
            / 100)) / 12 * mantenimiento_maquinas / 100 / kits_mes)

iv05_seg = ((q_celdas_curvado * vm['p_celda_curvado'] * vm['dolar']
            * (1 - vr_celdas_curvado / 100) + q_lineas_silenciadores
            * vm['p_linea_silenciadores'] * vm['dolar']
            * (1 - vr_lineas_silenciadores / 100) + q_celdas_ensamble
            * vm['p_celda_ensamble'] * vm['dolar'] * (1 - vr_celdas_ensamble
            / 100) + q_linea_colectores * vm['p_linea_colectores']
            * vm['dolar'] * (1 - vr_linevr_colectores) + q_compresores
            * vm['p_compresor_escapes'] * vm['dolar'] * (1 - vr_compresores
            / 100) + q_generador_energia * vm['p_generador_energia']
            * vm['dolar'] * (1 - vr_generador_energia / 100)
            + q_scanner_calidad * vm['p_scanner_calidad'] * vm['dolar']
            * (1 - vr_scanner_calidad / 100) + q_autos_servicios
            * vm['p_autos_servicio'] * vm['dolar'] * (1 - vr_autos_servicios
            / 100)) / 12 * seguro_maquinas / 100 / kits_mes)

iv06_a_celdas_curvado = (q_celdas_curvado * vm['p_celda_curvado']
            * vm['dolar'] * (1 - vr_celdas_curvado / 100) / a_celdas_curvado
            / 12 / kits_mes)

iv07_a_lineas_silenciadores = (q_lineas_silenciadores
            * vm['p_linea_silenciadores'] * vm['dolar']
            * (1 - vr_lineas_silenciadores / 100) / a_lineas_silenciadores
            / 12 / kits_mes)

iv08_a_celdas_ensamble = (q_celdas_ensamble * vm['p_celda_ensamble']
            * vm['dolar'] * (1 - vr_celdas_ensamble / 100) / a_celdas_ensamble
            / 12 / kits_mes)

iv09_a_linea_colectores = (q_linea_colectores * vm['p_linea_colectores']
            * vm['dolar'] * (1 - vr_linevr_colectores / 100)
            / a_linea_colectores / 12 / kits_mes)

iv10_a_compresores = (q_compresores * vm['p_compresor_escapes'] * vm['dolar']
            * (1 - vr_compresores / 100) / a_compresores / 12 / kits_mes)

iv11_a_generador_energia = (q_generador_energia * vm['p_generador_energia']
            * vm['dolar'] * (1 - vr_generador_energia / 100)
            / a_generador_energia / 12 / kits_mes)

iv12_a_scanner_calidad = (q_scanner_calidad * vm['p_scanner_calidad']
            * vm['dolar'] * (1 - vr_scanner_calidad / 100) / a_scanner_calidad
            / 12 / kits_mes)

iv13_a_autos_servicio = (q_autos_servicios * vm['p_autos_servicio']
            * vm['dolar'] * (1 - vr_autos_servicios / 100) / a_autos_servicios
            / 12 / kits_mes)

iv14_a_computadoras = (q_computadoras * vm['pcomputadora']
            * (1 - vr_computadoras / 100) / a_computadoras / 12 / kits_mes)

iv15_a_escritorios = (q_escritorios * (vm['pescritorio'] + vm['psilla'] )
            * (1 - vr_escritorios / 100) / a_escritorios / 12 / kits_mes)

iv16_interes_cap_invertido = ((q_celdas_curvado * vm['p_celda_curvado'] * vm['dolar']
            * (1 - vr_celdas_curvado / 100)
            + q_lineas_silenciadores * vm['p_linea_silenciadores'] * vm['dolar']
            * (1 - vr_lineas_silenciadores / 100)
            + q_celdas_ensamble * vm['p_celda_ensamble'] * vm['dolar']
            * (1 - vr_celdas_ensamble / 100)
            + q_linea_colectores * vm['p_linea_colectores'] * vm['dolar']
            * (1 - vr_linevr_colectores / 100 )
            + q_compresores * vm['p_compresor_escapes'] * vm['dolar']
            * (1 - vr_compresores / 100)
            + q_generador_energia * vm['p_generador_energia'] * vm['dolar']
            * (1 - vr_generador_energia / 100)
            + q_scanner_calidad * vm['p_scanner_calidad'] * vm['dolar']
            * (1 - vr_scanner_calidad / 100)
            + q_autos_servicios * vm['p_autos_servicio'] * vm['dolar']
            * (1 - vr_autos_servicios / 100 )
            + q_computadoras * vm['pcomputadora'] * vm['dolar']
            * (1 - vr_computadoras / 100)
            + q_escritorios * (vm['pescritorio'] + vm['psilla'])
            * (1 - vr_escritorios / 100 )) * 0.5 / 12 * costo_oportunidad
            / 100 / kits_mes )

iv00_maquinaria = (iv01_energia_electrica + iv02_alic_energia_electrica
            + iv03_consumibles + iv04_mantenim + iv05_seg
            + iv06_a_celdas_curvado + iv07_a_lineas_silenciadores
            + iv08_a_celdas_ensamble + iv09_a_linea_colectores
            + iv10_a_compresores + iv11_a_generador_energia
            + iv12_a_scanner_calidad + iv13_a_autos_servicio
            + iv14_a_computadoras + iv15_a_escritorios
            + iv16_interes_cap_invertido)

# Bloque V  -  Costos Fijos no Asociados a la Produccion

v01_alquiler_galp_ofi = (galpon * vm['palquiler'] * vm['dolar'] / kits_mes)

v02_costos_financieros = ((stockeo_mp - plazo_pago_mp + plazo_cobro)
            * vm['tasa_interes_mens'] / 100 / 30 * i01_blanks)

v03_servicios_externos = (((vm['serv_internet'] + vm['serv_software']
            + vm['serv_unify']) * vm['dolar'] + (vm['serv_celulares']
            + vm['serv_impresion_terceriz'] + vm['serv_vigilancia']
            + vm['serv_limpieza'] + vm['serv_cantina'] + vm['sev_outsourcing']
            + vm['serv_otros_escapes'])) / kits_mes)

v04_beneficios = ((i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v01_alquiler_galp_ofi + v02_costos_financieros
            + v03_servicios_externos) * mark_up / 100)

v00_costos_fijos_no_asociados = (v01_alquiler_galp_ofi + v02_costos_financieros
            + v03_servicios_externos + v04_beneficios)

# Bloque VI  -  Costos Impositivos

vi01_imp_ingresos_brutos = ((i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v00_costos_fijos_no_asociados) / (1 - vm['IB_Cordoba_loc'] / 100)
            * vm['IB_Cordoba_loc'] / 100)

vi02_alic_imp_comer_ind = ((i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v00_costos_fijos_no_asociados) / (1 - vm['alic_comeind'] / 100) * vm['alic_comeind']
            / 100)

vi03_alic_imp_ganancias = ((v04_beneficios + iv16_interes_cap_invertido)
            * vm['alic_imp_ganancias'] / 100 + (v04_beneficios
            + iv16_interes_cap_invertido) * (100 - reinversion_ganancias)
            / 100 * vm['alic_imp_ganancias_dist'] / 100)

vi04_alic_imp_cheque = ((i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v00_costos_fijos_no_asociados + vi01_imp_ingresos_brutos
            + vi02_alic_imp_comer_ind + vi03_alic_imp_ganancias)
            * (vm['alic_imp_cheque'] + vm['cf_imp_cheque']) / 100)

vi00_costos_impositivos = (vi01_imp_ingresos_brutos + vi02_alic_imp_comer_ind
            + vi03_alic_imp_ganancias + vi04_alic_imp_cheque)

# Bloque Indicadores de Costos

costo_kit_pesos = (i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v00_costos_fijos_no_asociados + vi00_costos_impositivos)

costo_kit_dolar = (costo_kit_pesos / vm['dolar'])

#CONTROL
print (costo_kit_dolar)
