# Programa en Python   -   Sistema Estadistico de Costos Metalurgicos


# MÓDULO I   -   CARGA DE VARIABLES MONETARIAS

import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import seaborn as sns


# Importar base de datos de series de tiempo con variables monetarias:

vm  =  pd.read_excel('Variables Monetarias Costos Industria Metalurgica.xlsx')


# Convertir columna mes en variable indexadora temporal:

vm.mes  =  pd.to_datetime(vm.mes)
vm.set_index('mes', inplace = True) 

#COSTOS ESTAMPADO
# MÓDULO II  -  DEFINICION DE PARÁMETROS  -  COSTOS ESTAMPADO

Uci = 100
dias_mes = 22
horas_efectivas_dia = 22.1
horas_turno = 8.0
turnos = 3.0
golpes_hora = 200.0
piezas_golpe = 1.0
kg_pieza = 7.0
piezas_mes = 97152.0
ton_mes = 680.1
q_operarios_turno = 20.0
q_operarios_total = 60.0
q_delegados = 2.0
q_supervisores_prod = 3.0
q_supervisores_mantenim = 0.0
q_supervisores_control_calidad = 0.0
horas_turno = 8.0
horas_extras = 0.0
horas_extras2 = 0.0
q_prensa1000 = 1
q_prensa600 = 3
q_autoelevador_con_rotador = 1
q_autoelevador_sin_rotador = 0
q_computadoras = 25
q_escritorios = 25
a_prensa1000 = 10.00
a_prensa600 = 10.00
a_autoelevador_con_rotador = 5.00
a_autoelevador_sin_rotador = 5.00
a_computadoras = 3.00
a_escritorios = 5.00
vr_prensa1000 = 30.00
vr_prensa600 = 30.00
vr_autoelevador_con_rotador = 0.00
vr_autoelevador_sin_rotador = 0.00
vr_computadoras = 0.00
vr_escritorios = 0.00
q_consum_lubricantes_cambios = 2
q_consum_grasa_cambios = 6
q_consum_lubricantes = 550
q_consum_grasa = 7
mantenimiento_maquinas = 1.00
seguro_maquinas = 0.80
costo_oportunidad = 4.00
energia_consumo_prensa1000 = 26.00
energia_consumo_prensa600 = 39.00
potencia_contratada = 150.00
energia_consumo = 69464
q_energia_potencia_pico = 5
q_energia_potencia_nopico = 19
q_energia_consumo_pico = 5
q_energia_consumo_valle = 6
q_energia_consumo_resto = 13
coef_energia_consumo_pico = 21
coef_energia_consumo_valle = 25
coef_energia_consumo_resto = 54
q_gerente_ingieria = 1
q_matriceros = 6
q_gerente_calidad = 1
q_metrologos = 0
q_tecnicos_calidad = 0
q_gerente_produccion = 1
q_gerente_adm = 1
q_administrativos = 2
q_rrhh = 1
q_logistica_gerente = 1
q_logistica_adm = 0
q_panolero = 3
q_autoelevadoristas = 3
q_gerente_comercial = 1
q_gerente_industrial = 1
q_gerente_mantenim = 1
q_gerente_gral = 1
q_compras_gerente = 1
q_compras_adm = 0
galpon = 5000
a_antiguedad = 12.00
coef_antiguedad = 1.00
q_vestimenta = 4.00
q_casco = 2.00
q_guantes = 2.00
alic_art = 17.00
coef_sac = 8.33
q_vacaciones = 28.00
fondo_prevision_despido = 4.00
coef_ausentismo = 10.00
costo_oportunidad = 4.0
stockeo_mp = 40.0
plazo_pago_mp = 21.0
plazo_cobro = 45.0
mark_up  =  10.0
ventas_cordoba  = 100.0
ventas_pba = 0.0
reinversion_ganancias = 50.0

# Bloque I  -  Costos de Materia Prima

i01_lam_frio = (vm['p_lamfrio'] * vm['dolar'])

i00_materia_prima = (i01_lam_frio)

# Bloque II  -  Costos de Mano de Obra Directa

ii01_w_basica_remun = ((q_operarios_total + q_delegados) * horas_turno
            * dias_mes * vm['w_r4l29_op_especializado'] / ton_mes)

ii02_w_basica_no_remun = (0)

ii03_horas_extras = (0)

ii04_horas_extras2 = (0)

ii05_antig = ((ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2)
            * coef_antiguedad / 100 * a_antiguedad)

ii06_sac = ((ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2
            + ii05_antig) * coef_sac / 100)

ii07_vac = ((ii01_w_basica_remun + ii02_w_basica_no_remun + ii05_antig)
            / 30 * q_vacaciones / 12)

ii08_cont_pat = (((ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2
            + ii05_antig + ii06_sac + ii07_vac) - vm['mni_contribuciones']
            * (q_operarios_total + q_delegados) / ton_mes)
            * vm['alic_contribuciones'] / 100)

ii09_cont_pat_iva = ( - ((ii01_w_basica_remun + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antig + ii06_sac + ii07_vac)
            - vm['mni_contribuciones'] * (q_operarios_total + q_delegados)
            / ton_mes) * vm['cf_contribuciones'] / 100)

ii10_cont_os = ((ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2
            + ii05_antig + ii06_sac + ii07_vac)
            * vm['alic_contribuciones_osocial'] / 100)

ii11_seg_vida = ((ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2
            + ii05_antig + ii06_sac + ii07_vac) * vm['seguro_vida_obligat_coef']
            / 100)

ii12_art = ((ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2
            + ii05_antig + ii06_sac + ii07_vac) * alic_art / 100)

ii13_prev_despido = ((ii01_w_basica_remun + ii02_w_basica_no_remun
            + ii03_horas_extras + ii04_horas_extras2 + ii05_antig + ii06_sac
            + ii07_vac) * fondo_prevision_despido / 100)

ii14_cont_admira = ((ii01_w_basica_remun + ii03_horas_extras
            + ii04_horas_extras2 + ii05_antig + ii06_sac + ii07_vac)
            * vm['contribucion_adimra'] / 100)

ii15_ausentismo = ((ii01_w_basica_remun + ii05_antig + ii06_sac + ii07_vac
            + ii08_cont_pat + ii09_cont_pat_iva + ii10_cont_os + ii11_seg_vida
            + ii12_art + ii13_prev_despido + ii14_cont_admira)
            * coef_ausentismo / 100)

ii00_mano_oobra_directa = (ii01_w_basica_remun + ii02_w_basica_no_remun
            + ii03_horas_extras + ii04_horas_extras2 + ii05_antig + ii06_sac
            + ii07_vac + ii08_cont_pat + ii09_cont_pat_iva + ii10_cont_os
            + ii11_seg_vida + ii12_art + ii13_prev_despido + ii14_cont_admira
            + ii15_ausentismo)

# Bloque III  -  Costos de Mano de Obra Indirecta

iii01_w_ger_ingenieria = (q_gerente_ingieria * vm['w_asimra_cat3'] * 1.2
            / ton_mes)

iii02_w_tec_ingenieria = (q_matriceros * vm['w_asimra_cat3'] / ton_mes)

iii03_w_gere_calidad = (q_gerente_calidad * vm['w_asimra_cat3'] * 1.2 / ton_mes)

iii04_w_metrologos = (q_metrologos * vm['w_asimra_cat3'] / ton_mes)

iii05_w_tec_calidad = (q_tecnicos_calidad * vm['w_asimra_cat3'] / ton_mes)

iii06_w_ger_produc = (q_gerente_produccion * vm['w_asimra_cat3'] * 1.2
            / ton_mes)

iii07_w_ger_logistica = (q_logistica_gerente * vm['w_asimra_cat3'] * 1.2
            / ton_mes)

iii08_w_admin_logistica = (q_logistica_adm * vm['w_asimra_cat3'] / ton_mes)

iii09_w_panolero = (q_panolero * vm['w_asimra_cat3'] / ton_mes)

iii10_w_autoelevadorista = (q_autoelevadoristas * vm['w_asimra_cat3'] / ton_mes)

iii11_w_ger_comercial = (q_gerente_comercial * vm['w_asimra_cat3'] * 1.2
            / ton_mes)

iii12_w_ger_industrial = (q_gerente_industrial * vm['w_asimra_cat3'] * 1.2
            / ton_mes)

iii13_w_ger_mantenim = (q_gerente_mantenim * vm['w_asimra_cat3'] * 1.2
            / ton_mes)

iii14_w_ger_general = (q_gerente_gral * vm['w_asimra_cat3'] * 1.4 / ton_mes)

iii15_w_ger_compras = (q_compras_gerente * vm['w_asimra_cat3'] * 1.2 / ton_mes)

iii16_w_ger_admin = (q_gerente_adm * vm['w_r17_adm4'] * 1.2 / ton_mes)

iii17_admin = (q_administrativos * vm['w_r17_adm4'] / ton_mes)

iii18_admin_rrhh = (q_rrhh * vm['w_r17_adm4'] / ton_mes)

iii19_w_admin_compras = (q_compras_adm * vm['w_asimra_cat3'] / ton_mes)

iii20_antig = ((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_ger_admin
            + iii17_admin + iii18_admin_rrhh + iii19_w_admin_compras)
            * coef_antiguedad / 100 * a_antiguedad)

iii21_sac = ((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_ger_admin
            + iii17_admin + iii18_admin_rrhh + iii19_w_admin_compras
            + iii20_antig) * coef_sac / 100)

iii22_vac = ((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_ger_admin
            + iii17_admin + iii18_admin_rrhh + iii19_w_admin_compras
            + iii20_antig) / 30 * q_vacaciones / 12)

iii23_cont_pat = (((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_ger_admin
            + iii17_admin + iii18_admin_rrhh + iii19_w_admin_compras
            + iii20_antig + iii21_sac + iii22_vac) - vm['mni_contribuciones']
            * (q_gerente_ingieria + q_matriceros + q_gerente_calidad
            + q_metrologos + q_tecnicos_calidad + q_gerente_produccion
            + q_gerente_adm + q_administrativos + q_rrhh + q_logistica_gerente
            + q_logistica_adm + q_panolero + q_autoelevadoristas
            + q_gerente_comercial + q_gerente_industrial + q_gerente_mantenim
            + q_gerente_gral + q_compras_gerente + q_compras_adm) / piezas_mes)
            * vm['alic_contribuciones'] / 100)

iii24_cont_pat_iva = ( - ((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_ger_admin
            + iii17_admin + iii18_admin_rrhh + iii19_w_admin_compras
            + iii20_antig + iii21_sac + iii22_vac) - vm['mni_contribuciones']
            * (q_gerente_ingieria + q_matriceros + q_gerente_calidad
            + q_metrologos + q_tecnicos_calidad + q_gerente_produccion
            + q_gerente_adm + q_administrativos + q_rrhh + q_logistica_gerente
            + q_logistica_adm + q_panolero + q_autoelevadoristas
            + q_gerente_comercial + q_gerente_industrial + q_gerente_mantenim
            + q_gerente_gral + q_compras_gerente + q_compras_adm) / piezas_mes)
            * vm['cf_contribuciones'] / 100)

iii25_cont_os = (((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_ger_admin
            + iii17_admin + iii18_admin_rrhh + iii19_w_admin_compras
            + iii20_antig + iii21_sac + iii22_vac)
            * vm['alic_contribuciones_osocial'] / 100))

iii26_seg_vida = (((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_ger_admin
            + iii17_admin + iii18_admin_rrhh + iii19_w_admin_compras
            + iii20_antig + iii21_sac + iii22_vac) * vm['seguro_vida_obligat_coef']
            / 100))

iii27_art = (((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_ger_admin
            + iii17_admin + iii18_admin_rrhh + iii19_w_admin_compras
            + iii20_antig + iii21_sac + iii22_vac) * alic_art / 100))

iii28_prev_despido = (((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_ger_admin
            + iii17_admin + iii18_admin_rrhh + iii19_w_admin_compras
            + iii20_antig + iii21_sac + iii22_vac) * fondo_prevision_despido
            / 100))

iii29_cont_admira = (((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_ger_admin
            + iii17_admin + iii18_admin_rrhh + iii19_w_admin_compras
            + iii20_antig + iii21_sac + iii22_vac) * vm['contribucion_adimra']
            / 100))

iii00_mano_obra_indirecta = (iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_ger_admin
            + iii17_admin + iii18_admin_rrhh + iii19_w_admin_compras
            + iii20_antig + iii21_sac + iii22_vac + iii23_cont_pat
            + iii24_cont_pat_iva + iii25_cont_os + iii26_seg_vida + iii27_art
            + iii28_prev_despido + iii29_cont_admira)

# Bloque IV  -  Costos de Maquinaria

iv01_energia_electrica = ((potencia_contratada * vm['energia_pot_punta']
            + potencia_contratada * vm['energia_pot_nopunta']
            + energia_consumo * (vm['energia_pico'] * coef_energia_consumo_pico
            / 100 + vm['energia_ valle'] * coef_energia_consumo_valle / 100
            + vm['energia_resto'] * coef_energia_consumo_resto / 100))
            / ton_mes)

iv02_alic_energia_electrica = ((iv01_energia_electrica * ( vm['energia_oim']
            + vm['energia_dto2298'] + vm['energia_ersep']
            + vm['energia_ley9819'] ) / 100 + energia_consumo
            * (vm['energia_pico'] * coef_energia_consumo_pico / 100
            + vm['energia_ valle'] * coef_energia_consumo_valle / 100
            + vm['energia_resto'] * coef_energia_consumo_resto / 100))
            / ton_mes)

iv03_consumibles = ((q_consum_lubricantes * q_prensa1000
            * vm['p_consumibles_aceite_renoform'] * vm['dolar']
            * q_consum_lubricantes_cambios + q_consum_grasa * q_prensa600
            * vm['p_consumibles_grasa_prensa'] * q_consum_grasa_cambios) / 12
            / ton_mes)

iv04_mantenim = ((q_prensa1000 * vm['p_prensa_1000tn'] + q_prensa600
            * vm['p_prensa_600tn'] + q_autoelevador_con_rotador
            * vm['p_autoelevador_con_rotador'] + q_autoelevador_sin_rotador
            * vm['p_autoelevador_sin_rotador'] + q_computadoras
            * vm['p_computadora'] + q_escritorios * vm['p_mueblesysillas'])
            * vm['dolar'] * mantenimiento_maquinas / 100 / 12 / ton_mes)

iv05_seg = ((q_prensa1000 * vm['p_prensa_1000tn'] + q_prensa600
            * vm['p_prensa_600tn'] + q_autoelevador_con_rotador
            * vm['p_autoelevador_con_rotador'] + q_autoelevador_sin_rotador
            * vm['p_autoelevador_sin_rotador'] + q_computadoras
            * vm['p_computadora'] + q_escritorios * vm['p_mueblesysillas'])
            * vm['dolar'] * 0.5 * seguro_maquinas / 100 / 12 / ton_mes)

iv06_a_prensa_1000 = (q_prensa1000 * vm['p_prensa_1000tn'] * vm['dolar']
            * (1 - vr_prensa1000 / 100) / a_prensa1000 / 12 / ton_mes)

iv07_a_prensa_600 = (q_prensa600 * vm['p_prensa_600tn'] * vm['dolar']
            * (1 - vr_prensa600 / 100) / a_prensa600 / 12 / ton_mes)

iv08_a_autoelevador_con_rotador = (q_autoelevador_con_rotador
            * vm['p_autoelevador_con_rotador'] * vm['dolar']
            * (1 - vr_autoelevador_con_rotador / 100)
            / a_autoelevador_con_rotador / 12 / ton_mes)

iv09_a_autoelevador_sin_rotador = (q_autoelevador_sin_rotador
            * vm['p_autoelevador_sin_rotador'] * vm['dolar']
            * (1 - vr_autoelevador_sin_rotador / 100)
            / a_autoelevador_sin_rotador / 12 / ton_mes
            / a_autoelevador_con_rotador / 12 / ton_mes)

iv10_a_computadoras = (q_computadoras * vm['p_computadora'] * vm['dolar']
            * (1 - vr_computadoras / 100) / a_computadoras / 12 / ton_mes)

iv11_a_escritorio_silla = (q_escritorios * vm['p_mueblesysillas']
            * (1 - vr_escritorios / 100) / a_escritorios / 12 / ton_mes)

iv12_interes_cap_invertido = ((q_prensa1000 * vm['p_prensa_1000tn']
            + q_prensa600 * vm['p_prensa_600tn'] + q_autoelevador_con_rotador
            * vm['p_autoelevador_con_rotador'] + q_autoelevador_sin_rotador
            * vm['p_autoelevador_sin_rotador'] + q_computadoras
            * vm['p_computadora'] + q_escritorios * vm['p_mueblesysillas']
            / vm['dolar']) * vm['dolar'] * 0.5 * costo_oportunidad / 100 / 12
            / ton_mes)

iv00_maquinaria = (iv01_energia_electrica + iv02_alic_energia_electrica
            + iv03_consumibles + iv04_mantenim + iv05_seg + iv06_a_prensa_1000
            + iv07_a_prensa_600 + iv08_a_autoelevador_con_rotador
            + iv09_a_autoelevador_sin_rotador + iv10_a_computadoras
            + iv11_a_escritorio_silla + iv12_interes_cap_invertido)

# Bloque V  -  Costos Fijos no Asociados a la Produccion

v01_alquiler_galp_ofi = (galpon * vm['palquiler'] * vm['dolar'] / ton_mes )

v02_costos_financieros = ((stockeo_mp - plazo_pago_mp + plazo_cobro)
            * vm['tasa_interes_mens'] / 100 / 30 * i01_lam_frio)

v03_estudio_contable = (vm['pestudio_cont'] / ton_mes)

v04_estudio_juridico = (vm['pestudio_jur'] / ton_mes)

v05_beneficios = (( i00_materia_prima + ii00_mano_oobra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v01_alquiler_galp_ofi + v02_costos_financieros
            + v03_estudio_contable + v04_estudio_juridico) * mark_up / 100 )

v00_costos_fijos_no_asociados = ( v01_alquiler_galp_ofi + v02_costos_financieros
            + v03_estudio_contable + v04_estudio_juridico + v05_beneficios )

# Bloque IV  -  Costos Impositivos

vi01_imp_ingresos_brutos = ((i00_materia_prima + ii00_mano_oobra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v00_costos_fijos_no_asociados) / (1 - vm['IB_Cordoba_loc'] / 100)
            * vm['IB_Cordoba_loc'] / 100)

vi02_alic_imp_comer_ind = ((i00_materia_prima + ii00_mano_oobra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v00_costos_fijos_no_asociados) / (1 - vm['alic_comeind'] / 100)
            * vm['alic_comeind'] / 100)

vi03_alic_imp_ganancias = ((v05_beneficios + iv12_interes_cap_invertido)
            * vm['alic_imp_ganancias'] / 100 + (v05_beneficios
            + iv12_interes_cap_invertido) * (100 - reinversion_ganancias)
            / 100 * vm['alic_imp_ganancias_dist'] / 100)

vi04_alic_imp_cheque = ((i00_materia_prima + ii00_mano_oobra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v00_costos_fijos_no_asociados + vi01_imp_ingresos_brutos
            + vi02_alic_imp_comer_ind + vi03_alic_imp_ganancias)
            * (vm['alic_imp_cheque'] + vm['cf_imp_cheque']) / 100)

vi00_impositivos = (vi01_imp_ingresos_brutos + vi02_alic_imp_comer_ind
            + vi03_alic_imp_ganancias + vi04_alic_imp_cheque)

# Bloque Indicadores de Costos


costo_tn_pesos = (i00_materia_prima + ii00_mano_oobra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v00_costos_fijos_no_asociados + vi00_impositivos)

costo_tn_dolares = (costo_tn_pesos / vm['dolar'])

#CONROL
print (costo_tn_dolares)
