# Programa en Python   -   Sistema Estadistico de Costos Metalurgicos


# MÓDULO I   -   CARGA DE VARIABLES MONETARIAS

import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import seaborn as sns


# Importar base de datos de series de tiempo con variables monetarias:

vm  =  pd.read_excel('Variables Monetarias Costos Industria Metalurgica.xlsx')


# Convertir columna mes en variable indexadora temporal:

vm.mes  =  pd.to_datetime(vm.mes)
vm.set_index('mes', inplace = True) 

#COSTOS FUNDICIÓN
# MÓDULO II  -  DEFINICION DE PARÁMETROS  -  COSTOS FUNDICIÓN

uci = 80
dias_mes = 22
horas_efectivas_dia = 22.0
horas_turno = 8.0
turnos = 3.0
piezas_hora_celda = 21.0
q_celdas = 8.0
kg_pieza = 6.0
piezas_mes = 81312.0
ton_mes = 487.9
q_operarios = 24.0
q_horneros = 6.0
q_operarios_granalladora = 9.0
q_operarios_mantenim	 = 17.0
q_operarios_control_calidad = 3.0
q_operarios_expedicion = 3.0
q_operarios_retrabajo = 3.0
q_delegados = 4.0
q_supervisores_prod = 3.0
q_supervisores_mantenim = 3.0
q_supervisores_control_calidad = 1.0
horas_turno = 8.0
horas_extras = 0.0
horas_extras2 = 0.0
q_espectometros = 1
q_torre_fusora	 = 1
q_horno_mantenim = 1
q_desgasificadora = 1
q_horno_mantenedor_celda = 8
q_inyectora = 8
q_robot_cargador = 8
q_robot_lubricador = 8
q_robot_extractor = 8
q_termoregulador_celda = 8
q_prensa = 8
q_costo_instalacion_inyectora = 8
q_matriz_rebadado = 8
q_maquina_rayosx = 2
q_maquina_medir_automatica = 1
q_equipo_traccion = 1
q_camara_termografica = 1
q_scanner_laser = 1
q_software_simulacion = 1
q_tomografo = 1
q_granalladora = 3
q_compensadores = 3
q_torres_enfriamiento = 4
q_equipos_frio = 5
q_puente_grua = 2
q_bascula = 1
q_instalacion_sistema_desmolde = 1
q_secadores_aire = 3
q_grupos_electrogenos = 4
q_subestacion_electrica = 1
q_transformadores = 3
q_instalacion_red_gas = 1
q_autoelevador_con_rotador = 2
q_autoelevador_sin_rotador = 4
q_computadoras = 25
q_muebles = 25
q_equipos_medicion = 1
a_espectometros = 10.00
a_torre_fusora = 10.00
a_horno_mantenim = 10.00
a_desgasificadora = 10.00
a_horno_mantenedor_celda = 10.00
a_inyectora = 10.00
a_robot_cargador = 8.00
a_robor_lubricador = 8.00
a_robot_extractor = 8.00
a_termoregulador_celda = 8.00
a_prensa = 10.00
a_costo_instalacion_inyectora = 10.00
a_matriz_rebadado = 10.00
a_maquina_rayosx = 10.00
a_maquina_medir_automatica = 10.00
a_equipo_traccion = 15.00
a_camara_termografica = 10.00
a_scanner_laser = 10.00
a_software_simulacion = 1.00
a_tomografo = 10.00
a_granalladora = 10.00
a_compensadores = 5.00
a_torres_enfriamiento = 5.00
a_equipos_frio = 5.00
a_puente_grua = 15.00
a_bascula = 15.00
a_instalacion_sistema_desmolde = 15.00
a_secadores_aire = 5.00
a_grupos_electrogenos = 5.00
a_subestacion_electrica = 20.00
a_transformadores = 10.00
a_instalacion_red_gas = 20.00
a_autoelevador_con_rotador = 5.00
a_autoelevador_sin_rotador = 5.00
a_computadoras = 3.00
a_muebles = 5.00
a_equipos_medicion = 10.00
vr_espectometros = 0.00
vr_torre_fusora = 10.00
vr_horno_mantenim = 10.00
vr_desgasificadora = 0.00
vr_horno_mantenedor_celda = 10.00
vr_inyectora = 15.00
vr_robot_cargador = 0.00
vr_robot_lubricador = 0.00
vr_robot_extractor = 0.00
vr_termoregulador_celda = 0.00
vr_prensa = 10.00
vr_costo_instalacion_inyectora = 0.00
vr_matriz_rebadado = 0.00
vr_maquina_rayosx = 10.00
vr_maquina_medir_automatica = 10.00
vr_equipo_traccion = 10.00
vr_camara_termografica = 10.00
vr_scanner_laser = 10.00
vr_software_simulacion = 0.00
vr_tomografo = 10.00
vr_granalladora = 0.00
vr_compresores = 0.00
vr_torres_enfriamiento = 0.00
vr_equipos_frio = 10.00
vr_puente_grua = 0.00
vr_bascula = 0.00
vr_instalacion_sistema_desmolde = 0.00
vr_secadores_aire = 0.00
vr_grupos_electrogenos = 10.00
vr_subestacion_electrica = 0.00
vr_transformadores = 0.00
vr_instalacion_red_gas = 0.00
vr_autoelevador_con_rotador = 0.00
vr_autoelevador_sin_rotador = 0.00
vr_computadoras = 0.00
vr_muebles = 0.00
vr_equipos_medicion = 0.00
piezas_molde = 120000
consumibles_otros = 487.87
mantenimiento_maquinas = 1.00
seguro_maquinas = 0.80
costo_oportunidad = 4.00
potencia_contratada = 900.00
energia_consumo = 776223
energia_potencia_pico = 5
energia_potencia_nopico = 19
energia_consumo_pico = 5
energia_consumo_nopico = 6
energia_consumo_resto = 13
horas_pico_coef = 21
horas_valle_coef = 25
horas_resto_coef = 54
gas_boca_pozo = 217000
gas_compresion = 8680
q_gerente_ingenieria = 1
q_tenicos_ingenieria = 4
q_gerente_calidad = 1
q_metrologos = 3
q_tecnicos_calidad = 1
q_gerente_produccion = 1
q_gerente_admin = 1
q_administrativos = 4
q_admin_rrhh = 1
q_logistica_gerente = 1
q_logistica_admin = 1
q_panolero = 3
q_autoelevadoristas = 6
q_gerente_comercial = 1
q_gerente_industrial = 1
q_gerente_mantenim = 1
q_gerente_gral	 = 1
q_compras_gerente = 1
q_compras_adm = 1
galpon = 8000
a_antiguedad = 12.00
coef_antiguedad = 1.00
q_vestimenta = 4.00
q_casco = 2.00
q_guantes = 2.00
alic_art = 17.00
coef_sac = 8.33
q_vacaciones = 28.00
fondo_prevision_despido = 4.00
coef_ausentismo = 10.00
costo_oportunidad = 4.0
costos_erogables_financiables_coef = 50.0
dias_descalce_financiero = 30.0
mark_up = 10.0
ventas_cordoba = 100.0
ventas_pba = 0.0
reinversion_ganancias = 50.0

# Bloque I  -  Costos de Materia Prima
# i01_aluminio en Costos Refineria Industria Metalurgica v02


i00_materia_prima = 26420.9078

# Bloque II  -  Costos de Mano de Obra Directa

ii01_w_basica_remun = ((q_operarios * vm['w_r17_op_especializado']
            + q_horneros * vm['w_r17_op_especializado']
            + q_operarios_granalladora * vm['w_r17_op_especializado']
            + q_operarios_mantenim * vm['w_r17_op_especializado']
            + q_operarios_control_calidad * vm['w_r17_op_especializado']
            + q_operarios_expedicion * vm['w_r17_op_especializado']
            + q_operarios_retrabajo * vm['w_r17_op_especializado']
            + q_delegados * vm['w_r17_op_especializado']) * horas_turno
            * dias_mes / ( ton_mes * uci / 100 ) + ( q_supervisores_prod
            * vm['w_asimra_cat3'] + q_supervisores_mantenim
            * vm['w_asimra_cat3'] + q_supervisores_control_calidad
            * vm['w_asimra_cat3'] ) / (ton_mes * uci / 100))

ii02_w_basica_no_remun = (0)

ii03_horas_extra = (0)

ii04_horas_extra2 = (0)

ii05_antig = ((ii01_w_basica_remun + ii02_w_basica_no_remun + ii03_horas_extra
            + ii04_horas_extra2) * coef_antiguedad / 100 * a_antiguedad)

ii06_sac = ((ii01_w_basica_remun + ii02_w_basica_no_remun + ii03_horas_extra
            + ii04_horas_extra2 + ii05_antig) * coef_sac / 100)

ii07_vac = ((ii01_w_basica_remun + ii02_w_basica_no_remun + ii05_antig) / 30
            * q_vacaciones / 12)

ii08_cont_pat = (( ii01_w_basica_remun + ii03_horas_extra + ii04_horas_extra2
            + ii05_antig + ii06_sac + ii07_vac - vm['mni_contribuciones']
            * ( q_operarios + q_horneros + q_operarios_granalladora
            + q_operarios_mantenim + q_operarios_control_calidad
            + q_operarios_expedicion + q_operarios_retrabajo + q_delegados
            + q_supervisores_prod + q_supervisores_mantenim
            + q_supervisores_control_calidad ) / ton_mes * 100 / uci )
            * vm['alic_contribuciones'] / 100 )

ii09_cont_pat_iva = ( - (ii01_w_basica_remun + ii03_horas_extra
            + ii04_horas_extra2 + ii05_antig + ii06_sac + ii07_vac
            - vm['mni_contribuciones'] * (q_operarios + q_horneros
            + q_operarios_granalladora + q_operarios_mantenim
            + q_operarios_control_calidad + q_operarios_expedicion
            + q_operarios_retrabajo + q_delegados + q_supervisores_prod
            + q_supervisores_mantenim + q_supervisores_control_calidad)
            / ton_mes * 100 / uci) * vm['cf_contribuciones'] / 100)

ii10_cont_os = ((ii01_w_basica_remun + ii03_horas_extra + ii04_horas_extra2
            + ii05_antig + ii06_sac + ii07_vac)
            * vm['alic_contribuciones_osocial'] / 100)

ii11_seg_vida = ((ii01_w_basica_remun + ii03_horas_extra + ii04_horas_extra2
            + ii05_antig + ii06_sac + ii07_vac) * vm['seguro_vida_obligat_coef']
            / 100)

ii12_art = ((ii01_w_basica_remun + ii03_horas_extra + ii04_horas_extra2
            + ii05_antig + ii06_sac + ii07_vac) * alic_art / 100)

ii13_prev_despido = ((ii01_w_basica_remun + ii02_w_basica_no_remun
            + ii03_horas_extra + ii04_horas_extra2 + ii05_antig + ii06_sac
            + ii07_vac) * fondo_prevision_despido / 100)

ii14_cont_admira = ((ii01_w_basica_remun + ii03_horas_extra
            + ii04_horas_extra2 + ii05_antig + ii06_sac + ii07_vac)
            * vm['contribucion_adimra'] / 100)

ii15_ausentismo = ((ii01_w_basica_remun + ii05_antig + ii06_sac + ii07_vac
            + ii08_cont_pat + ii09_cont_pat_iva + ii10_cont_os + ii11_seg_vida
            + ii12_art + ii13_prev_despido + ii14_cont_admira)
            * coef_ausentismo / 100)

ii00_mano_obra_directa = (ii01_w_basica_remun + ii02_w_basica_no_remun
            + ii03_horas_extra + ii04_horas_extra2 + ii05_antig + ii06_sac
            + ii07_vac + ii08_cont_pat + ii09_cont_pat_iva + ii10_cont_os
            + ii11_seg_vida + ii12_art + ii13_prev_despido + ii14_cont_admira
            + ii15_ausentismo)

# Bloque III  -  Costos de Mano de Obra Indirecta

iii01_w_ger_ingenieria = (q_gerente_ingenieria * vm['w_asimra_cat3'] * 1.2
            / (ton_mes * uci / 100))

iii02_w_tec_ingenieria = (q_tenicos_ingenieria * vm['w_asimra_cat3'] / (ton_mes
            * uci / 100))

iii03_w_gere_calidad = (q_gerente_calidad * vm['w_asimra_cat3'] * 1.2
            / (ton_mes * uci / 100))

iii04_w_metrologos = (q_metrologos * vm['w_asimra_cat3'] / (ton_mes * uci / 100))

iii05_w_tec_calidad = (q_tecnicos_calidad * vm['w_asimra_cat3'] / (ton_mes
            * uci / 100))

iii06_w_ger_produc = (q_gerente_produccion * vm['w_asimra_cat3'] * 1.2
            / (ton_mes * uci / 100))

iii07_w_ger_logistica = (q_logistica_gerente * vm['w_asimra_cat3'] * 1.2
            / (ton_mes * uci / 100))

iii08_w_admin_logistica = (q_logistica_admin * vm['w_asimra_cat3'] / (ton_mes
            * uci / 100))

iii09_w_panolero = (q_panolero * vm['w_asimra_cat3'] / (ton_mes * uci / 100))

iii10_w_autoelevadorista = (q_autoelevadoristas * vm['w_asimra_cat3']
            / (ton_mes * uci / 100))

iii11_w_ger_comercial = (q_gerente_comercial * vm['w_asimra_cat3'] * 1.2
            / (ton_mes * uci / 100))

iii12_w_ger_industrial = (q_gerente_industrial * vm['w_asimra_cat3'] * 1.2
            / (ton_mes * uci / 100))

iii13_w_ger_mantenim = (q_gerente_mantenim * vm['w_asimra_cat3'] * 1.2
            / (ton_mes * uci / 100))

iii14_w_ger_general = (q_gerente_gral * vm['w_asimra_cat3'] * 1.4 / (ton_mes
            * uci / 100))

iii15_w_ger_compras = (q_compras_gerente * vm['w_asimra_cat3'] * 1.2
            / (ton_mes * uci / 100))

iii16_w_admin_compras = (q_compras_adm * vm['w_asimra_cat3'] / (ton_mes
            * uci / 100))

iii17_antig = ((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_admin_compras)
            * coef_antiguedad / 100 * a_antiguedad)

iii18sac = ((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_admin_compras
            + iii17_antig) * coef_sac / 100)

iii19_vac = ((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_admin_compras
            + iii17_antig) / 30 * q_vacaciones / 12)

iii20_cont_pat = (((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras
            + iii16_w_admin_compras + iii17_antig + iii18sac + iii19_vac)
            - vm['mni_contribuciones'] * (q_gerente_ingenieria
            + q_tenicos_ingenieria + q_gerente_calidad + q_metrologos
            + q_tecnicos_calidad + q_gerente_produccion + q_logistica_gerente
            + q_logistica_admin + q_panolero + q_autoelevadoristas
            + q_gerente_comercial + q_gerente_industrial + q_gerente_mantenim
            + q_gerente_gral + q_compras_gerente + q_compras_adm) / ton_mes
            / 100 * uci) * vm['alic_contribuciones'] / 100)

iii21_cont_pat_iva = ( - ((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_admin_compras
            + iii17_antig + iii18sac + iii19_vac) - vm['mni_contribuciones']
            * (q_gerente_ingenieria + q_tenicos_ingenieria + q_gerente_calidad
            + q_metrologos + q_tecnicos_calidad + q_gerente_produccion
            + q_logistica_gerente + q_logistica_admin + q_panolero
            + q_autoelevadoristas + q_gerente_comercial + q_gerente_industrial
            + q_gerente_mantenim + q_gerente_gral + q_compras_gerente
            + q_compras_adm) / ton_mes / 100 * uci) * vm['cf_contribuciones']
            / 100)

iii22_cont_os = ((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras
            + iii16_w_admin_compras + iii17_antig + iii18sac + iii19_vac)
            * vm['alic_contribuciones_osocial'] / 100)

iii23_seg_vida = ((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_admin_compras
            + iii17_antig + iii18sac + iii19_vac)
            * vm['seguro_vida_obligat_coef'] / 100)

iii24_art = ((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras
            + iii16_w_admin_compras + iii17_antig + iii18sac + iii19_vac)
            * alic_art / 100)

iii25_prev_despido = ((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras
            + iii16_w_admin_compras + iii17_antig + iii18sac + iii19_vac)
            * fondo_prevision_despido / 100)

iii26_cont_admira = ((iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras
            + iii16_w_admin_compras + iii17_antig + iii18sac + iii19_vac)
            * vm['contribucion_adimra'] / 100)

iii00_mano_obra_indirecta = (iii01_w_ger_ingenieria + iii02_w_tec_ingenieria
            + iii03_w_gere_calidad + iii04_w_metrologos + iii05_w_tec_calidad
            + iii06_w_ger_produc + iii07_w_ger_logistica
            + iii08_w_admin_logistica + iii09_w_panolero
            + iii10_w_autoelevadorista + iii11_w_ger_comercial
            + iii12_w_ger_industrial + iii13_w_ger_mantenim
            + iii14_w_ger_general + iii15_w_ger_compras + iii16_w_admin_compras
            + iii17_antig + iii18sac + iii19_vac + iii20_cont_pat
            + iii21_cont_pat_iva + iii22_cont_os + iii23_seg_vida + iii24_art
            + iii25_prev_despido + iii26_cont_admira)

# Bloque IV  -  Costos de Maquinaria

iv01_energia_electrica = ((potencia_contratada * vm['energia_pot_punta']
            + potencia_contratada * vm['energia_pot_nopunta']
            + energia_consumo * (vm['energia_pico'] * horas_pico_coef / 100
            + vm['energia_ valle'] * horas_valle_coef / 100
            + vm['energia_resto'] * horas_resto_coef / 100)) / (ton_mes
            * uci / 100))

iv02_alic_energia_electrica = ((iv01_energia_electrica * (vm['energia_oim']
            + vm['energia_dto2298'] + vm['energia_ersep'] + vm['energia_ley9819'])
            / 100 + energia_consumo * (vm['energia_pico'] * horas_pico_coef
            / 100 + vm['energia_ valle'] * horas_valle_coef / 100
            + vm['energia_resto'] * horas_resto_coef / 100)) / (ton_mes
            * uci / 100))

iv03_gas_boca_pozo = (((gas_boca_pozo + gas_compresion) * vm['gas_bocapozo']
            / 1000 * vm['dolar']) / (ton_mes * uci / 100))

iv04_fondo_fiduciario = (vm['gas_fondo_fiduciario'] / (ton_mes * uci / 100))

iv05_gas_transp_distrib = ((vm['gas_cargo_fijo'] + vm['gas_cargo_mensual']
            * gas_boca_pozo / 30 + gas_boca_pozo * vm['gas_cargo_transporte']
            + 5000 * vm['gas_cargo_menos5000'] + (gas_boca_pozo - 5000)
            * vm['gas_cargo_mas5000']) / (ton_mes * uci / 100))

iv06_alic_gas_nat = (iv05_gas_transp_distrib * (vm['gas_comeind']
            + vm['gas_ley25413'] + vm['gas_ingresosbrutos_transp']
            + vm['gas_oim'] + vm['gas_fideicomiso_n1']
            + vm['gas_fideicomiso_n2']) / 100)

iv07_consumibles = (vm['p_consumibles_moldes_fund'] * vm['dolar']
            / piezas_molde * piezas_mes / ton_mes
            + vm['p_consumibles_resto_fund'] * vm['dolar'])

iv08_mantenimiento = (( q_espectometros * vm['p_espectometro_fund']
            + q_torre_fusora * vm['p_torre_fusora']
            + q_horno_mantenim * vm['p_horno_mantenedor']
            + q_desgasificadora * vm['p_desgasificadora']
            + q_horno_mantenedor_celda * vm['p_horno_mantenedor_celda']
            + q_inyectora * vm['p_inyectora']
            + q_robot_cargador * vm['p_robot_cargador']
            + q_robot_lubricador * vm['p_robot_lubricador']
            + q_robot_extractor * vm['p_robot_extractor_piezas']
            + q_termoregulador_celda * vm['p_termoregulador_celda']
            + q_prensa * vm['p_prensa']
            + q_costo_instalacion_inyectora * vm['p_instalacion_celda_inyectora']
            + q_matriz_rebadado * vm['p_matriz_rebabado']
            + q_maquina_rayosx * vm['p_maquina_rayosx']
            + q_maquina_medir_automatica * vm['p_maqina_medir_automatica']
            + q_equipo_traccion * vm['p_equipo_traccion']
            + q_camara_termografica * vm['p_camara_termografica']
            + q_scanner_laser * vm['p_scanner_laser']
            + q_software_simulacion * vm['p_software_simulacion_magma']
            + q_tomografo * vm['p_tomografo']
            + q_granalladora * vm['p_granalladora']
            + q_compensadores * vm['p_compresores']
            + q_torres_enfriamiento * vm['p_torres_enfriamiento']
            + q_equipos_frio * vm['p_equipos_frio']
            + q_puente_grua * vm['p_puente_grua']
            + q_bascula * vm['p_bascula']
            + q_instalacion_sistema_desmolde * vm['p_sistema_desmolde_bombas']
            + q_secadores_aire * vm['p_secadores_aire']
            + q_grupos_electrogenos * vm['p_grupos_electrogenos']
            + q_subestacion_electrica * vm['p_subestacion_elect']
            + q_transformadores * vm['p_tranformadores']
            + q_instalacion_red_gas * vm['p_instalacion_red_gas']
            + q_autoelevador_con_rotador * vm['p_autoelevador_con_rotador']
            + q_autoelevador_sin_rotador * vm['p_autoelevador_sin_rotador']
            + q_computadoras * vm['p_computadora']
            + q_muebles * vm['p_mueblesysillas']
            + q_equipos_medicion * vm['p_equipos_medicion'] ) * vm['dolar']
            * 0.5 * mantenimiento_maquinas / 100 / 12 / (ton_mes * uci / 100))

iv09_seg = (( q_espectometros * vm['p_espectometro_fund']
            + q_torre_fusora * vm['p_torre_fusora']
            + q_horno_mantenim * vm['p_horno_mantenedor']
            + q_desgasificadora * vm['p_desgasificadora']
            + q_horno_mantenedor_celda * vm['p_horno_mantenedor_celda']
            + q_inyectora * vm['p_inyectora']
            + q_robot_cargador * vm['p_robot_cargador']
            + q_robot_lubricador * vm['p_robot_lubricador']
            + q_robot_extractor * vm['p_robot_extractor_piezas']
            + q_termoregulador_celda * vm['p_termoregulador_celda']
            + q_prensa * vm['p_prensa']
            + q_costo_instalacion_inyectora * vm['p_instalacion_celda_inyectora']
            + q_matriz_rebadado * vm['p_matriz_rebabado']
            + q_maquina_rayosx * vm['p_maquina_rayosx']
            + q_maquina_medir_automatica * vm['p_maqina_medir_automatica']
            + q_equipo_traccion * vm['p_equipo_traccion']
            + q_camara_termografica * vm['p_camara_termografica']
            + q_scanner_laser * vm['p_scanner_laser']
            + q_software_simulacion * vm['p_software_simulacion_magma']
            + q_tomografo * vm['p_tomografo']
            + q_granalladora * vm['p_granalladora']
            + q_compensadores * vm['p_compresores']
            + q_torres_enfriamiento * vm['p_torres_enfriamiento']
            + q_equipos_frio * vm['p_equipos_frio']
            + q_puente_grua * vm['p_puente_grua']
            + q_bascula * vm['p_bascula']
            + q_instalacion_sistema_desmolde * vm['p_sistema_desmolde_bombas']
            + q_secadores_aire * vm['p_secadores_aire']
            + q_grupos_electrogenos * vm['p_grupos_electrogenos']
            + q_subestacion_electrica * vm['p_subestacion_elect']
            + q_transformadores * vm['p_tranformadores']
            + q_instalacion_red_gas * vm['p_instalacion_red_gas']
            + q_autoelevador_con_rotador * vm['p_autoelevador_con_rotador']
            + q_autoelevador_sin_rotador * vm['p_autoelevador_sin_rotador']
            + q_computadoras * vm['p_computadora']
            + q_muebles * vm['p_mueblesysillas']
            + q_equipos_medicion * vm['p_equipos_medicion'] ) * vm['dolar']
            * 0.5 * seguro_maquinas / 100 / 12 / (ton_mes * uci / 100))


iv10_a_espectometro = (q_espectometros * vm['p_espectometro_fund']
            * vm['dolar'] * (1 - vr_espectometros / 100) / a_espectometros
            / 12 / (ton_mes * uci / 100))

iv11_a_torre_fusora = (q_torre_fusora * vm['p_torre_fusora'] * vm['dolar']
            * (1 - vr_torre_fusora / 100) / a_torre_fusora / 12 / (ton_mes
            * uci / 100))

iv12_a_horno_mantenedor = (q_horno_mantenim * vm['p_horno_mantenedor']
            * vm['dolar'] * (1 - vr_horno_mantenim / 100) / a_horno_mantenim
            / 12 / (ton_mes * uci / 100))

iv13_a_desgasificadora = (q_desgasificadora * vm['p_desgasificadora']
            * vm['dolar'] * (1 - vr_desgasificadora / 100) / a_desgasificadora
            / 12 / (ton_mes * uci / 100))

iv14_a_horno_inyeccion = (q_horno_mantenedor_celda
            * vm['p_horno_mantenedor_celda'] * vm['dolar']
            * (1 - vr_horno_mantenedor_celda / 100) / a_horno_mantenedor_celda
            / 12 / (ton_mes * uci / 100))

iv15_a_inyectora = (q_inyectora * vm['p_inyectora'] * vm['dolar']
            * (1 - vr_inyectora / 100) / a_inyectora / 12 / (ton_mes * uci
            / 100))

iv16_a_robot_cargador = (q_robot_cargador * vm['p_robot_cargador']
            * vm['dolar'] * (1 - vr_robot_cargador / 100) / a_robot_cargador
            / 12 / (ton_mes * uci / 100))

iv17_a_robot_lubricador = (q_robot_lubricador * vm['p_robot_lubricador']
            * vm['dolar'] * (1 - vr_robot_lubricador / 100)
            / a_robor_lubricador / 12 / (ton_mes * uci / 100))

iv18_a_robot_extractor = (q_robot_extractor * vm['p_robot_extractor_piezas']
            * vm['dolar'] * (1 - vr_robot_extractor / 100) / a_robot_extractor
            / 12 / (ton_mes * uci / 100))

iv19_a_termoregulador = (q_termoregulador_celda * vm['p_termoregulador_celda']
            * vm['dolar'] * (1 - vr_termoregulador_celda / 100)
            / a_termoregulador_celda / 12 / (ton_mes * uci / 100))

iv20_a_prensa = (q_prensa * vm['p_prensa'] * vm['dolar'] * (1 - vr_prensa / 100)
            / a_prensa / 12 / (ton_mes * uci / 100))

iv21_a_costo_celda_inyectora = (q_costo_instalacion_inyectora
            * vm['p_instalacion_celda_inyectora'] * vm['dolar']
            * (1 - vr_costo_instalacion_inyectora / 100)
            / a_costo_instalacion_inyectora / 12 / (ton_mes * uci / 100))

iv22_a_matriz_rebabado = (q_matriz_rebadado * vm['p_matriz_rebabado']
            * vm['dolar'] * (1 - vr_matriz_rebadado / 100) / a_matriz_rebadado
            / 12 / (ton_mes * uci / 100))

iv23_a_maquina_rayosx = (q_maquina_rayosx * vm['p_maquina_rayosx']
            * vm['dolar'] * (1 - vr_maquina_rayosx / 100) / a_maquina_rayosx
            / 12 / (ton_mes * uci / 100))

iv24_a_maquina_medir_autom = (q_maquina_medir_automatica
            * vm['p_maqina_medir_automatica'] * vm['dolar']
            * (1 - vr_maquina_medir_automatica / 100)
            / a_maquina_medir_automatica / 12 / (ton_mes * uci / 100))

iv25_a_equipo_traccion = (q_equipo_traccion * vm['p_equipo_traccion']
            * vm['dolar'] * (1 - vr_equipo_traccion / 100) / a_equipo_traccion
            / 12 / (ton_mes * uci / 100))

iv26_a_camara_termografica = (q_camara_termografica
            * vm['p_camara_termografica'] * vm['dolar']
            * (1 - vr_camara_termografica / 100) / a_camara_termografica / 12
            / (ton_mes * uci / 100))

iv27_a_scanner_laser = (q_scanner_laser * vm['p_scanner_laser'] * vm['dolar']
            * (1 - vr_scanner_laser / 100) / a_scanner_laser / 12 / (ton_mes
            * uci / 100))

iv28_a_software_simulacion = (q_software_simulacion
            * vm['p_software_simulacion_magma'] * vm['dolar']
            * (1 - vr_software_simulacion / 100) / a_software_simulacion
            / 12 / (ton_mes * uci / 100))

iv29_a_tomografo = (q_tomografo * vm['p_tomografo'] * vm['dolar']
            * (1 - vr_tomografo / 100) / a_tomografo / 12 / (ton_mes
            * uci / 100))

iv30_a_granalladora = (q_granalladora * vm['p_granalladora'] * vm['dolar']
            * (1 - vr_granalladora / 100) / a_granalladora / 12 / (ton_mes
            * uci / 100))

iv31_a_compresores = (q_compensadores * vm['p_compresores'] * vm['dolar']
            * (1 - vr_compresores / 100) / a_compensadores / 12 / (ton_mes
            * uci / 100))

iv32_a_torres_enfriamiento = (q_torres_enfriamiento
            * vm['p_torres_enfriamiento'] * vm['dolar']
            * (1 - vr_torres_enfriamiento / 100) / a_torres_enfriamiento
            / 12 / (ton_mes * uci / 100))

iv34_a_equipos_frio = (q_equipos_frio * vm['p_equipos_frio'] * vm['dolar']
            * (1 - vr_equipos_frio / 100) / a_equipos_frio / 12 / (ton_mes
            * uci / 100))

iv35_a_puente_grua = (q_puente_grua * vm['p_puente_grua'] * vm['dolar']
            * (1 - vr_puente_grua / 100) / a_puente_grua / 12 / (ton_mes
            * uci / 100))

iv36_a_bascula = (q_bascula * vm['p_bascula'] * vm['dolar'] * (1 - vr_bascula
            / 100) / a_bascula / 12 / (ton_mes * uci / 100))

iv37_a_inst_desmolde_bombas_dosificadores = (q_instalacion_sistema_desmolde
            * vm['p_sistema_desmolde_bombas'] * vm['dolar']
            * (1 - vr_instalacion_sistema_desmolde / 100)
            / a_instalacion_sistema_desmolde / 12 / (ton_mes * uci / 100))

iv38_a_secadores_aire = (q_secadores_aire * vm['p_secadores_aire']
            * vm['dolar'] * (1 - vr_secadores_aire / 100) / a_secadores_aire
            / 12 / (ton_mes * uci / 100))

iv39_a_grupos_electrogenos = (q_grupos_electrogenos
            * vm['p_grupos_electrogenos'] * vm['dolar']
            * (1 - vr_grupos_electrogenos / 100) / a_grupos_electrogenos
            / 12 / (ton_mes * uci / 100))

iv40_a_subestacion_electrica = (q_subestacion_electrica
            * vm['p_subestacion_elect'] * vm['dolar']
            * (1 - vr_subestacion_electrica / 100) / a_subestacion_electrica
            / 12 / (ton_mes * uci / 100))

iv41_a_transformadores = (q_transformadores * vm['p_tranformadores']
            * vm['dolar'] * (1 - vr_transformadores / 100) / a_transformadores
            / 12 / (ton_mes * uci / 100))

iv42_a_inst_red_gas = (q_instalacion_red_gas * vm['p_instalacion_red_gas']
            * (1 - vr_instalacion_red_gas / 100)
            / a_instalacion_red_gas / 12 / (ton_mes * uci / 100))

iv43_a_autoelevador_rotador = (q_autoelevador_con_rotador
            * vm['p_autoelevador_con_rotador'] * vm['dolar']
            * (1 - vr_autoelevador_con_rotador / 100)
            / a_autoelevador_con_rotador / 12 / (ton_mes * uci / 100))

iv44_a_autoelevador_sin_rotador = (q_autoelevador_sin_rotador
            * vm['p_autoelevador_sin_rotador'] * vm['dolar']
            * (1 - vr_autoelevador_sin_rotador / 100)
            / a_autoelevador_sin_rotador / 12 / (ton_mes * uci / 100))

iv45_a_computadoras = (q_computadoras * vm['p_computadora'] * vm['dolar']
            * (1 - vr_computadoras / 100) / a_computadoras / 12 / (ton_mes
            * uci / 100))

iv46_a_mueble_silla = (q_muebles * vm['p_mueblesysillas']
            * (1 - vr_muebles / 100) / a_muebles / 12 / (ton_mes * uci / 100))

iv47_equipos_varios_medicion = (q_equipos_medicion * vm['p_equipos_medicion']
            * vm['dolar'] * (1 - vr_equipos_medicion / 100)
            / a_equipos_medicion / 12 / (ton_mes * uci / 100))

iv48_interes_cap_invertido = ((q_espectometros * vm['p_espectometro_fund']
            + q_torre_fusora * vm['p_torre_fusora'] + q_horno_mantenim
            * vm['p_horno_mantenedor'] + q_desgasificadora
            * vm['p_desgasificadora'] + q_horno_mantenedor_celda
            * vm['p_horno_mantenedor_celda'] + q_inyectora * vm['p_inyectora']
            + q_robot_cargador * vm['p_robot_cargador'] + q_robot_lubricador
            * vm['p_robot_lubricador'] + q_robot_extractor
            * vm['p_robot_extractor_piezas'] + q_termoregulador_celda
            * vm['p_termoregulador_celda'] + q_prensa * vm['p_prensa']
            + q_costo_instalacion_inyectora * vm['p_instalacion_celda_inyectora']
            + q_matriz_rebadado * vm['p_matriz_rebabado'] + q_maquina_rayosx
            * vm['p_maquina_rayosx'] + q_maquina_medir_automatica
            * vm['p_maqina_medir_automatica'] + q_equipo_traccion
            * vm['p_equipo_traccion'] + q_camara_termografica
            * vm['p_camara_termografica'] + q_scanner_laser
            * vm['p_scanner_laser'] + q_software_simulacion
            * vm['p_software_simulacion_magma'] + q_tomografo
            * vm['p_tomografo'] + q_granalladora * vm['p_granalladora']
            + q_compensadores * vm['p_compresores'] + q_torres_enfriamiento
            * vm['p_torres_enfriamiento'] + q_equipos_frio
            * vm['p_equipos_frio'] + q_puente_grua * vm['p_puente_grua']
            + q_bascula * vm['p_bascula'] + q_instalacion_sistema_desmolde
            * vm['p_sistema_desmolde_bombas'] + q_secadores_aire
            * vm['p_secadores_aire'] + q_grupos_electrogenos
            * vm['p_grupos_electrogenos'] + q_subestacion_electrica
            * vm['p_subestacion_elect'] + q_transformadores
            * vm['p_tranformadores'] + q_instalacion_red_gas
            * vm['p_instalacion_red_gas'] / vm['dolar']
            + q_autoelevador_con_rotador * vm['p_autoelevador_con_rotador']
            + q_autoelevador_sin_rotador * vm['p_autoelevador_sin_rotador']
            + q_computadoras * vm['p_computadora'] + q_muebles
            * vm['p_mueblesysillas'] / vm['dolar'] + q_equipos_medicion
            * vm['p_equipos_medicion']) * vm['dolar'] * 0.5
            * costo_oportunidad / 100 / 12 / (ton_mes * uci / 100))

iv00_maquinaria = (iv01_energia_electrica + iv02_alic_energia_electrica
            + iv03_gas_boca_pozo + iv04_fondo_fiduciario
            + iv05_gas_transp_distrib + iv06_alic_gas_nat + iv07_consumibles
            + iv08_mantenimiento + iv09_seg + iv10_a_espectometro
            + iv11_a_torre_fusora + iv12_a_horno_mantenedor
            + iv13_a_desgasificadora + iv14_a_horno_inyeccion
            + iv15_a_inyectora + iv16_a_robot_cargador
            + iv17_a_robot_lubricador + iv18_a_robot_extractor
            + iv19_a_termoregulador + iv20_a_prensa
            + iv21_a_costo_celda_inyectora + iv22_a_matriz_rebabado
            + iv23_a_maquina_rayosx + iv24_a_maquina_medir_autom
            + iv25_a_equipo_traccion + iv26_a_camara_termografica
            + iv27_a_scanner_laser + iv28_a_software_simulacion
            + iv29_a_tomografo + iv30_a_granalladora + iv31_a_compresores
            + iv32_a_torres_enfriamiento + iv34_a_equipos_frio
            + iv35_a_puente_grua + iv36_a_bascula
            + iv37_a_inst_desmolde_bombas_dosificadores
            + iv38_a_secadores_aire + iv39_a_grupos_electrogenos
            + iv40_a_subestacion_electrica + iv41_a_transformadores
            + iv42_a_inst_red_gas + iv43_a_autoelevador_rotador
            + iv44_a_autoelevador_sin_rotador + iv45_a_computadoras
            + iv46_a_mueble_silla + iv47_equipos_varios_medicion
            + iv48_interes_cap_invertido)

# Bloque V  -  Costos Fijos no Asociados a la Produccion

v01_w_ger_admin = (q_gerente_admin * vm['w_r17_adm4'] * 1.2 / (ton_mes
            * uci / 100))

v02_w_admin = (q_administrativos * vm['w_r17_adm4'] / (ton_mes * uci / 100))

v03_w_admin_rrhh = (q_admin_rrhh * vm['w_r17_adm4'] / (ton_mes * uci / 100))

v04_antig = ((v01_w_ger_admin + v02_w_admin + v03_w_admin_rrhh)
            * coef_antiguedad / 100 * a_antiguedad)

v05_sac = ((v01_w_ger_admin + v02_w_admin + v03_w_admin_rrhh + v04_antig)
            * coef_sac / 100)

v06_vac = ((v01_w_ger_admin + v02_w_admin + v03_w_admin_rrhh + v04_antig)
            / 30 * 28 / 12)

v07_cont_pat = (((v01_w_ger_admin + v02_w_admin + v03_w_admin_rrhh + v04_antig
            + v05_sac + v06_vac) - vm['mni_contribuciones'] * (q_gerente_admin
            + q_administrativos + q_admin_rrhh) / ton_mes * 100 / uci)
            * vm['alic_contribuciones'] / 100)

v08_cont_pat_iva = ( - ((v01_w_ger_admin + v02_w_admin + v03_w_admin_rrhh
            + v04_antig + v05_sac + v06_vac) - vm['mni_contribuciones']
            * (q_gerente_admin + q_administrativos + q_admin_rrhh) / ton_mes
            * 100 / uci) * vm['cf_contribuciones'] / 100)

v09_cont_os = ((v01_w_ger_admin + v02_w_admin + v03_w_admin_rrhh + v04_antig
            + v05_sac + v06_vac) * vm['alic_contribuciones_osocial'] / 100)

v10_seg_vida = ((v01_w_ger_admin + v02_w_admin + v03_w_admin_rrhh + v04_antig
            + v05_sac + v06_vac) * vm['seguro_vida_obligat_coef'] / 100)

v11_art = ((v01_w_ger_admin + v02_w_admin + v03_w_admin_rrhh + v04_antig
            + v05_sac + v06_vac) * alic_art / 100)

v12_prev_despido = ((v01_w_ger_admin + v02_w_admin + v03_w_admin_rrhh
            + v04_antig + v05_sac + v06_vac) * fondo_prevision_despido / 100)

v13_cont_admira = ((v01_w_ger_admin + v02_w_admin + v03_w_admin_rrhh
            + v04_antig + v05_sac + v06_vac) * vm['contribucion_adimra'] / 100)

v14_alquiler_galp_ofi = (galpon * vm['palquiler'] * vm['dolar'] / (ton_mes
            * uci / 100))

v15_costos_financieros = (((i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv01_energia_electrica
            + iv02_alic_energia_electrica+ iv03_gas_boca_pozo
            + iv04_fondo_fiduciario + iv05_gas_transp_distrib
            + iv06_alic_gas_nat + iv07_consumibles + iv08_mantenimiento
            + iv09_seg) * costos_erogables_financiables_coef / 100
            * dias_descalce_financiero * vm['tasa_interes_mens'] / 100 / 30)
            / (ton_mes * uci / 100))

v16_estudio_contable = (vm['pestudio_cont'] / (ton_mes * uci / 100))

v17_estudio_juridico = (vm['pestudio_jur'] / (ton_mes * uci / 100))

v18_beneficios = ((i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v01_w_ger_admin + v02_w_admin + v03_w_admin_rrhh + v04_antig
            + v05_sac + v06_vac + v07_cont_pat + v08_cont_pat_iva
            + v09_cont_os + v10_seg_vida + v11_art + v12_prev_despido
            + v13_cont_admira + v14_alquiler_galp_ofi + v15_costos_financieros
            + v16_estudio_contable + v17_estudio_juridico) * mark_up / 100)

v00_costos_fijos_no_asociados = (v01_w_ger_admin + v02_w_admin
            + v03_w_admin_rrhh + v04_antig + v05_sac + v06_vac + v07_cont_pat
            + v08_cont_pat_iva + v09_cont_os + v10_seg_vida + v11_art
            + v12_prev_despido + v13_cont_admira + v14_alquiler_galp_ofi
            + v15_costos_financieros + v16_estudio_contable
            + v17_estudio_juridico + v18_beneficios)

# Bloque VI  -  Costos Impositivos

v01_imp_ingresos_brutos = ((i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v00_costos_fijos_no_asociados) / (1 - vm['IB_Cordoba_loc'] / 100)
            * vm['IB_Cordoba_loc'] / 100)

v02_alic_imp_comer_ind = ((i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v00_costos_fijos_no_asociados) / (1 - vm['alic_comeind'] / 100)
            * vm['alic_comeind'] / 100)

v03_alic_imp_ganancias = ((v18_beneficios + iv48_interes_cap_invertido)
            * vm['alic_imp_ganancias'] / 100 + (v18_beneficios
            + iv48_interes_cap_invertido) * (100 - reinversion_ganancias)
            / 100 * vm['alic_imp_ganancias_dist'] / 100)

v04_alic_imp_cheque = ((i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v00_costos_fijos_no_asociados + v01_imp_ingresos_brutos
            + v02_alic_imp_comer_ind + v03_alic_imp_ganancias)
            * (vm['alic_imp_cheque'] + vm['cf_imp_cheque']) / 100)

vi00_costos_impositivos = (v01_imp_ingresos_brutos + v02_alic_imp_comer_ind
            + v03_alic_imp_ganancias + v04_alic_imp_cheque)

# Bloque Indicadores de Costos

costo_tn_pesos = (i00_materia_prima + ii00_mano_obra_directa
            + iii00_mano_obra_indirecta + iv00_maquinaria
            + v00_costos_fijos_no_asociados + vi00_costos_impositivos)

costo_tn_dolares = (costo_tn_pesos / vm['dolar'])

#CONTROL

print (costo_tn_dolares)
