# Programa en Python   -   Sistema Estadistico de Costos Metalurgicos


# MÓDULO I   -   CARGA DE VARIABLES MONETARIAS

import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import seaborn as sns


# Importar base de datos de series de tiempo con variables monetarias:

vm  =  pd.read_excel('Variables Monetarias Costos Industria Metalurgica.xlsx')


# Convertir columna mes en variable indexadora temporal:

vm.mes  =  pd.to_datetime(vm.mes)
vm.set_index('mes', inplace = True) 
       
#COSTOS REFINERIA
# MÓDULO II  -  DEFINICION DE PARÁMETROS  -  COSTOS REFINERIA

uci = 80
dias_mes = 22
horas_dia = 24.0
ton_turno = 8.0
turnos = 3.0
ton_dia	 = 24.0
coef_materia_prima_aluar = 5.0
coef_scrap_imp = 20.0
coef_scrap_nac	 = 62.5
coef_aleantes = 12.5
q_personal_recepcion_mp = 1.0
q_personal_horno_fusor = 9.0
q_personal_horno_mantenim = 3.0
q_personal_cinta = 6.0
q_personal_molino = 2.0
q_personal_clasificadora = 2.0
q_personal_pala = 1.0
q_secado_viruta = 2.0
horas_turno = 8.0
horas_extras = 0.0
horas_extras2 = 0.0
q_horno_fusor = 1
q_horno_mantenim = 1
q_cinta_colado	 = 1
q_espectometro = 1
q_molino = 1
q_clasificadora = 1
q_prensa_chatarra = 1
q_pala_mecanica = 1
q_autoelevadores = 1
a_horno_fusor = 10.00
a_horno_mantenim = 10.00
a_cinta_colado = 10.00
a_espectometro = 10.00
a_molino = 10.00
a_clasificadora = 10.00
a_prensa_chatarra = 10.00
a_pala_mecanica = 5.00
a_autoelevadores = 5.00
vr_horno_fusor	 = 0.00
vr_horno_mantenim = 0.00
vr_cinta_colado = 0.00
vr_espectometro = 0.00
vr_molino = 0.00
vr_clasificadora = 0.00
vr_prensa_chatarra = 0.00
vr_pala_mecanica = 0.00
vr_autoelevadores = 0.00
q_consum_horno_fusor = 15.00
q_consum_horno_mantenim = 5.00
q_consum_cinta = 75.00
q_consum_molino = 400.00
q_consum_clasificadora = 1.50
q_consum_prensa = 400.00
q_consum_pala_comb = 1200.00
q_consum_pala_lubr = 470.00
q_consum_pala_filtros = 48.00
q_consum_pala_cubiertas = 6.00
q_consum_autoelevador_comb = 156.00
q_consum_autoelevador_lubr = 115.00
q_consum_autoelevador_filtros = 21.00
q_consum_autoelevador_cubiertas = 6.00
mantenim_maquinas = 1.00
seguro_maquinas = 0.80
costo_oportunidad = 4.00
potencia_contratada = 150.00
energia_consumo = 76
energia_potencia_pico = 5
energia_potencia_nopico = 19
energia_consumo_pico = 5
energia_consumo_valle = 6
energia_consumo_resto = 13
gas_natural_boca_pozo = 180000
compresion_gas = 7200
ratio_operarios_maquina = 3
q_jefe_planta = 1
q_supervisor_prod = 3
q_jefe_calidad = 2
q_jefe_ingenieria = 0
q_jefe_logistica = 0
q_jefe_mantenim = 0
q_personal_adm = 4
galpon = 3000
a_antiguedad = 15.00
coef_antiguedad = 1.00
q_vestimenta = 4.00
q_casco = 2.00
q_guantes = 2.00
alic_art = 12.00
coef_sac = 8.33
q_vacaciones = 35.00
fondo_prevision_despido = 4.00
coef_ausentismo = 7.50
a_computadoras = 5
a_muebles = 10
costo_oportunidad = 4.0
costos_erogables_financiables_coef = 50.0
dias_descalce_financiero = 30.0
mark_up = 5.0
ventas_cordoba = 80.0
ventas_pba = 20.0
reinversion_ganancias = 50.0
q_maquina_rayosx = 2
gas_boca_pozo = 217000
	
# Bloque I  -  Costos de Materia Prima

i01_mat_prima_aluar = (vm['p_matprima_aluar'] * vm['dolar']
        * coef_materia_prima_aluar / 100)

i02_scrap_importado = (vm['p_scrap_impo'] * vm['dolar']
        * coef_scrap_imp / 100)

i03_scrap_nacional = (vm['p_scrap_nac'] * vm['dolar']
        * coef_scrap_nac / 100)

i04_insumos_importados = (vm['p_aleantes'] * vm['dolar']
        * coef_aleantes / 100)

i00_materia_prima = (i01_mat_prima_aluar + i02_scrap_importado
        + i03_scrap_nacional + i04_insumos_importados)

# Bloque II  -  Costos de Mano de Obra Directa

ii01_w_basica_remun = ((vm['w_r17_op_especializado_mult']
        * horas_turno * (q_personal_horno_fusor
        + q_personal_horno_mantenim + q_personal_cinta)
        + vm['w_r17_op_especializado'] * horas_turno
        * (q_personal_recepcion_mp + q_personal_molino
        + q_personal_clasificadora + q_personal_pala
        + q_secado_viruta)) / ton_dia / uci * 100)

ii02_w_basica_no_remun = (0)

ii03_horas_extras = (vm['w_r17_op_calif'] * 1.5 * horas_extras
        / ton_dia / dias_mes)

ii04_horas_extras2 = (vm['w_r17_op_calif'] * 2 * horas_extras2
        / ton_dia / dias_mes)

ii05_antig = ((ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2)
        * coef_antiguedad / 100 * a_antiguedad)

ii06_sac = ((ii01_w_basica_remun + ii03_horas_extras + ii04_horas_extras2
        + ii05_antig) * coef_sac / 100)

ii07_vac = ((ii01_w_basica_remun + ii02_w_basica_no_remun + ii05_antig)
        / 30 * q_vacaciones / 12)

ii08_cont_pat = ((ii01_w_basica_remun 
        + ii03_horas_extras + ii04_horas_extras2 + ii05_antig
        + ii06_sac + ii07_vac - vm['mni_contribuciones']
        * (q_personal_recepcion_mp + q_personal_horno_fusor
        + q_personal_horno_mantenim + q_personal_cinta
        + q_personal_molino + q_personal_clasificadora
        + q_personal_pala + q_secado_viruta) / ton_dia
        / dias_mes * 100 / uci) * vm['alic_contribuciones'] / 100)

ii09_cont_pat_iva = ( - (ii01_w_basica_remun + ii02_w_basica_no_remun
        + ii03_horas_extras + ii04_horas_extras2
        + ii05_antig + ii06_sac + ii07_vac
        - vm['mni_contribuciones'] * (q_personal_recepcion_mp
        + q_personal_horno_fusor + q_personal_horno_mantenim
        + q_personal_cinta + q_personal_molino + q_personal_clasificadora
        + q_personal_pala + q_secado_viruta) / ton_dia / dias_mes
        * 100 / uci) * vm['cf_contribuciones'] / 100)

ii10_cont_os = ((ii01_w_basica_remun + ii02_w_basica_no_remun + ii03_horas_extras
        + ii04_horas_extras2 + ii05_antig + ii06_sac + ii07_vac)
        * vm['alic_contribuciones_osocial'] / 100)

ii11_seg_vida = ((ii01_w_basica_remun + ii02_w_basica_no_remun
        + ii03_horas_extras + ii04_horas_extras2 + ii05_antig
        + ii06_sac + ii07_vac) * vm['seguro_vida_obligat_coef'] / 100)

ii12_art = ((ii01_w_basica_remun + ii02_w_basica_no_remun + ii03_horas_extras
        + ii04_horas_extras2 + ii05_antig + ii06_sac + ii07_vac)
        * alic_art / 100)

ii13_prev_despido = ((ii01_w_basica_remun + ii02_w_basica_no_remun
        + ii03_horas_extras + ii04_horas_extras2 + ii05_antig
        + ii06_sac + ii07_vac) * fondo_prevision_despido / 100)

ii14_cont_admira = ((ii01_w_basica_remun + ii02_w_basica_no_remun
        + ii03_horas_extras + ii04_horas_extras2 + ii05_antig
        + ii06_sac + ii07_vac) * vm['contribucion_adimra'] / 100)

ii15_ausentismo = ((ii01_w_basica_remun + ii05_antig + ii06_sac + ii07_vac
        + ii08_cont_pat + ii09_cont_pat_iva + ii10_cont_os
        + ii11_seg_vida + ii12_art + ii13_prev_despido
        + ii14_cont_admira) * coef_ausentismo / 100)

ii00_mano_obra_directa = (ii01_w_basica_remun + ii02_w_basica_no_remun
        + ii03_horas_extras + ii04_horas_extras2 + ii05_antig + ii06_sac
        + ii07_vac + ii08_cont_pat + ii09_cont_pat_iva + ii10_cont_os
        + ii11_seg_vida + ii12_art + ii13_prev_despido + ii14_cont_admira
        + ii15_ausentismo)

# Bloque III  -  Costos de Mano de Obra Indirecta

iii01_w_jplanta = (vm['w_r17_tecnico6'] * q_jefe_planta / dias_mes
        / ton_dia / uci * 100)

iii02_w_supervisor = (vm['w_r17_tecnico6'] * q_supervisor_prod / dias_mes
        / ton_dia / uci * 100)

iii03_w_jcalidad = (vm['w_r17_tecnico6'] * q_jefe_calidad / dias_mes
        / ton_dia / uci * 100)

iii04_w_jingenieria = (vm['w_r17_tecnico6'] * q_jefe_ingenieria / dias_mes
        / ton_dia / uci * 100)

iii05_w_jlogistica = (vm['w_r17_tecnico6'] * q_jefe_logistica / dias_mes
        / ton_dia / uci * 100)

iii06_w_mantenimiento = (vm['w_r17_tecnico6'] * q_jefe_mantenim / dias_mes
        / ton_dia / uci * 100)

iii07_antig = ((iii01_w_jplanta + iii02_w_supervisor + iii03_w_jcalidad
        + iii04_w_jingenieria + iii05_w_jlogistica + iii06_w_mantenimiento)
        * coef_antiguedad / 100 * a_antiguedad)

iii08_sac = ((iii01_w_jplanta + iii02_w_supervisor + iii03_w_jcalidad
        + iii04_w_jingenieria + iii05_w_jlogistica + iii06_w_mantenimiento
        + iii07_antig) * coef_sac / 100)

iii09_vac = ((iii01_w_jplanta + iii02_w_supervisor + iii03_w_jcalidad
        + iii04_w_jingenieria + iii05_w_jlogistica + iii06_w_mantenimiento
        + iii07_antig) / 30 * q_vacaciones / 12)

iii10_cont_pat = (((iii01_w_jplanta + iii02_w_supervisor + iii03_w_jcalidad
        + iii04_w_jingenieria + iii05_w_jlogistica + iii06_w_mantenimiento
        + iii07_antig + iii08_sac + iii09_vac) - vm['mni_contribuciones']
        * (q_jefe_planta + q_supervisor_prod + q_jefe_calidad
        + q_jefe_ingenieria + q_jefe_logistica + q_jefe_mantenim)
        / horas_dia / dias_mes * 100 / uci) * vm['alic_contribuciones'] / 100)

iii11_cont_pat_iva = ( - ((iii01_w_jplanta + iii02_w_supervisor
        + iii03_w_jcalidad + iii04_w_jingenieria + iii05_w_jlogistica
        + iii06_w_mantenimiento + iii07_antig + iii08_sac
        + iii09_vac) - vm['mni_contribuciones'] * (q_jefe_planta
        + q_supervisor_prod + q_jefe_calidad + q_jefe_ingenieria
        + q_jefe_logistica + q_jefe_mantenim) / horas_dia
        / dias_mes * 100 / uci) * vm['cf_contribuciones'] / 100)

iii12_cont_os = ((iii01_w_jplanta + iii02_w_supervisor + iii03_w_jcalidad
        + iii04_w_jingenieria + iii05_w_jlogistica + iii06_w_mantenimiento
        + iii07_antig + iii08_sac + iii09_vac)
        * vm['alic_contribuciones_osocial'] / 100)

iii13_seg_vida = ((iii01_w_jplanta + iii02_w_supervisor + iii03_w_jcalidad
        + iii04_w_jingenieria + iii05_w_jlogistica + iii06_w_mantenimiento
        + iii07_antig + iii08_sac + iii09_vac)
        * vm['seguro_vida_obligat_coef'] / 100)

iii14_art = ((iii01_w_jplanta + iii02_w_supervisor + iii03_w_jcalidad
        + iii04_w_jingenieria + iii05_w_jlogistica + iii06_w_mantenimiento
        + iii07_antig + iii08_sac + iii09_vac) * alic_art / 100)

iii15_prev_despido = ((iii01_w_jplanta + iii02_w_supervisor + iii03_w_jcalidad
        + iii04_w_jingenieria + iii05_w_jlogistica + iii06_w_mantenimiento
        + iii07_antig + iii08_sac + iii09_vac)
        * fondo_prevision_despido / 100)

iii16_cont_admira = ((iii01_w_jplanta + iii02_w_supervisor + iii03_w_jcalidad
        + iii04_w_jingenieria + iii05_w_jlogistica + iii06_w_mantenimiento
        + iii07_antig + iii08_sac + iii09_vac)
        * vm['contribucion_adimra'] / 100)

iii00_mano_obra_indirecta = (iii01_w_jplanta + iii02_w_supervisor
        + iii03_w_jcalidad + iii04_w_jingenieria + iii05_w_jlogistica
        + iii06_w_mantenimiento + iii07_antig + iii08_sac + iii09_vac
        + iii10_cont_pat + iii11_cont_pat_iva + iii12_cont_os + iii13_seg_vida
        + iii14_art + iii15_prev_despido + iii16_cont_admira)

# Bloque IV  -  Costos de Maquinaria

iv01_energia_electrica = (potencia_contratada * (vm['energia_pot_punta']
        * energia_potencia_pico + vm['energia_pot_nopunta']
        * energia_potencia_nopico) / ton_dia / dias_mes / uci
        * 100 + energia_consumo * (vm['energia_pico']
        * energia_consumo_pico + vm['energia_ valle']
        * energia_consumo_valle + vm['energia_resto']
        * energia_consumo_resto) / ton_dia / dias_mes
        / uci * 100)

iv02_alic_energia_electrica = (iv01_energia_electrica * (vm['energia_oim']
        + vm['energia_dto2298'] + vm['energia_ersep']
        + vm['energia_ley9819']) / 100)

iv03_gas_boca_pozo = (((gas_natural_boca_pozo + compresion_gas)
        * vm['gas_bocapozo'] / 1000 * vm['dolar'])
        / ton_dia / dias_mes / uci * 100)

iv04_fondo_fiduciario = (vm['gas_fondo_fiduciario'] / ton_dia
        / dias_mes / uci * 100)

iv05_gas_transp_distrib = (( vm['gas_cargo_fijo'] + vm['gas_cargo_mensual']
        * q_maquina_rayosx / 30 * vm['gas_cargo_transporte'] + 5000
        * vm['gas_cargo_menos5000'] + ( gas_boca_pozo - 5000 )
        * vm['gas_cargo_mas5000'] ) / ton_dia / dias_mes / uci * 100 )

iv06_alic_gas_nat = (iv05_gas_transp_distrib * (vm['gas_comeind']
        + vm['gas_ley25413'] + vm['gas_ingresosbrutos_transp']
        + vm['gas_oim'] + vm['gas_fideicomiso_n1']
        + vm['gas_fideicomiso_n2']) / 100)

iv07_consumibles = ((q_consum_horno_fusor / 12 * 1000
        * vm['p_consumibles_mat_refractario'] * vm['dolar']
        + q_consum_horno_mantenim / 12 * 1000
        * vm['p_consumibles_horno_mant'] * vm['dolar']
        + q_consum_cinta / 24 * vm['p_consumibles_cinta_moldes']
        * vm['dolar'] + q_consum_molino / 12
        * vm['p_consumibles_molino_lubricantes']
        + q_consum_clasificadora / 12
        * vm['p_consumibles_clasificadora'] + q_consum_prensa
        / 12 * vm['p_consumibles_prensa_lubricantes']
        + q_consum_pala_comb * vm['p_consumibles_pala_combustibles']
        + q_consum_pala_lubr / 12 * vm['p_consumibles_pala_lubricantes']
        + q_consum_pala_filtros / 12 * vm['p_consumibles_pala_filtros']
        * vm['dolar'] + q_consum_pala_cubiertas / 6
        * vm['p_consumibles_pala_cubiertas'] + q_consum_autoelevador_comb
        * vm['p_consumibles_autoelevador_combust'] + q_consum_autoelevador_lubr
        / 12 * vm['p_consumibles_autoelevador_lubric']
        + q_consum_autoelevador_filtros / 12
        * vm['p_consumibles_autoelevador_filtros'] * vm['dolar']
        + q_consum_autoelevador_cubiertas / 12
        * vm['p_consumibles_autoelevador_cubiertas']) / ton_turno
        / turnos / dias_mes / uci * 100)

iv08_mantenimiento = ((vm['p_horno_furos'] * vm['dolar'] * q_horno_fusor
        + vm['p_horno_mantenim'] * vm['dolar'] * q_horno_mantenim
        + vm['p_cinta_colado'] * vm['dolar'] * q_cinta_colado
        + vm['p_espectometro'] * vm['dolar'] * q_espectometro
        + vm['p_molino_picadora'] * vm['dolar'] * q_molino
        + vm['p_clasificadora'] * vm['dolar'] * q_clasificadora
        + vm['p_prensa_chatarra'] * vm['dolar']
        * q_prensa_chatarra + vm['p_pala_mecanica'] * vm['dolar']
        * q_pala_mecanica + vm['p_autoelevador_refin']
        * vm['dolar'] * q_autoelevadores) * mantenim_maquinas
        / 100 / 12 / dias_mes / ton_dia / uci * 100)

iv09_seg = ((vm['p_horno_furos'] * vm['dolar'] * q_horno_fusor
        + vm['p_horno_mantenim'] * vm['dolar'] * q_horno_mantenim
        + vm['p_cinta_colado'] * vm['dolar'] * q_cinta_colado
        + vm['p_espectometro'] * vm['dolar'] * q_espectometro
        + vm['p_molino_picadora'] * vm['dolar'] * q_molino
        + vm['p_clasificadora'] * vm['dolar'] * q_clasificadora
        + vm['p_prensa_chatarra'] * vm['dolar'] * q_prensa_chatarra
        + vm['p_pala_mecanica'] * vm['dolar'] * q_pala_mecanica
        + vm['p_autoelevador_refin'] * vm['dolar'] * q_autoelevadores)
        * seguro_maquinas / 100 / 12 / dias_mes / ton_dia / uci * 100)

iv10_a_horno_fusor = (vm['p_horno_furos'] * vm['dolar'] * q_horno_fusor
        * (1 - vr_horno_fusor / 100) / a_horno_fusor
        / 12 / dias_mes / ton_dia / uci * 100)

iv11_a_horno_mantenim = (vm['p_horno_mantenim'] * vm['dolar'] * q_horno_mantenim
        * (1 - vr_horno_mantenim / 100) / a_horno_mantenim
        / 12 / dias_mes / ton_dia / uci * 100)

iv12_a_cinta_colado = (vm['p_cinta_colado'] * vm['dolar'] * q_cinta_colado
        * (1 - vr_cinta_colado / 100) / a_cinta_colado
        / 12 / dias_mes / ton_dia / uci * 100)

iv13_a_espectometro = (vm['p_espectometro'] * vm['dolar'] * q_espectometro
        * (1 - vr_espectometro / 100) / a_espectometro
        / 12 / dias_mes / ton_dia / uci * 100)

iv14_a_molino = (vm['p_molino_picadora'] * vm['dolar'] * q_molino
        * (1 - vr_molino / 100) / a_molino
        / 12 / dias_mes / ton_dia / uci * 100)

iv15_a_clasificadora = (vm['p_clasificadora'] * vm['dolar'] * q_clasificadora
        * (1 - vr_clasificadora / 100) / a_clasificadora
        / 12 / dias_mes / ton_dia / uci * 100)

iv16_a_prensa = (vm['p_prensa_chatarra'] * vm['dolar'] * q_prensa_chatarra
        * (1 - vr_prensa_chatarra / 100) / a_prensa_chatarra
        / 12 / dias_mes / ton_dia / uci * 100)

iv17_a_pala_mecanica = (vm['p_pala_mecanica'] * vm['dolar'] * q_pala_mecanica
        * (1 - vr_pala_mecanica / 100) / a_pala_mecanica
        / 12 / dias_mes / ton_dia / uci * 100)

iv18_a_autoelevadores = (vm['p_autoelevador_refin'] * vm['dolar']
        * q_autoelevadores * (1 - vr_autoelevadores / 100)
        / a_autoelevadores / 12 / dias_mes / ton_dia
        / uci * 100)

iv19_interes_cap_invertido = (( vm['p_horno_furos'] * vm['dolar'] * q_horno_fusor
        * (( 1 - vr_horno_fusor / 100 ) / 2 + vr_horno_fusor / 100 )
        + vm['p_horno_mantenim'] * vm['dolar'] * q_horno_mantenim
        * (( 1 - vr_horno_mantenim / 100 ) / 2 + vr_horno_mantenim / 100 )
        + vm['p_cinta_colado'] * vm['dolar'] * q_cinta_colado
        * (( 1 - vr_cinta_colado / 100 ) / 2 + vr_cinta_colado )
        + vm['p_espectometro'] * vm['dolar'] * q_espectometro
        * (( 1 - vr_espectometro / 100 ) / 2 + vr_espectometro / 100 )
        + vm['p_molino_picadora'] * vm['dolar'] * q_molino
        * (( 1 - vr_molino / 100 ) / 2 + vr_molino / 100 )
        + vm['p_clasificadora'] * vm['dolar'] * q_clasificadora
        * (( 1 - vr_clasificadora / 100 ) / 2 + vr_clasificadora / 100 )
        + vm['p_prensa_chatarra'] * vm['dolar'] * q_prensa_chatarra
        * (( 1 - vr_prensa_chatarra / 100 ) / 2 + vr_prensa_chatarra / 100 )
        + vm['p_pala_mecanica'] * vm['dolar'] * q_pala_mecanica
        * (( 1 - vr_pala_mecanica / 100 ) / 2 + vr_pala_mecanica / 100 )
        + vm['p_autoelevador_refin'] * vm['dolar'] * q_autoelevadores
        * (( 1 - vr_autoelevadores / 100 ) / 2 + vr_autoelevadores / 100 ))
        * costo_oportunidad / 100 / 12 / dias_mes / ton_dia / uci * 100 )

iv00_maquinaria = (iv01_energia_electrica + iv02_alic_energia_electrica
        + iv03_gas_boca_pozo + iv04_fondo_fiduciario
        + iv05_gas_transp_distrib + iv06_alic_gas_nat + iv07_consumibles
        + iv08_mantenimiento + iv09_seg + iv10_a_horno_fusor
        + iv11_a_horno_mantenim + iv12_a_cinta_colado
        + iv13_a_espectometro + iv14_a_molino + iv15_a_clasificadora
        + iv16_a_prensa + iv17_a_pala_mecanica
        + iv18_a_autoelevadores + iv19_interes_cap_invertido)

# Bloque V  -  Costos Fijos no Asociados a la Produccion

v01_w_admin = (vm['w_r17_adm1'] * q_personal_adm
        / dias_mes / ton_dia / uci * 100)

v02_antig = (v01_w_admin * coef_antiguedad
        / 100 * a_antiguedad)

v03_sac = ((v01_w_admin + v02_antig)
        * coef_sac / 100)

v04_vac = ((v01_w_admin + v02_antig)
        / 30 * 28 / 12)

v05_cont_pat = (((v01_w_admin + v02_antig + v03_sac
        + v04_vac) - vm['mni_contribuciones']
        * q_personal_adm / ton_dia / dias_mes
        * 100 / uci) * vm['alic_contribuciones'] / 100)

v06_cont_pat_iva = ( - ((v01_w_admin + v02_antig + v03_sac
        + v04_vac) - vm['mni_contribuciones']
        * q_personal_adm / ton_dia / dias_mes * 100
        / uci) * vm['cf_contribuciones'] / 100)

v07_cont_os = ((v01_w_admin + v02_antig + v03_sac + v04_vac)
        * vm['alic_contribuciones_osocial'] / 100)

v08_seg_vida = ((v01_w_admin + v02_antig + v03_sac + v04_vac)
        * vm['seguro_vida_obligat_coef'] / 100)

v09_art = ((v01_w_admin + v02_antig + v03_sac + v04_vac)
        * alic_art / 100)

v10_prev_despido = ((v01_w_admin + v02_antig + v03_sac
        + v04_vac) * fondo_prevision_despido / 100)

v11_cont_admira = ((v01_w_admin + v02_antig + v03_sac + v04_vac)
        * vm['contribucion_adimra'] / 100)

v12_alquiler_galp_ofi = (vm['palquiler'] * vm['dolar']
        * galpon / dias_mes / ton_dia / uci * 100)

v13_energia_electrica = (0)

v14_muebles_utiles = (vm['pcomputadora'] * q_personal_adm / a_computadoras
        / 12 / q_molino / dias_mes / ton_dia / uci * 100
        + (vm['pescritorio'] + vm['psilla'] ) * q_personal_adm
        / a_muebles / 12 / dias_mes / ton_dia / uci * 100 )

v15_costos_financieros = ((i00_materia_prima + ii01_w_basica_remun
        + ii02_w_basica_no_remun + ii03_horas_extras
        + ii04_horas_extras2 + ii05_antig + ii08_cont_pat
        + ii09_cont_pat_iva + ii10_cont_os + ii11_seg_vida
        + ii12_art + ii14_cont_admira + iii01_w_jplanta
        + iii02_w_supervisor + iii03_w_jcalidad
        + iii04_w_jingenieria + iii05_w_jlogistica
        + iii06_w_mantenimiento + iii07_antig
        + iii10_cont_pat + iii11_cont_pat_iva
        + iii12_cont_os + iii13_seg_vida + iii14_art
        + iii16_cont_admira + iv01_energia_electrica
        + iv02_alic_energia_electrica + iv03_gas_boca_pozo
        + iv04_fondo_fiduciario + iv05_gas_transp_distrib
        + iv06_alic_gas_nat + iv07_consumibles + iv08_mantenimiento
        + iv09_seg + v01_w_admin + v02_antig + v03_sac
        + v05_cont_pat + v06_cont_pat_iva + v07_cont_os
        + v08_seg_vida + v09_art + v11_cont_admira
        + v12_alquiler_galp_ofi + v13_energia_electrica)
        * costos_erogables_financiables_coef / 100
        * vm['tasa_interes_mens'] / 100
        * dias_descalce_financiero / 30)

v16_estudio_contable = (vm['pestudio_cont'] / dias_mes / ton_dia / uci * 100)

v17_estudio_juridico = (vm['pestudio_jur'] / dias_mes / ton_dia / uci * 100)

v18_beneficios = ((i00_materia_prima + ii00_mano_obra_directa
        + iii00_mano_obra_indirecta + iv00_maquinaria + v01_w_admin
        + v02_antig + v03_sac + v04_vac + v05_cont_pat
        + v06_cont_pat_iva + v07_cont_os + v08_seg_vida + v09_art
        + v10_prev_despido + v11_cont_admira
        + v12_alquiler_galp_ofi + v13_energia_electrica
        + v14_muebles_utiles + v15_costos_financieros
        + v16_estudio_contable + v17_estudio_juridico) * mark_up
        / 100)

v00_costos_fijos_no_asociados = (v01_w_admin + v02_antig + v03_sac + v04_vac
        + v05_cont_pat + v06_cont_pat_iva + v07_cont_os + v08_seg_vida
        + v09_art + v10_prev_despido + v11_cont_admira + v12_alquiler_galp_ofi
        + v13_energia_electrica + v14_muebles_utiles
        + v15_costos_financieros + v16_estudio_contable
        + v17_estudio_juridico + v18_beneficios)

# Bloque VI  -  Costos Impositivos

vi01_imp_ingresos_brutos = ((i00_materia_prima + ii00_mano_obra_directa
        + iii00_mano_obra_indirecta + iv00_maquinaria
        + v00_costos_fijos_no_asociados) * (vm['IB_Cordoba_loc'] / 100
        * ventas_cordoba / 100 + vm['IB_PBA_ej'] / 100 * ventas_pba / 100))

vi02_alic_imp_comer_ind = ((i00_materia_prima + ii00_mano_obra_directa
        + iii00_mano_obra_indirecta + iv00_maquinaria
        + v00_costos_fijos_no_asociados) * vm['alic_comeind'] / 100 )

vi03_alic_imp_ganancias = ((v18_beneficios + iv19_interes_cap_invertido)
        * vm['alic_imp_ganancias'] / 100 + (v18_beneficios
        + iv19_interes_cap_invertido) * (100 - reinversion_ganancias)
        * vm['alic_imp_ganancias_dist'] / 100)

vi04_alic_imp_cheque = ((ii00_mano_obra_directa + iii00_mano_obra_indirecta
        + iv00_maquinaria + v00_costos_fijos_no_asociados
        + vi01_imp_ingresos_brutos + vi02_alic_imp_comer_ind
        + vi03_alic_imp_ganancias) * (vm['alic_imp_cheque']
        + vm['cf_imp_cheque']) / 100)

vi00_costos_impositivos = (vi01_imp_ingresos_brutos + vi02_alic_imp_comer_ind
        + vi03_alic_imp_ganancias + vi04_alic_imp_cheque)


# Bloque Indicadores de costos

costo_tn_pesos = (i00_materia_prima + ii00_mano_obra_directa
        + iii00_mano_obra_indirecta + iv00_maquinaria
        + v00_costos_fijos_no_asociados + vi00_costos_impositivos)

costo_tn_dolares = (costo_tn_pesos / vm['dolar'])

# Bloque I - Costos Fundición

i01_aluminio = ( costo_tn_pesos )

# CONTROL

print (costo_tn_dolares)
